/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

char* cIPHeader[]   =   {"IPV4",        "IPV6",         0L};
char* crcResults[]  =   {"UNACCEPTABLE","ACCEPTABLE",   0L};
char* cCurrentLast[] =  {"CURR",        "LAST",         0L};
char* cHexAscii[]   =   {"HEX",         "ASC",          0L};
char* cBISLimit[]   =   {"PATH",        "USER",         0L}; 
char* cPDHFrame[]   =   {"M139","M45","M8","M2","M1_5", 0L};
/* cTseQueryContent per MP1555B vol 2, table 9-5, page 9-155
6  0
3  6
7  9
4  16
6 20
7 26
5  33
5  38
6  43
4  49
6  53
*/
char* cTseQueryContent[]  =  
                         {"AIS:M139", "AIS:M45","AIS:M34","AIS:M8","AIS:M2","AIS:M1_5",   
                         "AIS:L","AIS:P","AIS:V",                                         
                         "B1","B2","B3:HP","B3:LP","BIP2","BIP8","BIT",                   
                         "CBIT","CODE","CRC6","EBIT",                                     
                         "FRAM:M139","FRAM:M45","FRAM:M34","FRAM:M8","FRAM:M2","FRAM:M1_5", 
                         "LOF","LOF:M139","LOF:M45","LOF:M34","LOF:M8","LOF:M2","LOF:M1_5", 
                         "LOF:MF","LOM:V","LOP:P","LOP:V","LOS",                           
                         "OOF","PARITY","PATTERN","PLM:P","PLM:V",                         
                         "RDI:M139","RDI:M45","RDI:M34","RDI:M8","RDI:M2","RDI:M1_5",      
                         "RDI:MF","RDI:L","RDI:P","RDI:V",                                 
                         "REI:L","REI:P","REI:V","REI:M45","RFI:V","TEST",0L};             
char* cPDHandLPVTypes[]= {"M139","M45","M8","M2","M1_5","L","P","V",0L};                   

/* 210x enums */
char* cM210XTypes[] =   {"M2100","M2101",               0L};
char* cM210XRxTypes[] = {"ES","SES", "TXES","TXSES","US",0L};
char* cM210XLowerUpper[] ={"S1","S2",                   0L};
int bottomOfM210xRange[] = {0,1};
int topOfM210xRange[] = {99998, 99999};
/* 2110 enums */
char* cM2110RxTypes[] =     {"ES","SES",                0L};
char* cM2110LowerUpper[] =  {"S1","S2",                 0L};
int   bottomOfM2110Range[] ={  0,   1};
char* cM2110TimeSpans[] =   {   "H2",   "H24",  "D7",   0L};
int   topOfM2110Range[] =   {   7119,  86399,  99998};
/* 2120 enums */
char* cM2120RxTypes[] =     {"ES","SES",                0L};
char* cM2120TimeSpans[] =   {"TR1","TR2",               0L};
int   bottomOfM2120Range[] ={  0,   1};
int   topOfM2120Range[] =   {  900, 86400};
/* Frequent or common 21xx enums. */
char* cTypes[]      =       {"PATH",    "USER",         0L};
char* cPerfTypes[]      =   {"OFF","G821","G826","M2100","M2101","M2110","M2120",0L};
/* Measurement result enums */
char *cCalcHist[] = {"Unacceptable", "Acceptable", "------------"};
/**/
