/*****************************************************************************/

/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>
#include "MP1570_misc.h"

ViStatus _VI_FUNC MP1570_SetTestMenu(ViSession instrSession, vekIdxStrList 
      tdisplay);
ViStatus _VI_FUNC MP1570_GetTestMenu(ViSession instrSession, vekIdxStrList *
      tdisplay);
ViStatus _VI_FUNC MP1570_GetMonitorData(ViSession instrSession, ViChar freq[256]
      , ViChar ppm[256], ViChar relative[256]);
ViStatus _VI_FUNC MP1570_SetPauseFreq(ViSession instrSession, ViBoolean boolean)
;
ViStatus _VI_FUNC MP1570_GetPauseFreq(ViSession instrSession, ViBoolean *boolean
      );
ViStatus _VI_FUNC MP1570_SetDisplayRecall(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetDataRecall(ViSession instrSession, ViUInt8 *point, 
      ViReal64 *freq1, vekIdxStrList *freq2, ViChar amp1[256]);
ViStatus _VI_FUNC MP1570_GetJTOLTitleAnalyze(ViSession instrSession, ViChar 
      title[256]);
ViStatus _VI_FUNC MP1570_SetDisplayMarkerJitter(ViSession instrSession, 
      ViBoolean boolean);
ViStatus _VI_FUNC MP1570_GetDataIndicated(ViSession instrSession, ViUInt8 *point
      , ViReal64 *freq1, vekIdxStrList *freq2, ViChar amp1[256]);
ViStatus _VI_FUNC MP1570_GetTitleScreen(ViSession instrSession, ViChar title[256
      ]);
ViStatus _VI_FUNC MP1570_SetDisplayMarker(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetRecallScreen(ViSession instrSession, vekIdxStrList *
      brate, ViInt8 *ppm, ViChar amp1[256]);
ViStatus _VI_FUNC MP1570_GetTitleRecall(ViSession instrSession, ViChar title[256
      ]);
ViStatus _VI_FUNC MP1570_SetDisplayAnalyze(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_SetSweepJitter(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetSweepJitter(ViSession instrSession, ViChar title[256
      ]);
ViStatus _VI_FUNC MP1570_GetSweepScreen(ViSession instrSession, ViUInt8 *point, 
      ViReal64 *freq1, vekIdxStrList *freq2, ViUInt8 *margin, ViReal64 *amp1, 
      ViChar result[256]);
ViStatus _VI_FUNC MP1570_SetMarkerScreen(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetFSWTitleAnalyze(ViSession instrSession, ViChar title
      [256]);
ViStatus _VI_FUNC MP1570_GetDataRecallScreen(ViSession instrSession, ViInt8 *
      ppm1, ViChar ppm2[256]);
ViStatus _VI_FUNC MP1570_SetWanderDisplay(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetDataScreenMarker(ViSession instrSession, ViUInt8 *
      time1, ViUInt16 *time2);
ViStatus _VI_FUNC MP1570_GetWanderTitle(ViSession instrSession, ViChar title[256
      ]);
ViStatus _VI_FUNC MP1570_SetWanderSweep(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetAnalyzeSweep(ViSession instrSession, ViChar title[
      256]);
ViStatus _VI_FUNC MP1570_GetSweepWander(ViSession instrSession, ViUInt8 *point, 
      ViReal64 *freq1, vekIdxStrList *freq2, ViChar amp1[256], ViChar result[256
      ]);
ViStatus _VI_FUNC MP1570_GetPeakJitter(ViSession instrSession, ViUInt16 *year, 
      ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second, ViChar alarm1s[256], ViChar alarm1c[256], ViChar alarm2s[256], 
      ViChar alarm2c[256], ViChar alarm3s[256], ViChar alarm3c[256], ViChar 
      alarm4s[256], ViChar alarm4c[256], ViChar alarm5s[256], ViChar alarm5c[256
      ], ViChar ui[256]);
ViStatus _VI_FUNC MP1570_SetPeakInterval(ViSession instrSession, vekIdxStrList 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetPeakInterval(ViSession instrSession, vekIdxStrList *
      numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetPeakJitterGraph(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_SetStartingGraph(ViSession instrSession, ViUInt16 year, 
      ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, ViUInt8 second);
ViStatus _VI_FUNC MP1570_GetStartingGraph(ViSession instrSession, ViUInt16 *year
      , ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second);
ViStatus _VI_FUNC MP1570_SetDisplayedAlarm(ViSession instrSession, ViUInt8 
      number, vekIdxStrList alarm);
ViStatus _VI_FUNC MP1570_GetDisplayedAlarm(ViSession instrSession, ViUInt8 
      number, vekIdxStrList *alarm);
ViStatus _VI_FUNC MP1570_GetMarkerDataScreen(ViSession instrSession, ViChar gain
      [256], ViChar freq[256]);
ViStatus _VI_FUNC MP1570_SetSpectrumAnalyze(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetDataMarkerRecall(ViSession instrSession, ViChar 
      offset[256], ViChar ppm[256], ViChar ui[256], ViChar mui[256]);
ViStatus _VI_FUNC MP1570_SetDisplayScreenJitter(ViSession instrSession, 
      ViBoolean boolean);
ViStatus _VI_FUNC MP1570_GetMeasurement(ViSession instrSession, vekIdxStrList *
      mestype, ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_GetMeasurementStart(ViSession instrSession, ViInt16 *
      year, ViInt8 *month, ViInt8 *day, ViInt8 *hour, ViInt8 *minute, 
      ViInt8 *second);
ViStatus _VI_FUNC MP1570_GetMeasurementTime(ViSession instrSession, ViUInt8 *day
      , ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *second);
ViStatus _VI_FUNC MP1570_SetSwitchesJitter(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetSwitchesJitter(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetSignalSource(ViSession instrSession, vekIdxStrList 
      mode);
ViStatus _VI_FUNC MP1570_GetSignalSource(ViSession instrSession, vekIdxStrList *
      mode);
ViStatus _VI_FUNC MP1570_SetJitterWanderMeasure(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetJitterWanderMeasure(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetJitterWanderReference(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetJitterWanderReference(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetMeasurementRMS(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetMeasurementRMS(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetWhetherPeak(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetWhetherPeak(ViSession instrSession, ViBoolean *
      boolean);
ViStatus _VI_FUNC MP1570_SetReceiveJitter(ViSession instrSession, vekIdxStrList 
      numeric);
ViStatus _VI_FUNC MP1570_GetReceiveJitter(ViSession instrSession, vekIdxStrList 
      *numeric);
ViStatus _VI_FUNC MP1570_SetFilterType(ViSession instrSession, vekIdxStrList 
      filter);
ViStatus _VI_FUNC MP1570_GetFilterType(ViSession instrSession, vekIdxStrList *
      filter);
ViStatus _VI_FUNC MP1570_SetHitThreshold(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetHitThreshold(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetMeasurementManual(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetMeasurementManual(ViSession instrSession, ViBoolean 
      *boolean);
ViStatus _VI_FUNC MP1570_SetManualMeasurementInterval(ViSession instrSession, 
      ViReal64 numeric);
ViStatus _VI_FUNC MP1570_GetManualMeasurementInterval(ViSession instrSession, 
      ViReal64 *numeric);
ViStatus _VI_FUNC MP1570_SetUserFilter(ViSession instrSession, ViReal64 hp, 
      vekIdxStrList hpsuffix, ViReal64 lp, vekIdxStrList lpsuffix);
ViStatus _VI_FUNC MP1570_GetUserFilter(ViSession instrSession, ViReal64 *hp, 
      vekIdxStrList *hpsuffix, ViReal64 *lp, vekIdxStrList *lpsuffix);
ViStatus _VI_FUNC MP1570_SetAutoSynchronous(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetAutoSynchronous(ViSession instrSession, ViBoolean *
      boolean);
ViStatus _VI_FUNC MP1570_SetMaskLine(ViSession instrSession, vekIdxStrList type)
;
ViStatus _VI_FUNC MP1570_GetMaskLine(ViSession instrSession, vekIdxStrList *type
      );
ViStatus _VI_FUNC MP1570_SetDetectionJitter(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetDetectionJitter(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetSDHDetectionCondition(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSDHDetectionCondition(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetSonetDetectionCondition(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSonetDetectionCondition(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetThresholdTolerance(ViSession instrSession, 
      vekIdxStrList unit);
ViStatus _VI_FUNC MP1570_GetThresholdTolerance(ViSession instrSession, 
      vekIdxStrList *unit);
ViStatus _VI_FUNC MP1570_SetCountDetection(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetCountDetection(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetThresholdRangeJitter(ViSession instrSession, 
      vekIdxStrList erate);
ViStatus _VI_FUNC MP1570_GetThresholdRangeJitter(ViSession instrSession, 
      vekIdxStrList *erate);
ViStatus _VI_FUNC MP1570_SetToleranceHoldTime(ViSession instrSession, ViReal64 s
      );
ViStatus _VI_FUNC MP1570_GetToleranceHoldTime(ViSession instrSession, ViReal64 *
      s);
ViStatus _VI_FUNC MP1570_SetToleranceWaitingTime(ViSession instrSession, 
      ViReal64 wait);
ViStatus _VI_FUNC MP1570_GetToleranceWaitingTime(ViSession instrSession, 
      ViReal64 *wait);
ViStatus _VI_FUNC MP1570_SetEditingMaskLine(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetEditingMaskLine(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetToleranceOutputPointRange(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetToleranceOutputPointRange(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_SetToleranceUserDefineMask(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList point, ViReal64 freq1, vekIdxStrList 
      freq2, ViReal64 amp1);
ViStatus _VI_FUNC MP1570_GetToleranceUserDefineMask(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList point, ViReal64 *freq1, vekIdxStrList *
      freq2, ViReal64 *amp1);
ViStatus _VI_FUNC MP1570_SetDataMeasurementLine(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetModeCharacteristics(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetModeCharacteristics(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetJudgmentUse(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetJudgmentUse(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetTransferEditing(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetTransferEditing(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetTablePointRange(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetTablePointRange(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_SetTransferCharacteristic(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList point, ViReal64 freq1, vekIdxStrList 
      freq2, ViReal64 amp1);
ViStatus _VI_FUNC MP1570_GetTransferCharacteristic(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList point, ViReal64 *freq1, vekIdxStrList *
      freq2, ViReal64 *amp1);
ViStatus _VI_FUNC MP1570_SetTransferTableContents(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetCalibrationConnection(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCalibrationConnection(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetValueWidth(ViSession instrSession, vekIdxStrList 
      band);
ViStatus _VI_FUNC MP1570_GetValueWidth(ViSession instrSession, vekIdxStrList *
      band);
ViStatus _VI_FUNC MP1570_SetTransferWaitingTime(ViSession instrSession, ViReal64 
      wait);
ViStatus _VI_FUNC MP1570_GetTransferWaitingTime(ViSession instrSession, ViReal64 
      *wait);
ViStatus _VI_FUNC MP1570_SetJitterFrequency(ViSession instrSession, 
      vekIdxStrList filter);
ViStatus _VI_FUNC MP1570_GetJitterFrequency(ViSession instrSession, 
      vekIdxStrList *filter);
ViStatus _VI_FUNC MP1570_SetIntervalFrequency(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetIntervalFrequency(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetUserFilterValue(ViSession instrSession, ViReal64 hp, 
      vekIdxStrList hpsuffix, ViReal64 lp, vekIdxStrList lpsuffix);
ViStatus _VI_FUNC MP1570_GetUserFilterValue(ViSession instrSession, ViReal64 *hp
      , vekIdxStrList *hpsuffix, ViReal64 *lp, vekIdxStrList *lpsuffix);
ViStatus _VI_FUNC MP1570_SetNumberFilter(ViSession instrSession, vekIdxStrList 
      mode);
ViStatus _VI_FUNC MP1570_GetNumberFilter(ViSession instrSession, vekIdxStrList *
      mode);
ViStatus _VI_FUNC MP1570_SetFilter2Double(ViSession instrSession, vekIdxStrList 
      filter);
ViStatus _VI_FUNC MP1570_GetFilter2Double(ViSession instrSession, vekIdxStrList 
      *filter);
ViStatus _VI_FUNC MP1570_SetValueFilter2Double(ViSession instrSession, ViReal64 
      hp, vekIdxStrList hpsuffix, ViReal64 lp, vekIdxStrList lpsuffix);
ViStatus _VI_FUNC MP1570_GetValueFilter2Double(ViSession instrSession, ViReal64 
      *hp, vekIdxStrList *hpsuffix, ViReal64 *lp, vekIdxStrList *lpsuffix);
ViStatus _VI_FUNC MP1570_SetMaskJitter(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetMaskJitter(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetDataMask(ViSession instrSession, vekIdxStrList brate
      , ViReal64 uipp1, ViReal64 uipp2);
ViStatus _VI_FUNC MP1570_GetDataMask(ViSession instrSession, vekIdxStrList brate
      , ViReal64 *uipp1, ViReal64 *uipp2);
ViStatus _VI_FUNC MP1570_SetOffsetJitter(ViSession instrSession, ViInt8 offset);
ViStatus _VI_FUNC MP1570_GetOffsetJitter(ViSession instrSession, ViInt8 *offset)
;
ViStatus _VI_FUNC MP1570_SetUserDefineJitter(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetCombinedTable(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCombinedTable(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetCombinedValueJitter(ViSession instrSession, 
      vekIdxStrList brate, ViReal64 uipp1, ViReal64 uipp2);
ViStatus _VI_FUNC MP1570_GetCombinedValueJitter(ViSession instrSession, 
      vekIdxStrList brate, ViReal64 *uipp1, ViReal64 *uipp2);
ViStatus _VI_FUNC MP1570_SetValueOffset(ViSession instrSession, ViInt8 offset);
ViStatus _VI_FUNC MP1570_GetValueOffset(ViSession instrSession, ViInt8 *offset);
ViStatus _VI_FUNC MP1570_SetInitializeDefine(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetNumberSet(ViSession instrSession, vekIdxStrList mode
      );
ViStatus _VI_FUNC MP1570_GetNumberSet(ViSession instrSession, vekIdxStrList *
      mode);
ViStatus _VI_FUNC MP1570_SetFilterJitter(ViSession instrSession, vekIdxStrList 
      filter);
ViStatus _VI_FUNC MP1570_GetFilterJitter(ViSession instrSession, vekIdxStrList *
      flter);
ViStatus _VI_FUNC MP1570_SetValueUserJitter(ViSession instrSession, ViReal64 hp, 
      vekIdxStrList hpsuffix, ViReal64 lp, vekIdxStrList lpsuffix);
ViStatus _VI_FUNC MP1570_GetValueUserJitter(ViSession instrSession, ViReal64 *hp
      , vekIdxStrList *hpsuffix, ViReal64 *lp, vekIdxStrList *lpsuffix);
ViStatus _VI_FUNC MP1570_SetDoubleCombinedFilter2(ViSession instrSession, 
      vekIdxStrList filter);
ViStatus _VI_FUNC MP1570_GetDoubleCombinedFilter2(ViSession instrSession, 
      vekIdxStrList *filter);
ViStatus _VI_FUNC MP1570_SetMeasurementFilter2(ViSession instrSession, ViReal64 
      hp, vekIdxStrList hpsuffix, ViReal64 lp, vekIdxStrList lpsuffix);
ViStatus _VI_FUNC MP1570_GetMeasurementFilter2(ViSession instrSession, ViReal64 
      *hp, vekIdxStrList *hpsuffix, ViReal64 *lp, vekIdxStrList *lpsuffix);
ViStatus _VI_FUNC MP1570_SetCombMeasurementInterval(ViSession instrSession, 
      ViReal64 numeric);
ViStatus _VI_FUNC MP1570_GetCombMeasurementInterval(ViSession instrSession, 
      ViReal64 *numeric);
ViStatus _VI_FUNC MP1570_SetSweepDetectionCondition(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetSweepDectectionCondition(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetSDHSweepConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSDHSweepConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetSonetSweepConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSonetSweepConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetSweepThresholdType(ViSession instrSession, 
      vekIdxStrList unit);
ViStatus _VI_FUNC MP1570_GetSweepThresholdType(ViSession instrSession, 
      vekIdxStrList *unit);
ViStatus _VI_FUNC MP1570_SetRangeValue(ViSession instrSession, ViUInt32 numeric)
;
ViStatus _VI_FUNC MP1570_GetRangeValue(ViSession instrSession, ViUInt32 *numeric
      );
ViStatus _VI_FUNC MP1570_SetThresholdRate(ViSession instrSession, vekIdxStrList 
      erate);
ViStatus _VI_FUNC MP1570_GetThresholdRate(ViSession instrSession, vekIdxStrList 
      *erate);
ViStatus _VI_FUNC MP1570_SetSweepHoldTime(ViSession instrSession, ViReal64 s);
ViStatus _VI_FUNC MP1570_GetSweepHoldTime(ViSession instrSession, ViReal64 *s);
ViStatus _VI_FUNC MP1570_SetSweepWaitingTime(ViSession instrSession, ViReal64 
      wait);
ViStatus _VI_FUNC MP1570_GetSweepWaitingTime(ViSession instrSession, ViReal64 *
      wait);
ViStatus _VI_FUNC MP1570_SetEditingMask(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetEditingMask(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetMaskTableOutput(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point);
ViStatus _VI_FUNC MP1570_GetMaskTableOutput(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 *type);
ViStatus _VI_FUNC MP1570_SetMaskLineData(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList ptype, ViReal64 freq1, vekIdxStrList freq2, ViReal64 
      uipp);
ViStatus _VI_FUNC MP1570_GetMaskLineData(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList ptype, ViReal64 *freq1, vekIdxStrList *freq2, 
      ViReal64 *uipp);
ViStatus _VI_FUNC MP1570_SetFSweepUserDefineMask(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetOffsetData(ViSession instrSession, ViInt8 offset);
ViStatus _VI_FUNC MP1570_GetOffsetData(ViSession instrSession, ViInt8 *offset);
ViStatus _VI_FUNC MP1570_SetConditionFreqSweep(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetConditionFreqSweep(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetTimeHold(ViSession instrSession, ViReal64 s);
ViStatus _VI_FUNC MP1570_GetTimeHold(ViSession instrSession, ViReal64 *s);
ViStatus _VI_FUNC MP1570_SetSDHFSweepConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSDHFSweepConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetSonetFSweepConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSonetFSweepConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetFreqSweepThreshold(ViSession instrSession, 
      vekIdxStrList unit);
ViStatus _VI_FUNC MP1570_GetFreqSweepThreshold(ViSession instrSession, 
      vekIdxStrList *unit);
ViStatus _VI_FUNC MP1570_SetValueRange(ViSession instrSession, ViUInt32 numeric)
;
ViStatus _VI_FUNC MP1570_GetValueRange(ViSession instrSession, ViUInt32 *numeric
      );
ViStatus _VI_FUNC MP1570_SetThresholdDetectionRate(ViSession instrSession, 
      vekIdxStrList erate);
ViStatus _VI_FUNC MP1570_GetThresholdDetectionRate(ViSession instrSession, 
      vekIdxStrList *erate);
ViStatus _VI_FUNC MP1570_SetValueWaitingTime(ViSession instrSession, ViReal64 
      wait);
ViStatus _VI_FUNC MP1570_GetValueWaitingTime(ViSession instrSession, ViReal64 *
      wait);
ViStatus _VI_FUNC MP1570_SetMaskLineTable(ViSession instrSession, vekIdxStrList 
      mask);
ViStatus _VI_FUNC MP1570_GetMaskLineTable(ViSession instrSession, vekIdxStrList 
      *mask);
ViStatus _VI_FUNC MP1570_SetWanderMeasurementState(ViSession instrSession, 
      ViBoolean boolean);
ViStatus _VI_FUNC MP1570_GetWanderMeasurementState(ViSession instrSession, 
      ViBoolean *boolean);
ViStatus _VI_FUNC MP1570_SetWanderMeasurement(ViSession instrSession, 
      vekIdxStrList otime);
ViStatus _VI_FUNC MP1570_GetWanderMeasurement(ViSession instrSession, 
      vekIdxStrList *otime);
ViStatus _VI_FUNC MP1570_SetObservationTime(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetObservationTime(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetWSweepDetectionCondition(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetWSweepDetectionCondition(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetSDHDetectionConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSDHDetectionConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetSonetDetectionConditionError(ViSession instrSession, 
      vekIdxStrList error);
ViStatus _VI_FUNC MP1570_GetSonetDetectionConditionError(ViSession instrSession, 
      vekIdxStrList *error);
ViStatus _VI_FUNC MP1570_SetWSweepThresholdType(ViSession instrSession, 
      vekIdxStrList unit);
ViStatus _VI_FUNC MP1570_GetWSweepThresholdType(ViSession instrSession, 
      vekIdxStrList *unit);
ViStatus _VI_FUNC MP1570_SetWanderRangeValue(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetWanderRangeValue(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetDetectionRangeRate(ViSession instrSession, 
      vekIdxStrList erate);
ViStatus _VI_FUNC MP1570_GetDetectionRangeRate(ViSession instrSession, 
      vekIdxStrList *erate);
ViStatus _VI_FUNC MP1570_SetWSweepHoldTime(ViSession instrSession, ViReal64 time
      );
ViStatus _VI_FUNC MP1570_GetWSweepHoldTime(ViSession instrSession, ViReal64 *
      time);
ViStatus _VI_FUNC MP1570_SetWSweepWaitingTime(ViSession instrSession, ViReal64 
      wait);
ViStatus _VI_FUNC MP1570_GetWSweepWaitingTime(ViSession instrSession, ViReal64 *
      wait);
ViStatus _VI_FUNC MP1570_SetWSweepMargin(ViSession instrSession, ViUInt8 margin)
;
ViStatus _VI_FUNC MP1570_GetWSweepMargin(ViSession instrSession, ViUInt8 *margin
      );
ViStatus _VI_FUNC MP1570_SetWSweepMeasurementMode(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetWSweepMeasurementMode(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetMSELJitterWander(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetMSELJitterWander(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetOffsetRange(ViSession instrSession, vekIdxStrList 
      numeric);
ViStatus _VI_FUNC MP1570_GetOffsetRange(ViSession instrSession, vekIdxStrList *
      numeric);
ViStatus _VI_FUNC MP1570_SetJitterModulationSignal(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetJitterModulationSignal(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetJitterGenerationRange(ViSession instrSession, 
      vekIdxStrList numeric);
ViStatus _VI_FUNC MP1570_GetJitterGenerationRange(ViSession instrSession, 
      vekIdxStrList *numeric);
ViStatus _VI_FUNC MP1570_SetJitterGenerationFrequency(ViSession instrSession, 
      ViReal64 freq1, vekIdxStrList freq2);
ViStatus _VI_FUNC MP1570_GetJitterGenerationFrequency(ViSession instrSession, 
      ViReal64 *freq1, vekIdxStrList *freq2);
ViStatus _VI_FUNC MP1570_SetJitterAmplitudeValue(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetJitterAmplitudeValue(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetResolution(ViSession instrSession, vekIdxStrList 
      step);
ViStatus _VI_FUNC MP1570_GetResolution(ViSession instrSession, vekIdxStrList *
      step);
ViStatus _VI_FUNC MP1570_SetJitterAmplitudeData(ViSession instrSession, 
      vekIdxStrList data);
ViStatus _VI_FUNC MP1570_SetJitterAmplitudeUIPP(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetJitterAmplitudeUIPP(ViSession instrSession, ViReal64 
      *numeric);
ViStatus _VI_FUNC MP1570_GetOutputAmplitudeMonitor(ViSession instrSession, 
      ViChar numeric[256]);
ViStatus _VI_FUNC MP1570_SetCorrectionAmplitude(ViSession instrSession, 
      ViBoolean boolean);
ViStatus _VI_FUNC MP1570_GetCorrectionAmplitude(ViSession instrSession, 
      ViBoolean *boolean);
ViStatus _VI_FUNC MP1570_SetStandardTDEVMask(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetStandardTDEVMask(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetITUTTableForJitterManual(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetITUTTableForJitterManual(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetETSITableForJitterManual(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetETSITableForJitterManual(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetANSITableForJitterManual(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetANSITableForJitterManual(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetBellcoreStandard(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetBellcoreStandard(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetA0ValueFirst(ViSession instrSession, ViUInt8 s);
ViStatus _VI_FUNC MP1570_GetA0ValueFirst(ViSession instrSession, ViUInt8 *s);
ViStatus _VI_FUNC MP1570_SetValuet0(ViSession instrSession, vekIdxStrList 
      numeric);
ViStatus _VI_FUNC MP1570_GetValuet0(ViSession instrSession, vekIdxStrList *
      numeric);
ViStatus _VI_FUNC MP1570_SetValuet1(ViSession instrSession, ViReal64 numeric);
ViStatus _VI_FUNC MP1570_GetValuet1(ViSession instrSession, ViReal64 *numeric);
ViStatus _VI_FUNC MP1570_SetValuet2(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetValuet2(ViSession instrSession, ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetValuet3(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetValuet3(ViSession instrSession, ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetValuet4(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetValuet4(ViSession instrSession, ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTableStandard(ViSession instrSession, vekIdxStrList 
      type, vekIdxStrList table);
ViStatus _VI_FUNC MP1570_SetWanderGeneration(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetWanderGeneration(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetWanderGenertionType(ViSession instrSession, 
      vekIdxStrList mask);
ViStatus _VI_FUNC MP1570_GetWanderGenerationType(ViSession instrSession, 
      vekIdxStrList *mask);
ViStatus _VI_FUNC MP1570_SetMaskTypeWanderGeneration(ViSession instrSession, 
      vekIdxStrList mask);
ViStatus _VI_FUNC MP1570_GetMaskTypeWanderGeneration(ViSession instrSession, 
      vekIdxStrList *mask);
ViStatus _VI_FUNC MP1570_SetMaxPhase(ViSession instrSession, ViUInt16 margin);
ViStatus _VI_FUNC MP1570_GetMaxPhase(ViSession instrSession, ViUInt16 *margin);
ViStatus _VI_FUNC MP1570_SetAttenuatorValue(ViSession instrSession, ViInt8 
      attenuator);
ViStatus _VI_FUNC MP1570_GetAttenuatorValue(ViSession instrSession, ViInt8 *
      attenuator);
ViStatus _VI_FUNC MP1570_SetJudgmentTable(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetJudgmentTable(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetEditTable(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetEditTable(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetTableOutput(ViSession instrSession, ViUInt8 numeric1
      , ViUInt8 numeric2);
ViStatus _VI_FUNC MP1570_GetTableOutput(ViSession instrSession, ViUInt8 *
      numeric1, ViUInt8 *numeric2);
ViStatus _VI_FUNC MP1570_SetDefineTable(ViSession instrSession, vekIdxStrList 
      brate, ViUInt8 point, ViReal64 freq1, vekIdxStrList freq2);
ViStatus _VI_FUNC MP1570_GetDefineTable(ViSession instrSession, vekIdxStrList 
      brate, ViUInt8 point, ViReal64 *freq1, vekIdxStrList *freq2);
ViStatus _VI_FUNC MP1570_SetDataForJitterTolerance(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetTableJudgment(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetTableJudgment(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetTransferMeasurementTable(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetTransferMeasurementTable(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetTransferOutputPointRange(ViSession instrSession, 
      ViUInt8 numeric1, ViUInt8 numeric2);
ViStatus _VI_FUNC MP1570_GetTransferOutputPointRange(ViSession instrSession, 
      ViUInt8 *numeric1, ViUInt8 *numeric2);
ViStatus _VI_FUNC MP1570_SetUserDefineTable(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 freq1, vekIdxStrList freq2, 
      ViReal64 amp1);
ViStatus _VI_FUNC MP1570_GetUserDefineTable(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 *freq1, vekIdxStrList *freq2, 
      ViReal64 *amp1);
ViStatus _VI_FUNC MP1570_SetUser2TableContents(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 freq1, vekIdxStrList freq2, 
      ViReal64 amp1, vekIdxStrList rxrange);
ViStatus _VI_FUNC MP1570_GetUser2TableContents(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 *freq1, vekIdxStrList *freq2, 
      ViReal64 *amp1, vekIdxStrList *rxrange);
ViStatus _VI_FUNC MP1570_SetDataForJitterTransfer(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetDataForUser2(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetRange(ViSession instrSession, vekIdxStrList numeric)
;
ViStatus _VI_FUNC MP1570_GetRange(ViSession instrSession, vekIdxStrList *numeric
      );
ViStatus _VI_FUNC MP1570_SetOffsetIncrement(ViSession instrSession, 
      vekIdxStrList numeric);
ViStatus _VI_FUNC MP1570_GetOffsetIncrement(ViSession instrSession, 
      vekIdxStrList *numeric);
ViStatus _VI_FUNC MP1570_SetSweepTable(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetSweepTable(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetEditingSweepTable(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetEditingSweepTable(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetTableOutputRange(ViSession instrSession, ViUInt8 
      numeric1, ViUInt8 numeric2);
ViStatus _VI_FUNC MP1570_GetTableOutputRange(ViSession instrSession, ViUInt8 *
      numeric1, ViUInt8 *numeric2);
ViStatus _VI_FUNC MP1570_SetUserTableContents(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 freq1, vekIdxStrList freq2, 
      ViReal64 amp1);
ViStatus _VI_FUNC MP1570_GetUserTableContents(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViReal64 *freq1, vekIdxStrList *freq2, 
      ViReal64 *amp1);
ViStatus _VI_FUNC MP1570_SetSWeepTableContents(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_SetSweepMargin(ViSession instrSession, ViUInt8 margin);
ViStatus _VI_FUNC MP1570_GetSweepMargin(ViSession instrSession, ViUInt8 *margin)
;
ViStatus _VI_FUNC MP1570_SetFrequencyModulation(ViSession instrSession, ViReal64 
      freq, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetFrequencyModulation(ViSession instrSession, ViReal64 
      *freq, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetOffset(ViSession instrSession, vekIdxStrList offset)
;
ViStatus _VI_FUNC MP1570_GetOffset(ViSession instrSession, vekIdxStrList *offset
      );
ViStatus _VI_FUNC MP1570_SetRangeOffset(ViSession instrSession, vekIdxStrList 
      step);
ViStatus _VI_FUNC MP1570_GetRangeOffset(ViSession instrSession, vekIdxStrList *
      step);
ViStatus _VI_FUNC MP1570_SetCombinedJitter(ViSession instrSession, vekIdxStrList 
      pstype);
ViStatus _VI_FUNC MP1570_GetCombinedJitter(ViSession instrSession, vekIdxStrList 
      *pstype);
ViStatus _VI_FUNC MP1570_SetSDHObjectivePointer(ViSession instrSession, 
      vekIdxStrList ptype);
ViStatus _VI_FUNC MP1570_GetSDHObjectivePointer(ViSession instrSession, 
      vekIdxStrList *ptype);
ViStatus _VI_FUNC MP1570_SetSonetObjectivePointer(ViSession instrSession, 
      vekIdxStrList ptype);
ViStatus _VI_FUNC MP1570_GetSonetObjectivePointer(ViSession instrSession, 
      vekIdxStrList *ptype);
ViStatus _VI_FUNC MP1570_SetJustificationPolarity(ViSession instrSession, 
      vekIdxStrList polarity);
ViStatus _VI_FUNC MP1570_GetJustificationPolarity(ViSession instrSession, 
      vekIdxStrList *polarity);
ViStatus _VI_FUNC MP1570_SetT1Parameter(ViSession instrSession, ViUInt16 numeric
      );
ViStatus _VI_FUNC MP1570_GetT1Parameter(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetT2Parameter(ViSession instrSession, ViUInt16 nimeric
      );
ViStatus _VI_FUNC MP1570_GetT2Parameter(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTParameter(ViSession instrSession, ViUInt16 numeric)
;
ViStatus _VI_FUNC MP1570_GetTParameter(ViSession instrSession, ViUInt16 *numeric
      );
ViStatus _VI_FUNC MP1570_SetAddedPoint(ViSession instrSession, vekIdxStrList 
      internal);
ViStatus _VI_FUNC MP1570_GetAddedPoint(ViSession instrSession, vekIdxStrList *
      internal);
ViStatus _VI_FUNC MP1570_SetCancelledPoint(ViSession instrSession, vekIdxStrList 
      internal);
ViStatus _VI_FUNC MP1570_GetCancelledPoint(ViSession instrSession, vekIdxStrList 
      *internal);
ViStatus _VI_FUNC MP1570_SetFrequencyOffset(ViSession instrSession, 
      vekIdxStrList offset);
ViStatus _VI_FUNC MP1570_GetFrequencyOffset(ViSession instrSession, 
      vekIdxStrList *offset);
ViStatus _VI_FUNC MP1570_SetRangeFrequencyOffset(ViSession instrSession, 
      vekIdxStrList step);
ViStatus _VI_FUNC MP1570_GetRangeFrequencyOffset(ViSession instrSession, 
      vekIdxStrList *step);
ViStatus _VI_FUNC MP1570_SetInitializationCarried(ViSession instrSession, 
      ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetInitializationCarried(ViSession instrSession, 
      ViBoolean *mode);
ViStatus _VI_FUNC MP1570_SetInitialTime(ViSession instrSession, ViUInt8 s);
ViStatus _VI_FUNC MP1570_GetInitialTime(ViSession instrSession, ViUInt8 *s);
ViStatus _VI_FUNC MP1570_SetTiTime(ViSession instrSession, ViUInt16 ms);
ViStatus _VI_FUNC MP1570_GetTiTime(ViSession instrSession, ViUInt16 *ms);
ViStatus _VI_FUNC MP1570_SetCoolDown(ViSession instrSession, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetCoolDown(ViSession instrSession, ViBoolean *mode);
ViStatus _VI_FUNC MP1570_SetInitiaICoolDown(ViSession instrSession, ViUInt8 s);
ViStatus _VI_FUNC MP1570_GetInitialCoolDown(ViSession instrSession, ViUInt8 *s);
ViStatus _VI_FUNC MP1570_SetWanderReference(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetWanderReference(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetFrequencyWander(ViSession instrSession, ViUInt16 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetFrequencyWander(ViSession instrSession, ViUInt16 *
      numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetAmplitudeValue(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetAmplitudeValue(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetAmplitudeUnit(ViSession instrSession, vekIdxStrList 
      unit);
ViStatus _VI_FUNC MP1570_GetAmplitudeUnit(ViSession instrSession, vekIdxStrList 
      *unit);
ViStatus _VI_FUNC MP1570_SetWanderOrNoise(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetWanderOrNoise(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetTDEVMaskForAuto(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetTDEVMaskForAuto(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetWanderGenerationMask(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetWanderGenerationMask(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetAutoAttenuatorValue(ViSession instrSession, ViInt8 
      attenuator);
ViStatus _VI_FUNC MP1570_GetAutoAttenuatorValue(ViSession instrSession, ViInt8 *
      attenuator);
ViStatus _VI_FUNC MP1570_SetMaximumValue(ViSession instrSession, ViUInt16 
      deviation);
ViStatus _VI_FUNC MP1570_GetMaximumValue(ViSession instrSession, ViUInt16 *
      deviation);
ViStatus _VI_FUNC MP1570_SetWSweepTable(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetWSweepTable(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetEditSweep(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetEditSweep(ViSession instrSession, vekIdxStrList 
      brate, vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetWSweepOutputPointRange(ViSession instrSession, 
      ViUInt8 numeric1, ViUInt8 numeric2);
ViStatus _VI_FUNC MP1570_GetWSweepOutputPointRange(ViSession instrSession, 
      ViUInt8 *numeric1, ViUInt8 *numeric2);
ViStatus _VI_FUNC MP1570_SetFreqPointAmplitude(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViUInt16 freq1, vekIdxStrList freq2, 
      ViReal64 ampl);
ViStatus _VI_FUNC MP1570_GetFreqPointAmplitude(ViSession instrSession, 
      vekIdxStrList brate, ViUInt8 point, ViUInt16 *freq1, vekIdxStrList *freq2, 
      ViReal64 *ampl);
ViStatus _VI_FUNC MP1570_SetDataWanderTolerance(ViSession instrSession, 
      vekIdxStrList brate, vekIdxStrList type);
