/*****************************************************************************/

/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>

char * cTestMenu[] =
{
   "TSE",
   "MAN",
   "MAN:JOFF",
   "MAN:JON",
   "MAN:NON",
   "MAN:CID",
   "MAN:TCL",
   "MAN:TCELI",
   "MAN:RCELI",
   "MAN:WAND",
   "PSEQ",
   "PSEQ:JOFF",
   "PSEQ:JON",
   "DEL",
   "OHT",
   "APST",
   "PERF",
   "IPT",
   "FMEM",
   "JTOL",
   "JTR",
   "JFR",
   "JSW",
   "FSW",
   "WAND",
   "WSW",
   "CDV1",
   "CDV2",
   "QFAC",
   "COMB",
   0L
};
char * cSweepWander[] =
{
   "UHZ",
   "MHZ",
   "HZ",
   0L
};
char * cPeakInterval[] =
{
   "1",
   "15",
   "60",
   0L
};
char * cPeakIntervalJitter[] =
{
   "M",
   "S",
   0L
};
char * cDisplayedAlarm[] =
{
   "ALL",
   "POW",
   "LOS",
   "LOF",
   "OOF",
   "AIS:MS",
   "AIS:L",
   "RDI:MS",
   "RDI:L",
   "AIS:AU",
   "AIS:P",
   "LOP:AU",
   "LOP:P",
   "RDI:HP",
   "RDI:P",
   "SLM:HP",
   "PLM:P",
   "TIM:LP",
   "TIM:V",
   "UNEQ:LP",
   "UNEQ:V",
   "AIS:LV",
   "FAS:LP",
   "IAIS:LP",
   "TRDI:LP",
   "ODI:LP",
   "AIS:TU",
   "AIS:V",
   "LOP:TU",
   "LOP:V",
   "RDI:LP",
   "RDI:V",
   "SLM:LP",
   "PLM:V",
   "RFI:LP",
   "RFI:V",
   "LOM:TU",
   "LOM:V",
   "TIM:HP",
   "TIM:P",
   "UNEQ:HP",
   "UNEQ:P",
   "AIS:HV",
   "ISF:HP",
   "FAS:HP",
   "IAIS:HP",
   "TRDI:HP",
   "ODI:HP",
   "AIS:M139",
   "AIS:M45",
   "AIS:M34",
   "AIS:M8",
   "AIS:M2",
   "AIS:M1_5",
   "LOF:M139",
   "LOF:M45",
   "LOF:M34",
   "LOF:M8",
   "LOF:M2",
   "LOF:M1_5",
   "LOF:MF",
   "LOF:PLCP",
   "RDI:M139",
   "RDI:M45",
   "RDI:M34",
   "RDI:M8",
   "RDI:M2",
   "RDI:M1_5",
   "RDI:MF",
   "RDI:PLCP",
   "SYN:OH",
   "AIS:HG",
   "REC:HG",
   "BAI:S15",
   "AIS:S15",
   "SIG:OOF",
   "VPAIS",
   "VPRDI",
   "VPLOC",
   "VCAIS",
   "VCRDI",
   "VCLOC",
   "LCD",
   "PATT",
   "JUNL",
   "OOF:PLCP",
   0L
};
char * cMeasurement[] =
{
   "TSE",
   "MAN",
   "PSEQ",
   "DEL",
   0L
};
char * cSwitchesJitter[] =
{
   "JITT",
   "JWAN",
   0L
};
char * cJitterWanderMeasure[] =
{
   "DATA",
   "CLOC",
   0L
};
char * cWanderReference[] =
{
   "UNB_2MHZ",
   "UNB_2MBPS",
   "BAL_2MBPS",
   "UNB_1_5MHZ",
   "UNB_1_5MBPS",
   "BAL_1_5MBPS",
   "H64_8",
   "H5M",
   "H10M",
   0L
};
char * cFilterType[] =
{
   "OFF",
   "HP",
   "HP1",
   "HP21",
   "HP22",
   "LP",
   "LPHP",
   "LPHP1",
   "LPHP21",
   "LPHP22",
   "LPHP0",
   "USER",
   0L
};
char * cReceiveJitter[] =
{
   "800",
   "400",
   "32",
   "20",
   "2",
   0L
};
char * cMaskLine[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "B499",
   "B253",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G755",
   "ANSIT1",
   0L
};
char * cEditMaskLine[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "B499",
   "B253",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G755",
   "ANSIT1",
   0L
};
char * cDetectionJitter[] =
{
   "SEC1",
   "DEF",
   "ON",
   "DB1",
   "COUN",
   "RATE",
   0L
};
char * cSDHDetectionCondition[] =
{
   "B1",
   "B2 ",
   "HB3",
   "LB3",
   "BIP2",
   "MREI",
   "HREI",
   "HIEC",
   "HTREI",
   "HOEI",
   "LREI",
   "LIEC",
   "LTREI",
   "LOEI",
   "N2BIP2",
   "BIT",
   "CODE",
   "EBIT",
   "FAS139",
   "FAS45",
   "FAS34",
   "FAS8",
   "FAS2",
   "FAS1_5",
   "REI139",
   "REI45",
   "REI34",
   "BIP8",
   "PARITY",
   "CBIT",
   "CRC6",
   "CORRECT",
   "DISCARD",
   "NONCONF",
   "ERRORED",
   "LOST ",
   "MISINS",
   "SECB",
   0L
};
char * cSonetDetectionCondition[] =
{
   "B1",
   "B2 ",
   "HB3",
   "LB3",
   "BIP2",
   "REIL",
   "REIP",
   "HIEC",
   "HTREI",
   "HOEI",
   "REIV",
   "LIEC",
   "LTREI",
   "LOEI",
   "N2BIP2",
   "BIT",
   "CODE",
   "EBIT",
   "FAS139",
   "FAS45",
   "FAS34",
   "FAS8",
   "FAS2",
   "FAS1_5",
   "REI139",
   "REI45",
   "REI34",
   "BIP8",
   "PARITY",
   "CBIT",
   "CRC6",
   "CORRECT",
   "DISCARD",
   "NONCONF",
   "ERRORED",
   "LOST ",
   "MISINS",
   "SECB",
   0L
};
char * cThresholdTolerance[] =
{
   "COUN",
   "RATE",
   0L
};
char * cThresholdRangeJitter[] =
{
   "R1E_3",
   "R1E_4",
   "R1E_5",
   "R1E_6",
   "R1E_7",
   0L
};
char * cUserDefineMask[] =
{
   "A ",
   "B",
   "C",
   "D",
   "E",
   "F",
   0L
};
char * cModeCharacteristics[] =
{
   "CAL",
   "MEAS",
   0L
};
char * cJudgmentUse[] =
{
   "G958A",
   "G958B",
   "G752",
   "G751",
   "G742",
   "G743",
   "B253",
   "USER",
   "G755",
   "G735F2H",
   "G735F2L",
   "G735F3",
   "G736F1H",
   "G736F1L",
   "G736F2",
   "G737F2H",
   "G737F2L",
   "G737F3",
   "G738F2H",
   "G738F2L",
   "G738F3",
   "G739F2H",
   "G739F2L",
   "G739F3",
   "ANSIT1",
   0L
};
char * cUserDefineMask2[] =
{
   "A ",
   "B",
   "C",
   "D",
   0L
};
char * cJudgmentUse2[] =
{
   "G958A",
   "G958B",
   "G752",
   "G751",
   "G742",
   "G743",
   "B253",
   "B499",
   "G755",
   "G735F2H",
   "G735F2L",
   "G735F3",
   "G736F1H",
   "G736F1L",
   "G736F2",
   "G737F2H",
   "G737F2L",
   "G737F3",
   "G738F2H",
   "G738F2L",
   "G738F3",
   "G739F2H",
   "G739F2L",
   "G739F3",
   "ANSIT1",
   0L
};
char * cJudgmentUse3[] =
{
   "G958A",
   "G958B",
   "G752",
   "G751",
   "G742",
   "G743",
   "B253",
   "B499",
   "USER",
   "G755",
   "G735F2H",
   "G735F2L",
   "G735F3",
   "G736F1H",
   "G736F1L",
   "G736F2",
   "G737F2H",
   "G737F2L",
   "G737F3",
   "G738F2H",
   "G738F2L",
   "G738F3",
   "G739F2H",
   "G739F2L",
   "G739F3",
   "ANSIT1",
   0L
};
char * cValueWidth[] =
{
   "H_01",
   "H_03",
   "H_1",
   "H_3",
   "H_10",
   "H_30",
   0L
};
char * cJitterFrequency[] =
{
   "OFF",
   "HP",
   "HP1",
   "HP21",
   "HP22",
   "LP",
   "LPHP",
   "LPHP1",
   "LPHP21",
   "LPHP22",
   "USER",
   0L
};
char * cNumberFilter[] =
{
   "SING",
   "DOUB",
   0L
};
char * cMaskJitter[] =
{
   "G783",
   "USER",
   0L
};
char * cMaskLineTable[] =
{
   "M139",
   "M45",
   "M34",
   "M8",
   "M2",
   "M1_5",
   0L
};
char * cUserDefineJitter2[] =
{
   "G783",
   0L
};
char * cDetectionTolerance[] =
{
   "SEC1",
   "DEF",
   "ON",
   "DB1",
   "COUN",
   "RATE",
   0L
};
char * cDataMeasurementLine[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "B499",
   "B253",
   "G825O",
   "G825E",
   "G813",
   "G755",
   "ANSIT1",
   0L
};
char * cIntervalMeasurement[] =
{
   "SEC12",
   "SEC120",
   "SEC1200",
   "SEC12000",
   "SEC120000",
   "USER",
   0L
};
char * cWanderMeasurement[] =
{
   "NOR",
   "HSP",
   0L
};
char * cJitterWander[] =
{
   "OFF",
   "JITT",
   "WAND",
   0L
};
char * cOffsetRange[] =
{
   "70",
   "999",
   "100",
   0L
};
char * cJitterSignal[] =
{
   "INT",
   "EXT",
   0L
};
char * cJitterRange[] =
{
   "800",
   "200",
   "50",
   "20",
   "2",
   "400",
   "80",
   "16",
   0L
};
char * cFrequencyUnits[] =
{
   "HZ",
   "KHZ",
   "MHZ",
   0L
};
char * cJitterAmplitude[] =
{
   "MAN",
   "AUTO",
   0L
};
char * cResolution[] =
{
   "FINE",
   "COAR",
   0L
};
char * cJitterAmplitudeValue[] =
{
   "UP",
   "DOWN",
   0L
};
char * cTDEVMask[] =
{
   "ITUT",
   "ETSI",
   "ANSI",
   "BELL",
   "USER",
   0L
};
char * cITUTStandardTable[] =
{
   "G811",
   "S81T6",
   "S81T7",
   "S91T11",
   "S91T12",
   "S10T18",
   "S10T19",
   "SA31",
   "SA41",
   "SA5",
   "S71O1",
   "S71O2",
   0L
};
char * cETSIStandardTable[] =
{
   "S721",
   "S722",
   "S723",
   "S724",
   "S61_4",
   "S61_5",
   "S72_4",
   "S72_5",
   "S8",
   "ETS300_6",
   0L
};
char * cANSIStandardTable[] =
{
   "S722",
   "S732",
   "SD21",
   "SD221",
   "SD222",
   "ANSIT1_9",
   0L
};
char * cBellcoreStandardTable[] =
{
   "GR2830",
   "S43",
   "S53",
   "S54S2",
   "S54S3",
   "S54424F515",
   "S54425F516",
   "S54432",
   "S545",
   0L
};
char * cTDEVtOMask[] =
{
   "0.05",
   "0.1",
   0L
};
char * cTDEVStandard[] =
{
   "ITUT",
   "ETSI",
   "ANSI",
   "BELL",
   0L
};
char * cTDEVTable[] =
{
   "G811",
   "S81T6",
   "S81T7",
   "S91T11",
   "S91T12",
   "S10T18",
   "S10T19",
   "SA31",
   "SA41",
   "SA5",
   "S71O1",
   "S71O2",
   "S721",
   "S722",
   "S723",
   "S724",
   "S61_4",
   "S61_5",
   "S72_4",
   "S72_5",
   "S8",
   "ETS300_6",
   "S722",
   "S732",
   "SD21",
   "SD221",
   "SD222",
   "ANSIT1_9",
   "GR2830",
   "S43",
   "S53",
   "S54S2",
   "S54S3",
   "S54424F515",
   "S54425F516",
   "S54432",
   "S545",
   0L
};
char * cWanderGeneration[] =
{
   "OFF",
   "NOISE",
   "WAND",
   "TRAN",
   "SIGN",
   0L
};
char * cWanderType[] =
{
   "AT101",
   "AT105_03",
   "AT105_09",
   "GR2830",
   "GR1244",
   "GR253",
   "ETS300_3",
   "ETS300_4",
   "ETS300_5",
   "ETS300_6",
   "G811",
   "G812",
   "G813",
   0L
};
char * cMaskTypeGeneration[] =
{
   "S722",
   "S732",
   "SD21",
   "SD221",
   "SD222",
   "S43",
   "S53",
   "S54S2",
   "S54S3",
   "S54425F514",
   "S54425F515",
   "S54432",
   "S545",
   "S721",
   "S722",
   "S723",
   "S724",
   "S61",
   "S72",
   "S8",
   "S81T6",
   "S81T7",
   "S91T11",
   "S91T12",
   "S10T18",
   "S10T19",
   "SA31",
   "SA41",
   "SA5",
   "S7O1",
   "S7O2",
   0L
};
char * cTypeSweepTable[] =
{
   "G823",
   "G825",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   0L
};
char * cEditSweepTable[] =
{
   "G823",
   "G824",
   "G825",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   0L
};
char * cFreq2Value[] =
{
   "UHZ",
   "MHZ",
   0L
};
char * cJudgmentTable[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "B499",
   "B253",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cEditSweep[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "B499",
   "B253",
   "USER",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cJitterGenerationBigTable[] =
{
   "M2488",
   "M622",
   "M156",
   "M52",
   "M139",
   "M45",
   "M34",
   "M8",
   "M2",
   "M1_5",
   0L
};
char * cJitterGenerationTable[] =
{
   "M622",
   "M156",
   "M52",
   "M139",
   "M45",
   "M34",
   "M8",
   "M2",
   "M1_5",
   0L
};
char * cTableEdit[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "B499",
   "B253",
   "USER",
   "USER2",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cToleranceTableEdit[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "B499",
   "B253",
   "USER",
   "USER2",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cJitterToleranceData[] =
{
   "M2488",
   "M622",
   "M156",
   "M52",
   "M139",
   "M45",
   "M34",
   "M8",
   "M2",
   "M1_5",
   0L
};
char * cJudgmentTransferTable[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "B499",
   "B253",
   "USER",
   "USER2",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cTableJudgment[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "B499",
   "B253",
   "USER",
   "USER2",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cContentsUser2[] =
{
   "UI2",
   "UI20",
   "UI32",
   0L
};
char * cJitterFreqMeasurement[] =
{
   "100",
   "90",
   "80",
   "70",
   "60",
   "50",
   "40",
   "30",
   "20",
   "10",
   0L
};
char * cIncrementMeasurement[] =
{
   "1",
   "2",
   "3",
   "4",
   "5",
   "6",
   "7",
   "8",
   "10",
   "12",
   "15",
   "20",
   "25",
   "30",
   "35",
   "40",
   "45",
   "50",
   "60",
   "70",
   "80",
   "90",
   "100",
   0L
};
char * cJitterUserContents[] =
{
   "G958A",
   "G958B",
   "G823",
   "G823H",
   "G823L",
   "G824",
   "G825_1_5M",
   "G825_2M",
   "G825O_1_5M",
   "G825O_2M",
   "B499",
   "B253",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   "G755",
   "ANSIT1",
   "TRESULT",
   0L
};
char * cCombinedMeasurement[] =
{
   "OFF",
   "SOOP",
   "RWD",
   "RWM",
   "DOOP",
   "NORM",
   "ADD87_3",
   "CANC87_6",
   "CPN",
   "CPAD",
   "CPC",
   "SPAD",
   "MRPB",
   "PTPB",
   0L
};
char * cSDHObjectPointer[] =
{
   "AU",
   "TU",
   0L
};
char * cSonetObjectPointer[] =
{
   "STS",
   "VT",
   0L
};
char * cPolarityForCombined[] =
{
   "PPJC",
   "NPJC",
   0L
};
char * cPointAdded[] =
{
   "R1IN1",
   "R1IN2",
   "R1IN3",
   "R1IN4",
   "R1IN5",
   "R1IN6",
   "R1IN7",
   "R1IN8",
   "R1IN9",
   "R1IN10",
   0L
};
char * cReferenceOutput[] =
{
   "M2",
   "M1_5",
   "M5",
   0L
};
char * cUnitAmplitude[] =
{
   "UIPP",
   "NS",
   0L
};
char * cNoiseJitter[] =
{
   "OFF",
   "NOI",
   "WAN",
   "TRA",
   0L
};
char * cUserDefineData[] =
{
   "G823",
   "G825",
   "G825O",
   "G825E",
   "G813",
   "G812T1",
   "G812T2",
   "G812T3",
   0L
};
