/*****************************************************************************/

/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>
#include "MP1570_misc.h"

ViStatus _VI_FUNC MP1570_SetATMMapping(ViSession instrSession, vekIdxStrList 
      mtype);
ViStatus _VI_FUNC MP1570_GetATMMapping(ViSession instrSession, vekIdxStrList *
      mtype);
ViStatus _VI_FUNC MP1570_SetHeaderStructure(ViSession instrSession, 
      vekIdxStrList htype);
ViStatus _VI_FUNC MP1570_GetHeaderStructure(ViSession instrSession, 
      vekIdxStrList *htype);
ViStatus _VI_FUNC MP1570_SetOAMTransmissionSignals(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetOAMTransmissionSignals(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetE3PresetData(ViSession instrSession, vekIdxStrList 
      ohpoint, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetE3PresetData(ViSession instrSession, vekIdxStrList 
      ohpoint, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetE3PlainLanguage(ViSession instrSession, 
      vekIdxStrList string);
ViStatus _VI_FUNC MP1570_GetE3PlainLanguage(ViSession instrSession, 
      vekIdxStrList *string);
ViStatus _VI_FUNC MP1570_SetE3TrailTraceSignal(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetE3TrailTraceSignal(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetE3InitializesPresetData(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetE4PresetData(ViSession instrSession, vekIdxStrList 
      ohpoint, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetE4PresetData(ViSession instrSession, vekIdxStrList 
      ohpoint, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetE4PlainLanguage(ViSession instrSession, 
      vekIdxStrList string);
ViStatus _VI_FUNC MP1570_GetE4PlainLanguage(ViSession instrSession, 
      vekIdxStrList *string);
ViStatus _VI_FUNC MP1570_SetE4TrailTraceSignal(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetE4TrailTraceSignal(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetE4InitializesPresetData(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetPLCPPresetData(ViSession instrSession, ViUInt8 
      numeric, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetPLCPPresetData(ViSession instrSession, ViUInt8 
      numeric, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetDS3PresetData(ViSession instrSession, ViUInt8 
      numeric, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetDS3PresetData(ViSession instrSession, ViUInt8 
      numeric, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetPOIPresetData(ViSession instrSession, vekIdxStrList 
      type, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetPOIPresetData(ViSession instrSession, vekIdxStrList 
      type, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetATMPOHPresetData(ViSession instrSession, vekIdxStrList 
      type, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetATMPOHPresetData(ViSession instrSession, vekIdxStrList 
      type, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetDS3InitializesPresetData(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetATMCellType(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetATMCellType(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetNumberMemorized(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetNumberMemorized(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetHeaderPattern(ViSession instrSession, ViChar gfc[], 
      ViUInt16 vpi, ViUInt16 vci, ViChar pt[], ViChar clp[]);
ViStatus _VI_FUNC MP1570_GetHeaderPattern(ViSession instrSession, ViChar gfc[256
      ], ViUInt16 *vpi, ViUInt16 *vci, ViChar pt[256], ViChar clp[256]);
ViStatus _VI_FUNC MP1570_SetPayloadType(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetPayloadType(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetWordPattern(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetWordPattern(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetCellTraffic(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetCellTraffic(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetCBRType(ViSession instrSession, vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCBRType(ViSession instrSession, vekIdxStrList *type)
;
ViStatus _VI_FUNC MP1570_SetTrafficCBR(ViSession instrSession, ViReal64 numeric, 
      vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetTrafficCBR(ViSession instrSession, ViReal64 *numeric
      , vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetBurstType(ViSession instrSession, vekIdxStrList type
      );
ViStatus _VI_FUNC MP1570_GetBurstType(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetBurstRMaxCellTraffic(ViSession instrSession, 
      ViReal64 numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetBurstRMaxCellTraffic(ViSession instrSession, 
      ViReal64 *numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetBurstRMinCellTraffic(ViSession instrSession, 
      ViReal64 numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetBurstRMinCellTraffic(ViSession instrSession, 
      ViReal64 *numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetCellTrafficT1(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetCellTrafficT1(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetCellTrafficT2(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetCellTrafficT2(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetCBRTypeCDV(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetCBRTypeCDV(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetCDVTCell(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetCDVTCell(ViSession instrSession, ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetCWCDCellTraffic(ViSession instrSession, ViReal64 
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetCWCDCellTraffic(ViSession instrSession, ViReal64 *
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetPoissonTraffic(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetPoissonTraffic(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetSawtoothType(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetSawtoothType(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetSawtoothRMAXTraffic(ViSession instrSession, ViReal64 
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetSawtoothRMAXTraffic(ViSession instrSession, ViReal64 
      *numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetSawtoothRMINTraffic(ViSession instrSession, ViReal64 
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetSawtoothRMINTraffic(ViSession instrSession, ViReal64 
      *numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetSawtoothT1Traffic(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetSawtoothT1Traffic(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetSawtoothT2Traffic(ViSession instrSession, ViUInt32 
      numeric);
ViStatus _VI_FUNC MP1570_GetSawtoothT2Traffic(ViSession instrSession, ViUInt32 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransmissionType(ViSession instrSession, 
      vekIdxStrList mode);
ViStatus _VI_FUNC MP1570_GetTransmissionType(ViSession instrSession, 
      vekIdxStrList *mode);
ViStatus _VI_FUNC MP1570_SetRequestsStart(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetRequestsStop(ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetSingleCondition(ViSession instrSession, ViBoolean *
      numeric);
ViStatus _VI_FUNC MP1570_SetBackgroundTraffic(ViSession instrSession, ViChar 
      traffic[]);
ViStatus _VI_FUNC MP1570_GetBackgroundTraffic(ViSession instrSession, ViChar 
      traffic[256]);
ViStatus _VI_FUNC MP1570_SetBackgroundTrafficCell(ViSession instrSession, ViChar 
      traffic[]);
ViStatus _VI_FUNC MP1570_GetBackgroundTrafficCell(ViSession instrSession, ViChar 
      traffic[256]);
ViStatus _VI_FUNC MP1570_SetTypeBackground(ViSession instrSession, ViChar type[]
      );
ViStatus _VI_FUNC MP1570_GetTypeBackground(ViSession instrSession, ViChar type[
      256]);
ViStatus _VI_FUNC MP1570_SetDAAL2(ViSession instrSession, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetDAAL2(ViSession instrSession, ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_SetFillCell(ViSession instrSession, vekIdxStrList type)
;
ViStatus _VI_FUNC MP1570_GetFillCell(ViSession instrSession, vekIdxStrList *type
      );
ViStatus _VI_FUNC MP1570_SetAlarmSend(ViSession instrSession, vekIdxStrList type
      );
ViStatus _VI_FUNC MP1570_GetAlarmSend(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetAdditionTiming(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetAdditionTiming(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetErrorType(ViSession instrSession, vekIdxStrList type
      );
ViStatus _VI_FUNC MP1570_GetErrorType(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetByteAddition(ViSession instrSession, ViUInt8 numeric
      );
ViStatus _VI_FUNC MP1570_GetByteAddition(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_SetErrorPattern(ViSession instrSession, ViChar string[]
      );
ViStatus _VI_FUNC MP1570_GetErrorPattern(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetATMInsertionRate(ViSession instrSession, vekIdxStrList 
      mode);
ViStatus _VI_FUNC MP1570_GetATMInsertionRate(ViSession instrSession, vekIdxStrList 
      *mode);
ViStatus _VI_FUNC MP1570_SetSuccessiveError(ViSession instrSession, ViUInt8 
      numeric);
ViStatus _VI_FUNC MP1570_GetSuccessiveError(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_SetCellAddition(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetCellAddition(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetLoopbackCell(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetLoopbackCell(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetLoopbackStart(ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetLoopbackTransmission(ViSession instrSession, 
      ViBoolean *numeric);
ViStatus _VI_FUNC MP1570_SetForwardAddition(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetForwardAddition(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetSendSignal(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetSendSignal(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetATMErrorRate(ViSession instrSession, vekIdxStrList mode
      );
ViStatus _VI_FUNC MP1570_GetATMErrorRate(ViSession instrSession, vekIdxStrList *
      mode);
ViStatus _VI_FUNC MP1570_SetBackwardCellAddition(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetBackwardCellAddition(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetInsertInterval(ViSession instrSession, ViReal64 
      numeric);
ViStatus _VI_FUNC MP1570_GetInsertInterval(ViSession instrSession, ViReal64 *
      numeric);
ViStatus _VI_FUNC MP1570_SetErrorSendType(ViSession instrSession, vekIdxStrList 
      alpha);
ViStatus _VI_FUNC MP1570_GetErrorSendType(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetModeInsertionRate(ViSession instrSession, 
      vekIdxStrList alpha);
ViStatus _VI_FUNC MP1570_GetModeInsertionRate(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetPatternATMPayload(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetPatternATMPayload(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetPatternPayloadInitial(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetTCPTPattern(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetTCPTPattern(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetUserPayload(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetUserPayload(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetUserInitialPattern(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetPointerAAL1(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetPointerAAL1(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetPayloadPatternAAL1(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetPayloadPatternAAL1(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetInitialPayloadAAL1(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetFormatPattern(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetFormatPattern(ViSession instrSession, ViBoolean *
      boolean);
ViStatus _VI_FUNC MP1570_SetBitFormatRTS(ViSession instrSession, ViChar string[]
      );
ViStatus _VI_FUNC MP1570_GetBitFormatRTS(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetCIDPrimary(ViSession instrSession, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetCIDPrimary(ViSession instrSession, ViChar string[256
      ]);
ViStatus _VI_FUNC MP1570_SetPatternLI(ViSession instrSession, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetPatternLI(ViSession instrSession, ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_SetPatternSourcePPT(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetPatternSourcePPT(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetPrimarySourceUUI(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetPrimarySourceUUI(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetPayloadAAL2(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetPayloadAAL2(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetInitialPayloadAAL2(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetATMDummyPattern(ViSession instrSession, ViChar string[]
      );
ViStatus _VI_FUNC MP1570_GetATMDummyPattern(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetAAL2Primary(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetAAL2Primary(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetPPTPrimary(ViSession instrSession, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetPPTPrimary(ViSession instrSession, ViChar string[256
      ]);
ViStatus _VI_FUNC MP1570_SetMIDFormatPattern(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetMIDFormatPattern(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetCPIFormatPattern(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetCPIFormatPattern(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetBTagPattern(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetBTagPattern(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetBASizePattern(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetBASizePattern(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetLengthAAL34(ViSession instrSession, ViUInt16 numeric
      );
ViStatus _VI_FUNC MP1570_GetLengthAAL34(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetLengthAAL5(ViSession instrSession, ViUInt16 numeric)
;
ViStatus _VI_FUNC MP1570_GetLengthAAL5(ViSession instrSession, ViUInt16 *numeric
      );
ViStatus _VI_FUNC MP1570_SetCPCSPatternSource(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetCPCSPatternSource(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetCPISourcePattern(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetCPISourcePattern(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetAAL5PayloadType(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetAAL5PayloadType(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetAAL5PayloadHeader(ViSession instrSession, ViUInt8 
      ver, ViUInt8 ihl, ViChar tos[], ViUInt16 tl, ViUInt16 id, ViChar flag[], 
      ViUInt16 offset, ViUInt8 ttl, ViUInt8 protocol);
ViStatus _VI_FUNC MP1570_GetAAL5PayloadHeader(ViSession instrSession, ViUInt8 *
      ver, ViUInt8 *ihl, ViChar tos[256], ViUInt16 *tl, ViUInt16 *id, ViChar 
      flag[256], ViUInt16 *offset, ViUInt8 *ttl, ViUInt8 *protocol);
ViStatus _VI_FUNC MP1570_SetDestinationAddress(ViSession instrSession, 
      vekIdxStrList type, ViUInt8 adr1, ViUInt8 adr2, ViUInt8 adr3, ViUInt8 adr4
      );
ViStatus _VI_FUNC MP1570_GetDestinationAddress(ViSession instrSession, 
      vekIdxStrList type, ViUInt8 *adr1, ViUInt8 *adr2, ViUInt8 *adr3, ViUInt8 *
      adr4);
ViStatus _VI_FUNC MP1570_SetHeaderPatternAAL5(ViSession instrSession, ViUInt8 
      ver, ViChar pri[], ViChar fl[], ViUInt16 pl, ViUInt8 nh, ViUInt8 hl);
ViStatus _VI_FUNC MP1570_GetHeaderPatternAAL5(ViSession instrSession, ViUInt8 *
      ver, ViChar pri[256], ViChar fl[256], ViUInt16 *pl, ViUInt8 *nh, ViUInt8 *
      hl);
ViStatus _VI_FUNC MP1570_SetIPDestination(ViSession instrSession, vekIdxStrList 
      type, ViChar adr1[], ViChar adr2[], ViChar adr3[], ViChar adr4[], ViChar 
      adr5[], ViChar adr6[], ViChar adr7[], ViChar adr8[]);
ViStatus _VI_FUNC MP1570_GetIPDestination(ViSession instrSession, vekIdxStrList 
      type, ViChar adr1[256], ViChar adr2[256], ViChar adr3[256], ViChar adr4[
      256], ViChar adr5[256], ViChar adr6[256], ViChar adr7[256], ViChar adr8[
      256]);
ViStatus _VI_FUNC MP1570_SetAAL5InitializesPayload(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetBytesValue(ViSession instrSession, ViChar init[]);
ViStatus _VI_FUNC MP1570_SetBytesPatternAAL5(ViSession instrSession, ViUInt16 
      start, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetBytesPatternAAL5(ViSession instrSession, ViUInt16 
      start, ViUInt16 stop, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetBytesAAL5(ViSession instrSession, ViChar init[]);
ViStatus _VI_FUNC MP1570_SetBytesAAL5Payload(ViSession instrSession, ViUInt16 
      start, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetBytesAAL5Payload(ViSession instrSession, ViUInt16 
      start, ViUInt16 stop, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetPatternPayloadPattern(ViSession instrSession, 
      ViUInt16 numeric, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetPatternPayloadPattern(ViSession instrSession, 
      ViUInt16 numeric1, ViUInt16 numeric2, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetPatternInitialByte(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_SetAISCellFunction(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetAISCellFunction(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetAISInitialPattern(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetAISReserve(ViSession instrSession, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetAISReserve(ViSession instrSession, ViChar string[256
      ]);
ViStatus _VI_FUNC MP1570_SetRDIFunction(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetRDIFunction(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetRDIFunctionSpecific(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetRDIReserveBit(ViSession instrSession, ViChar string[
      ]);
ViStatus _VI_FUNC MP1570_GetRDIReserveBit(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetOAMUserType(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetOAMUserType(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetFunctionUser(ViSession instrSession, ViChar string[]
      );
ViStatus _VI_FUNC MP1570_GetFunctionUser(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetUserProgram(ViSession instrSession, ViChar string[])
;
ViStatus _VI_FUNC MP1570_GetUserProgram(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetPatternField(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetPatternReserveCell(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetPatternReserveCell(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetCCCellFunction(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetCCCellFunction(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetCCInitialField(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetCCFormatReserve(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetCCFormatReserve(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetIndicationCell(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetIndicationCell(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetCorrelationTag(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetCorrelationTag(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetLocationID(ViSession instrSession, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetLocationID(ViSession instrSession, ViChar string[256
      ]);
ViStatus _VI_FUNC MP1570_SetSourceLoopback(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetSourceLoopback(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetUnusedLoopback(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetUnusedLoopback(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetUnusedSource(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetLoopbackReserve(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetLoopbackReserve(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetTSTPMonitoring(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetTSTPMonitoring(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetForwardMonitoring(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetForwardMonitoring(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetInitialForward(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetReserveForward(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetReserveForward(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetBackwardReport(ViSession instrSession, ViChar string
      []);
ViStatus _VI_FUNC MP1570_GetBackwardReport(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_SetTSTPBackward(ViSession instrSession, ViChar string[]
      );
ViStatus _VI_FUNC MP1570_GetTSTPBackward(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetUnused2Report(ViSession instrSession, ViChar string[
      ]);
ViStatus _VI_FUNC MP1570_GetUnused2Report(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetTUCO1Report(ViSession instrSession, vekIdxStrList 
      character);
ViStatus _VI_FUNC MP1570_GetTUCO1Report(ViSession instrSession, vekIdxStrList *
      character);
ViStatus _VI_FUNC MP1570_SetTUCOBackward(ViSession instrSession, vekIdxStrList 
      character);
ViStatus _VI_FUNC MP1570_GetTUCOBackward(ViSession instrSession, vekIdxStrList *
      character);
ViStatus _VI_FUNC MP1570_SetTSTPUnused1Report(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetBackwardReserve(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetBackwardReserve(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetHeaderBackground(ViSession instrSession, ViUInt8 
      numeric, ViChar pattern[]);
ViStatus _VI_FUNC MP1570_GetHeaderBackground(ViSession instrSession, ViUInt8 
      numeric, ViChar pattern[256]);
ViStatus _VI_FUNC MP1570_SetBackgroundCell(ViSession instrSession, ViUInt8 
      numeric, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetBackgroundCell(ViSession instrSession, ViUInt8 
      numeric, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetCalculationCell(ViSession instrSession, ViUInt8 
      numeric);
ViStatus _VI_FUNC MP1570_SetInitialBackground(ViSession instrSession, 
      vekIdxStrList type, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_SetMemorizedHeader(ViSession instrSession, ViUInt16 
      numeric, ViChar pattern[]);
ViStatus _VI_FUNC MP1570_GetMemorizedHeader(ViSession instrSession, ViUInt16 
      numeric, ViChar pattern[256]);
ViStatus _VI_FUNC MP1570_SetPatternMemorized(ViSession instrSession, ViUInt16 
      numeric, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetPatternMemorized(ViSession instrSession, ViUInt16 
      numeric, ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetCRC10Calculation(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_SetInitialMemorized(ViSession instrSession, 
      vekIdxStrList type, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_SetEditPaste(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_SetEditCut(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_SetEditCopy(ViSession instrSession, ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_SetEditInsertion(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_SetCopiesResult(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetATMReceiveSignal(ViSession instrSession, 
      vekIdxStrList mtype);
ViStatus _VI_FUNC MP1570_GetATMReceiveSignal(ViSession instrSession, 
      vekIdxStrList *mtype);
ViStatus _VI_FUNC MP1570_SetHeaderReceive(ViSession instrSession, vekIdxStrList 
      htype);
ViStatus _VI_FUNC MP1570_GetHeaderReceive(ViSession instrSession, vekIdxStrList 
      *htype);
ViStatus _VI_FUNC MP1570_SetOAMReceiveSignal(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetOAMReceiveSignal(ViSession instrSession, 
      vekIdxStrList *trailer);
ViStatus _VI_FUNC MP1570_SetHeaderFilter(ViSession instrSession, ViChar pattern[
      ]);
ViStatus _VI_FUNC MP1570_GetHeaderFilter(ViSession instrSession, ViChar pattern[
      256]);
ViStatus _VI_FUNC MP1570_SetHeaderMask(ViSession instrSession, ViChar string[]);
ViStatus _VI_FUNC MP1570_GetHeaderMask(ViSession instrSession, ViChar string[256
      ]);
ViStatus _VI_FUNC MP1570_SetPayloadFilter(ViSession instrSession, ViChar string[
      ]);
ViStatus _VI_FUNC MP1570_GetPayloadFilter(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetSpecifiesFilter(ViSession instrSession, ViChar 
      string[]);
ViStatus _VI_FUNC MP1570_GetSpecifiesFilter(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetFilterPosition(ViSession instrSession, ViUInt8 
      numeric);
ViStatus _VI_FUNC MP1570_GetFilterPosition(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_SetCIDSpecifies(ViSession instrSession, ViChar type[]);
ViStatus _VI_FUNC MP1570_GetCIDSpecifies(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetMIDSpecifies(ViSession instrSession, ViChar type[]);
ViStatus _VI_FUNC MP1570_GetMIDSpecifies(ViSession instrSession, ViChar string[
      256]);
ViStatus _VI_FUNC MP1570_SetVPVCCondition(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetVPVCCondition(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetCBRNonconforming(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCBRNonconforming(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetCBRTraffic(ViSession instrSession, ViReal64 numeric, 
      vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetCBRTraffic(ViSession instrSession, ViReal64 *numeric
      , vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetCDVTNonconforming(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetCDVTNonconforming(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetCaptureTrigger(ViSession instrSession, vekIdxStrList 
      error);
ViStatus _VI_FUNC MP1570_GetCaptureTrigger(ViSession instrSession, vekIdxStrList 
      *error);
ViStatus _VI_FUNC MP1570_SetTriggerPosition(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetTriggerPosition(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetStartCapture(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetStopCapture(ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetCaptureCondition(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_SetLiveMonitor(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetLiveMonitor(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_SetCHLiveMonitor(ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetSearchCondition(ViSession instrSession, ViBoolean *
      numeric);
ViStatus _VI_FUNC MP1570_SetCellReferenceCDV(ViSession instrSession, 
      vekIdxStrList alpha);
ViStatus _VI_FUNC MP1570_GetCellReferenceCDV(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetCDVIntervalPoint(ViSession instrSession, ViReal64 
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_GetCDVIntervalPoint(ViSession instrSession, ViReal64 *
      numeric, vekIdxStrList units);
ViStatus _VI_FUNC MP1570_SetCDV1MeasurementPoint(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCDV1MeasurementPoint(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetCDV1MeasurementTime(ViSession instrSession, ViUInt8 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetCDV1MeasurementTime(ViSession instrSession, ViUInt8 
      *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetCDV2MeasurementPoint(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetCDV2MeasurementPoint(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetCDV2MeasurementTime(ViSession instrSession, ViUInt8 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetCDV2MeasurementTime(ViSession instrSession, ViUInt8 
      *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetCellBlockN(ViSession instrSession, vekIdxStrList 
      numeric);
ViStatus _VI_FUNC MP1570_GetCellBlockN(ViSession instrSession, vekIdxStrList *
      numeric);
ViStatus _VI_FUNC MP1570_SetSECBThreshold(ViSession instrSession, vekIdxStrList 
      numeric);
ViStatus _VI_FUNC MP1570_GetSECBThreshold(ViSession instrSession, vekIdxStrList 
      *numeric);
ViStatus _VI_FUNC MP1570_SetAAL5FrameSize(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetAAL5FrameSize(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetContentsEvent(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetConditionRegister(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetValueEventEnable(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetValueEventEnable(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionFilterPositive(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionFilterPositive(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetFilterNegativeDirection(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetFilterNegativeDirection(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetContentsEventsVP(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetVPConditionStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetValueEnableVP(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetValueEnableVP(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionFilterVP(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetTransitionFilterVP(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetDirectionFilter(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetDirectionFilter(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetContentsEventVC(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetContentsCondition(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetEnableRegister(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetEnableRegister(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositiveVC(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositiveVC(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetStatusTransition(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetStatusTransition(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetEventContentsATM(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetConditionRegisterATM(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetMaskEventStatus(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetMaskEventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionRegister(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetTransitionRegister(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetNegativeFilterStatus(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetNegativeFilterStatus(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetAAL1EventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetAAL1StatusRegister(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetMaskValueAAL1(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetMaskValueAAL1(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositiveAAL1(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositiveAAL1(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTransitionNegativeAAL1(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionNegativeAAL1(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetAAL2EventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetAAL2StatusRegister(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetMaskValueAAL2(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetMaskValueAAL2(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositiveAAL2(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositiveAAL2(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTransitionNegativeAAL2(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionNegativeAAL2(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetAAL34EventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetAAL34StatusRegister(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetMaskValueAAL34(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetMaskValueAAL34(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositiveAAL34(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositiveAAL34(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTransitionNegativeAAL34(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionNegativeAAL34(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetAAL5EventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetAAL5StatusRegister(ViSession instrSession, ViUInt16 
      *numeric);
ViStatus _VI_FUNC MP1570_SetMaskValueAAL5(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetMaskValueAAL5(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositiveAAL5(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositiveAAL5(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTransitionNegativeAAL5(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionNegativeAAL5(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_GetPMEventStatus(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_GetPMStatusRegister(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetMaskValuePM(ViSession instrSession, ViUInt16 numeric
      );
ViStatus _VI_FUNC MP1570_GetMaskValuePM(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetTransitionPositivePM(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionPositivePM(ViSession instrSession, 
      ViUInt16 *numeric);
ViStatus _VI_FUNC MP1570_SetTransitionNegativePM(ViSession instrSession, 
      ViUInt16 numeric);
ViStatus _VI_FUNC MP1570_GetTransitionNegativePM(ViSession instrSession, 
      ViUInt16 *numeric);
