/*****************************************************************************/

/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>

char * cATMMapping[] =
{
   "AAL1",
   "AAL2",
   "AAL34",
   "AAL5",
   "ATM",
   0L
};
char * cHeaderStructure[] =
{
   "UNI",
   "NNI",
   0L
};
char * cOAMTransmissionSignals[] =
{
   "SEGM",
   "END",
   0L
};
char * cE3Pattern[] =
{
   "FA1",
   "FA2",
   "RDI",
   "REI",
   "PTYPE",
   "PDEP",
   "TMARK",
   "NR",
   "GC",
   0L
};
char * cE3PlainLanguage[] =
{
   "Unequipped",
   "Equipped-non-specific",
   "ATM",
   "SONET VT-2S",
   0L
};
char * cE4Pattern[] =
{
   "FA1",
   "FA2",
   "P1",
   "P2",
   "RDI",
   "REI",
   "PTYPE",
   "PDEP",
   "TMARK",
   "NR",
   "GC",
   0L
};
char * cE4PlainLanguage[] =
{
   "Unequipped",
   "Equipped-non-specific",
   "ATM",
   "20 x VTG",
   "2xTUG-3 and 5xVTG",
   0L
};
char * cDS3POI[] =
{
   "P11",
   "P10",
   "P09",
   "P08",
   "P07",
   "P06",
   "P05",
   "P04",
   "P03",
   "P02",
   "P01",
   "P00",
   0L
};
char * cDS3POH[] =
{
   "Z6",
   "Z5",
   "Z4",
   "Z3",
   "Z2",
   "Z1",
   "X7",
   "G1",
   "X10",
   "X11",
   0L
};
char * cATMCellType[] =
{
   "O191",
   "USER",
   "MEM",
   0L
};
char * cPayloadType[] =
{
   "WORD8",
   "WORD16",
   "SCPR7",
   "SCPR9",
   "CCPR9",
   "CCPR15",
   "CCPR23",
   "EDIT",
   "TST",
   0L
};
char * cCellTraffic[] =
{
   "CBR",
   "BURST",
   "CWCDV",
   "PWCDV",
   "POISSON",
   "SAWTOOTH",
   0L
};
char * cCBRType[] =
{
   "BPS",
   "CPS",
   "PERC",
   0L
};
char * cTransmissionType[] =
{
   "SING",
   "CONT",
   0L
};
char * cFillCell[] =
{
   "UNAS",
   "IDLE",
   0L
};
char * cAlarmSend[] =
{
   "OFF",
   "LCD",
   "VPAIS",
   "VPRDI",
   "VCAIS",
   "VCRDI",
   "VPUSER",
   "VCUSER",
   "USER",
   0L
};
char * cErrorType[] =
{
   "OFF",
   "HEC1",
   "HEC2",
   "USER",
   "LOST",
   "MISINS",
   "PRBS",
   "ERRORED",
   "SECB",
   "WORD",
   "SNP1",
   "SNP2",
   "P",
   "SN",
   "OSF",
   "HCPS",
   "LI",
   "CRC10",
   "ST",
   "ABORT",
   "CPI",
   "BETAG",
   "BASIZE",
   "AL",
   "LENGTH",
   "CRC32",
   0L
};
char * cInsertionRate[] =
{
   "ONCE",
   "R1E_3",
   "R1E_4",
   "R1E_5",
   "R1E_6",
   "R1E_7",
   "R1E_8",
   "R1E_9",
   "SEQ",
   "R5E_3",
   "R5E_4",
   "R5E_5",
   "R5E_6",
   "R5E_7",
   "R5E_8",
   "R5E_9",
   0L
};
char * cCellAddition[] =
{
   "OFF",
   "VP",
   "VC",
   0L
};
char * cLoopbackCell[] =
{
   "VP",
   "VC",
   0L
};
char * cSendSignal[] =
{
   "OFF",
   "LOST ",
   "MISINS",
   "BIPV",
   "SECB",
   0L
};
char * cErrorRate[] =
{
   "ONCE",
   "R1E_3",
   "R1E_4",
   "R1E_5",
   "R1E_6",
   "R1E_7",
   "R1E_8",
   "R1E_9",
   "R5E_3",
   "R5E_4",
   "R5E_5",
   "R5E_6",
   "R5E_7",
   "R5E_8",
   "R5E_9",
   0L
};
char * cAAL5PayloadType[] =
{
   "IPV4",
   "IPV6",
   0L
};
char * cDestinationAddress[] =
{
   "SOURCE",
   "DESTIN",
   0L
};
char * cInitialBackground[] =
{
   "HEAD",
   "PAYL",
   "ALL",
   0L
};
char * cCaptureTrigger[] =
{
   "MAN",
   "AIS:VP",
   "RDI:VP",
   "LOC:VP",
   "AIS:VC",
   "RDI:VC",
   "LOC:VC",
   "LCD",
   "CORR",
   "DISC",
   "NONCONF",
   "ERRORED",
   "LOST",
   "MISINS",
   "SECB",
   "SARPDU",
   "SNP",
   "UCSNP",
   "P",
   "OSF",
   "SN ",
   "CPSHEC",
   "LI",
   "LENGTH",
   "CRC10",
   "DISCPDU",
   "ST",
   "ABORT",
   "UDLVPDU",
   "CPI",
   "BETAG",
   "BASIZE",
   "AL",
   "FSIZE",
   "CRC32",
   "FM:LOST",
   "FM:MISINS",
   "FM:BIPV",
   "FM:SECB",
   "BR:LOST",
   "BR:MISINS",
   "BR:BIPV",
   "BR:SECB",
   0L
};
char * cLiveMonitor[] =
{
   "IND",
   "ACC",
   0L
};
char * cMeasurementPoint[] =
{
   "MAN",
   "SING",
   0L
};
char * cMeasurementTime[] =
{
   "D",
   "H ",
   "M",
   "S",
   0L
};
char * cCellBlockN[] =
{
   "128",
   "256",
   "512",
   "1024",
   "2048",
   "4096",
   "8192",
   0L
};
char * cSECBThreshold[] =
{
   "8",
   "16",
   "32",
   "64",
   "128",
   "256",
   "512",
   0L
};
char * cTUCO1Report[] =
{
   "128",
   "256",
   "512",
   "1024",
   0L
};
