/*****************************************************************************/

/*   Copyright Anritsu 2000  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>
#include "MP1570_misc.h"

ViStatus _VI_FUNC MP1570_SetAnalyzeMonitor(ViSession instrSession, vekIdxStrList 
      ohmonitor);
ViStatus _VI_FUNC MP1570_GetAnalyzeMonitor(ViSession instrSession, vekIdxStrList 
      *ohmonitor);
ViStatus _VI_FUNC MP1570_SetAnalyzeTOHMonitor(ViSession instrSession, ViUInt8 
      numeric);
ViStatus _VI_FUNC MP1570_GetAnalyzeTOHMonitor(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_GetTOHMonitorDataSubscreen(ViSession instrSession, 
      ViChar string[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataS1(ViSession instrSession, vekIdxStrList 
      *string, ViChar s1bit[256]);
ViStatus _VI_FUNC MP1570_GetAnalyzePOHData(ViSession instrSession, ViChar 
      pohsts3[256], ViChar pohsts1[256], ViChar pohvt[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataC2(ViSession instrSession, vekIdxStrList 
      *pohsts3, ViChar bitsts3[256], vekIdxStrList *pohsts1, ViChar bitsts1[256]
      );
ViStatus _VI_FUNC MP1570_GetMonitorOHMonitorSubscreen(ViSession instrSession, 
      vekIdxStrList *pohvc21, ViChar bitvc21[256]);
ViStatus _VI_FUNC MP1570_GetAnalyzeMonitorK1K2Data(ViSession instrSession, 
      vekIdxStrList *request1, ViChar request2[256], vekIdxStrList *channel1, 
      ViChar channel2[256], vekIdxStrList *bridge1, ViChar bridge2[256], 
      vekIdxStrList *arch1, ViChar arch2[256], ViChar reserved2[256]);
ViStatus _VI_FUNC MP1570_GetPointerMonitorData(ViSession instrSession, ViChar 
      sndf[256], ViChar sss[256], ViChar sid[256], ViChar vndf[256], ViChar vss[
      256], ViChar vid[256]);
ViStatus _VI_FUNC MP1570_GetPathTraceJOAnalyze(ViSession instrSession, ViChar 
      crc[256], ViChar tim[256], ViChar trdata[256]);
ViStatus _VI_FUNC MP1570_GetPathTraceJ1HP(ViSession instrSession, ViChar crc[256
      ], ViChar tim[256], ViChar trdata[256]);
ViStatus _VI_FUNC MP1570_GetPathTraceMonitorJ1LP(ViSession instrSession, ViChar 
      crc[256], ViChar tim[256], ViChar trdata[256]);
ViStatus _VI_FUNC MP1570_GetPathJ2MonitorData(ViSession instrSession, ViChar crc
      [256], ViChar tim[256], ViChar trdata[256]);
ViStatus _VI_FUNC MP1570_SetDisplayItemDSn(ViSession instrSession, vekIdxStrList 
      display);
ViStatus _VI_FUNC MP1570_GetDisplayItemPDH(ViSession instrSession, vekIdxStrList 
      *display, ViChar pattern[256]);
ViStatus _VI_FUNC MP1570_GetPayloadMonitorData(ViSession instrSession, ViChar 
      string[256]);
ViStatus _VI_FUNC MP1570_SetChannelsOHMonitor(ViSession instrSession, ViUInt8 
      numeric);
ViStatus _VI_FUNC MP1570_GetChannelsOHMonitor(ViSession instrSession, ViUInt8 *
      numeric);
ViStatus _VI_FUNC MP1570_SetColumnPosition(ViSession instrSession, ViUInt16 
      numeric);
ViStatus _VI_FUNC MP1570_GetColumnPosition(ViSession instrSession, ViUInt16 *
      numeric);
ViStatus _VI_FUNC MP1570_SetPauseOHMonitor(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetPauseStatus(ViSession instrSession, ViBoolean *
      boolean);
ViStatus _VI_FUNC MP1570_SetSOHMonitorChannelAnalyze(ViSession instrSession, 
      ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetSOHMonitorChannelAnalyze(ViSession instrSession, 
      ViUInt8 *numeric);
ViStatus _VI_FUNC MP1570_GetSOHDataAnalyze(ViSession instrSession, ViChar string
      [256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataVC4VC3G1(ViSession instrSession, ViChar 
      vc4[256], ViChar bitvc4[256], ViChar vc3[256], ViChar bitvc3[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataK4Z7(ViSession instrSession, ViChar pohg1
      [256], ViChar bitg1[256]);
ViStatus _VI_FUNC MP1570_GetMonitorBitsK4Z7(ViSession instrSession, ViChar pohg1
      [256], ViChar bitg2[256]);
ViStatus _VI_FUNC MP1570_GetTandemMonitorDataType1(ViSession instrSession, 
      ViChar flag[256], ViChar sapi[256], ViChar tei[256], ViChar type[256], 
      ViChar eic[256], ViChar lic[256], ViChar unit[256], ViChar fic[256], 
      ViChar fcs[256]);
ViStatus _VI_FUNC MP1570_GetTandemMonitorDataType2(ViSession instrSession, 
      ViChar frame1_8[256], ViChar frame9_72[256], ViChar frame73[256], ViChar 
      frame74[256], ViChar frame75[256], ViChar frame76[256]);
ViStatus _VI_FUNC MP1570_SetTypeTandemConnection(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetTypeTandemConnection(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetDisplayTandem(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetDisplayTandem(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_GetMonitorDataOHMonitor64Frame1(ViSession instrSession, 
      ViChar fs[256], ViChar ais[256], ViChar mbais15[256], ViChar bais[256], 
      ViChar loopocu[256], ViChar pty[256], ViChar berr[256], ViChar loop2[256], 
      ViChar lp[256], ViChar trace[256], ViChar ress[256], ViChar resu[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataOHMonitor64Frame2(ViSession instrSession, 
      ViChar fs[256], ViChar ais[256], ViChar kx[256], ViChar bais[256], ViChar 
      loop15m[256], ViChar pty[256], ViChar berr[256], ViChar lp[256], ViChar 
      trace[256], ViChar ress[256], ViChar resu[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataOHMonitor64Frame3(ViSession instrSession, 
      ViChar fs[256], ViChar ais[256], ViChar ky[256], ViChar bais[256], ViChar 
      pty[256], ViChar berr[256], ViChar lp[256], ViChar trace[256], ViChar ress
      [256], ViChar resu[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataOHMonitor64Frame4(ViSession instrSession, 
      ViChar fs[256], ViChar ais[256], ViChar kz[256], ViChar bais[256], ViChar 
      pty[256], ViChar berr[256], ViChar lp[256], ViChar trace[256], ViChar ress
      [256], ViChar resu[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataOHMonitor8Frame(ViSession instrSession, 
      ViChar fs[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataC2OHMonitor(ViSession instrSession, 
      vekIdxStrList *pohvc4, ViChar bitvc4[256], vekIdxStrList *pohvc3, ViChar 
      bitvc3[256]);
ViStatus _VI_FUNC MP1570_GetMonitorDataTrailTrace(ViSession instrSession, ViChar 
      crc[256], ViChar mismatch[256], ViChar trail[256]);
ViStatus _VI_FUNC MP1570_GetDataAppointedChannel(ViSession instrSession, ViUInt8 
      *channel, ViChar pattern[256]);
ViStatus _VI_FUNC MP1570_SetMonitorChannelInformation(ViSession instrSession, 
      ViUInt8 channel);
ViStatus _VI_FUNC MP1570_GetMonitorChannelInformation(ViSession instrSession, 
      ViUInt8 *channel);
ViStatus _VI_FUNC MP1570_GetMarkerData(ViSession instrSession, ViUInt16 *year, 
      ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second, ViChar alarm1s[256], ViChar alarm1c[256], ViChar alarm2s[256], 
      ViChar alarm2c[256], ViChar alarm3s[256], ViChar alarm3c[256], ViChar 
      alarm4s[256], ViChar alarm4c[256], ViChar alarm5s[256], ViChar alarm5c[256
      ], ViChar error1[256], ViChar error2[256]);
ViStatus _VI_FUNC MP1570_SetGraduationAxis(ViSession instrSession, vekIdxStrList 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetGraduationAxis(ViSession instrSession, vekIdxStrList 
      *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetStartPosition(ViSession instrSession, ViUInt16 year, 
      ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, ViUInt8 second);
ViStatus _VI_FUNC MP1570_GetStartPosition(ViSession instrSession, ViInt16 *year
      , ViInt8 *month, ViInt8 *day, ViInt8 *hour, ViInt8 *minute, ViInt8 *
      second);
ViStatus _VI_FUNC MP1570_SetErrorItemDisplay(ViSession instrSession, 
      vekIdxStrList error1, vekIdxStrList error2);
ViStatus _VI_FUNC MP1570_GetErrorItemDisplay(ViSession instrSession, 
      vekIdxStrList *error1, vekIdxStrList *error2);
ViStatus _VI_FUNC MP1570_SetAlarmItem(ViSession instrSession, ViUInt8 
      alarmNumber, vekIdxStrList alarm);
ViStatus _VI_FUNC MP1570_GetAlarmItem(ViSession instrSession, ViUInt8 
      alarmNumber, vekIdxStrList *alarm);
ViStatus _VI_FUNC MP1570_SetAnalyzeWaveLength(ViSession instrSession,
      vekIdxStrList wavelength);
ViStatus _VI_FUNC MP1570_GetAnalyzeWaveLength(ViSession instrSession,
      vekIdxStrList *wavelength);
ViStatus _VI_FUNC MP1570_SetReferenceValue(ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetPauseButton(ViSession instrSession, ViBoolean 
      boolean);
ViStatus _VI_FUNC MP1570_GetPauseButton(ViSession instrSession, ViBoolean *
      boolean);
ViStatus _VI_FUNC MP1570_SetDataDisplayFormat(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetDataDisplayFormat(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_GetMonitorDataMarker(ViSession instrSession, ViChar ptr
      [256], ViChar ppjc[256], ViChar mpjc[256], ViChar ndf[256], ViChar cons[
      256], ViUInt16 *year, ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 
      *minute, ViUInt8 *second);
ViStatus _VI_FUNC MP1570_SetScaleWidth(ViSession instrSession, vekIdxStrList 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetScaleWidth(ViSession instrSession, vekIdxStrList *
      numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetPointerMonitor(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetPointerMonitor(ViSession instrSession, vekIdxStrList 
      *type);
ViStatus _VI_FUNC MP1570_SetGraphPointerSDH(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetGraphPointerSDH(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetGraphPointerSonet(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetGraphPointerSonet(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetObjectiveIPPacket(ViSession instrSession, 
      vekIdxStrList type);
ViStatus _VI_FUNC MP1570_GetObjectiveIPPacket(ViSession instrSession, 
      vekIdxStrList *type);
ViStatus _VI_FUNC MP1570_SetDispFrameNumber(ViSession instrSession, ViUInt8 
      frame);
ViStatus _VI_FUNC MP1570_GetDispFrameNumber(ViSession instrSession, ViUInt8 *
      frame);
ViStatus _VI_FUNC MP1570_GetRecallMarker(ViSession instrSession, ViUInt16 *year, 
      ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second, ViChar alarm1s[256], ViChar alarm1c[256], ViChar alarm2s[256], 
      ViChar alarm2c[256], ViChar alarm3s[256], ViChar alarm3c[256], ViChar 
      alarm4s[256], ViChar alarm4c[256], ViChar alarm5s[256], ViChar alarm5c[256
      ], ViChar error1[256], ViChar error2[256]);
ViStatus _VI_FUNC MP1570_SetGraduationTimebase(ViSession instrSession, 
      vekIdxStrList numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetGraduationTimebase(ViSession instrSession, 
      vekIdxStrList *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetRecallScreenGraph(ViSession instrSession, ViUInt16 
      year, ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, ViUInt8 
      second);
ViStatus _VI_FUNC MP1570_GetRecallScreenGraph(ViSession instrSession, ViUInt16 *
      year, ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, 
      ViUInt8 *second);
ViStatus _VI_FUNC MP1570_SetErrorGraphRecall(ViSession instrSession, ViChar 
      error1[], ViChar error2[]);
ViStatus _VI_FUNC MP1570_GetErrorGraphRecall(ViSession instrSession, ViChar 
      error1[256], ViChar error2[256]);
ViStatus _VI_FUNC MP1570_SetAlarmRecall(ViSession instrSession, ViUInt8 
      alarmNumber, vekIdxStrList alarm);
ViStatus _VI_FUNC MP1570_GetAlarmRecall(ViSession instrSession, ViUInt8 
      alarmNumber, vekIdxStrList *alarm);
ViStatus _VI_FUNC MP1570_SetDataDisplay(ViSession instrSession, vekIdxStrList 
      type);
ViStatus _VI_FUNC MP1570_GetDataDisplay(ViSession instrSession, vekIdxStrList *
      type);
ViStatus _VI_FUNC MP1570_GetDataMarker(ViSession instrSession, ViUInt16 *year, 
      ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second, ViChar frequency[256], ViChar ppm[256]);
ViStatus _VI_FUNC MP1570_SetMonitoringIntervalGraph(ViSession instrSession, 
      vekIdxStrList numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetMonitoringIntervalGraph(ViSession instrSession, 
      vekIdxStrList *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetMonitoringFrequencyScreen(ViSession instrSession, 
      ViUInt16 year, ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, 
      ViUInt8 second);
ViStatus _VI_FUNC MP1570_GetMonitoringFrequencyScreen(ViSession instrSession, 
      ViUInt16 *year, ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *
      minute, ViUInt8 *second);
ViStatus _VI_FUNC MP1570_GetRouteTrouble(ViSession instrSession, ViChar result[]
      , ViChar string[256]);
ViStatus _VI_FUNC MP1570_SetRouteResultsSearch(ViSession instrSession, 
      vekIdxStrList troute, ViUInt8 numeric);
ViStatus _VI_FUNC MP1570_GetRouteResultsSearch(ViSession instrSession, ViUInt8 *
      aug, ViUInt8 *au3, ViUInt8 *tug3, ViUInt8 *tug2, ViUInt8 *tu12, ViUInt8 *
      tu11, ViUInt8 *k384, ViUInt8 *m34, ViUInt8 *m8, ViUInt8 *m2, ViUInt8 *m1_5
      , ViUInt8 *k64);
ViStatus _VI_FUNC MP1570_GetMarkerSequenceData(ViSession instrSession,
      ViUInt16 *year, ViUInt8 *month, ViUInt8 *day,
      ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *second,
      ViChar alarm1s[256], ViChar alarm1c[256],
      ViChar alarm2s[256], ViChar alarm2c[256],
      ViChar alarm3s[256], ViChar alarm3c[256],
      ViChar alarm4s[256], ViChar alarm4c[256],
      ViChar alarm5s[256], ViChar alarm5c[256],
      ViChar error1[256], ViChar error2[256]);
ViStatus _VI_FUNC MP1570_SetScaleAxisTime(ViSession instrSession, vekIdxStrList 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetScaleAxisTime(ViSession instrSession, vekIdxStrList 
      *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_SetDisplayGraphPoint(ViSession instrSession, ViUInt16 
      year, ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, ViUInt8 
      second);
ViStatus _VI_FUNC MP1570_GetDisplayGraphPoint(ViSession instrSession, ViUInt16 *
      year, ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, 
      ViUInt8 *second);
ViStatus _VI_FUNC MP1570_SetItemsDisplayError(ViSession instrSession, 
      vekIdxStrList error1, vekIdxStrList error2);
ViStatus _VI_FUNC MP1570_GetItemsDisplayError(ViSession instrSession, 
      vekIdxStrList *error1, vekIdxStrList *error2);
ViStatus _VI_FUNC MP1570_SetAlarmSequence(ViSession instrSession, ViUInt8 
      seqNumber, vekIdxStrList alarm);
ViStatus _VI_FUNC MP1570_GetAlarmSequence(ViSession instrSession, ViUInt8 
      seqNumber, vekIdxStrList *alarm);
ViStatus _VI_FUNC MP1570_GetMarkerSequenceScreen(ViSession instrSession, 
      ViUInt16 *year, ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *
      minute, ViUInt8 *second, ViChar frequency[256], ViChar ppm[256]);
ViStatus _VI_FUNC MP1570_SetStartingPoint(ViSession instrSession, ViUInt16 year, 
      ViUInt8 month, ViUInt8 day, ViUInt8 hour, ViUInt8 minute, ViUInt8 second);
ViStatus _VI_FUNC MP1570_GetStartingPoint(ViSession instrSession, ViUInt16 *year
      , ViUInt8 *month, ViUInt8 *day, ViUInt8 *hour, ViUInt8 *minute, ViUInt8 *
      second);
ViStatus _VI_FUNC MP1570_SetScaleWidthAxis(ViSession instrSession, vekIdxStrList 
      numeric, vekIdxStrList suffix);
ViStatus _VI_FUNC MP1570_GetScaleWidthAxis(ViSession instrSession, vekIdxStrList 
      *numeric, vekIdxStrList *suffix);
ViStatus _VI_FUNC MP1570_GetPowerMeterData(ViSession instrSession, ViChar power[256], 
                                           ViChar relative[256], ViChar reference[256]);
ViStatus _VI_FUNC MP1570_GetDispAnalTseData(ViSession instrSession, 
                                            ViUInt16 ErrAlarm,
                                            ViUInt16 *condition);
ViStatus _VI_FUNC MP1570_SetDispAnalTseSear(ViSession instrSession, 
                                           ViUInt16 direction);                                            
ViStatus _VI_FUNC MP1570_SetDispAnalTseRout(ViSession instrSession, 
                                            ViUInt16 mapping, ViUInt16 channel);
ViStatus _VI_FUNC MP1570_GetDispAnalTseRout(ViSession instrSession,
                                            ViUInt16 *aug,  ViUInt16 *au3, 
                                            ViUInt16 *tug3, ViUInt16 *tug2, 
                                            ViUInt16 *tu12, ViUInt16 *tu11, 
                                            ViUInt16 *k384, ViUInt16 *m34, 
                                            ViUInt16 *m8,   ViUInt16 *m2, 
                                            ViUInt16 *m15,  ViUInt16 *k64);
ViStatus _VI_FUNC MP1570_SetDispDselName(ViSession instrSession, 
                                         ViUInt16 screens);
ViStatus _VI_FUNC MP1570_GetDispDselName(ViSession instrSession,
                                         ViUInt16 *screens);
ViStatus _VI_FUNC MP1570_SetResultMenu(ViSession instrSession,
                                       vekIdxStrList subScreen);
ViStatus _VI_FUNC MP1570_GetResultMenu(ViSession instrSession,
                                       vekIdxStrList *subScreen);
