/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>

ViStatus _VI_FUNC MP1570_SetAPSCaptureStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetAPSCaptureState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetAPSCaptureClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetAPSCaptureTriggerPos (ViSession instrSession, ViInt32 captureTriggerPosition);
ViStatus _VI_FUNC MP1570_GetAPSCaptureTriggerPos (ViSession instrSession, ViInt32* captureTriggerPosition);
ViStatus _VI_FUNC MP1570_SetAPSCaptureTriggerTypeSDH (ViSession instrSession, ViUInt16 captureTriggerType);
ViStatus _VI_FUNC MP1570_GetAPSCaptureTriggerTypeSDH (ViSession instrSession, ViUInt16* captureTriggerType);
ViStatus _VI_FUNC MP1570_SetAPSCaptureTriggerTypeSON (ViSession instrSession, ViUInt16 captureTriggerType);
ViStatus _VI_FUNC MP1570_GetAPSCaptureTriggerTypeSON (ViSession instrSession, ViUInt16* captureTriggerType);
ViStatus _VI_FUNC MP1570_SetAPSTestMeasurementPeriod (ViSession instrSession, ViInt32 period, ViUInt16 unit);
ViStatus _VI_FUNC MP1570_GetAPSTestMeasurementPeriod (ViSession instrSession, ViInt32* period, ViUInt16* unit);
ViStatus _VI_FUNC MP1570_SetAPSTestMeasurementMode (ViSession instrSession, ViUInt16 testMeasurementMode);
ViStatus _VI_FUNC MP1570_GetAPSTestMeasurementMode (ViSession instrSession, ViUInt16* testMeasurementMode);
ViStatus _VI_FUNC MP1570_SetAPSTestStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetAPSTestState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetAPSTestClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetAPSTriggerRange (ViSession instrSession, ViUInt16 triggerRange);
ViStatus _VI_FUNC MP1570_GetAPSTriggerRange (ViSession instrSession, ViUInt16* triggerRange);
ViStatus _VI_FUNC MP1570_SetAPSDetectConditionsSDH (ViSession instrSession, ViUInt16 detectConditions);
ViStatus _VI_FUNC MP1570_GetAPSDetectConditionsSDH (ViSession instrSession, ViUInt16* detectConditions);
ViStatus _VI_FUNC MP1570_SetAPSDetectConditionsSON (ViSession instrSession, ViUInt16 detectConditions);
ViStatus _VI_FUNC MP1570_GetAPSDetectConditionsSON (ViSession instrSession, ViUInt16* detectConditions);
ViStatus _VI_FUNC MP1570_SetTriggerPattern (ViSession instrSession, ViChar* triggerPattern);
ViStatus _VI_FUNC MP1570_GetTriggerPattern (ViSession instrSession, ViChar* triggerPattern);
ViStatus _VI_FUNC MP1570_SetFrameCaptureStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetFrameCaptureState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetFrameCaptureClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetFrameCaptureTriggerMask (ViSession instrSession, ViChar* captureTriggerMask);
ViStatus _VI_FUNC MP1570_GetFrameCaptureTriggerMask (ViSession instrSession, ViChar* captureTriggerMask);
ViStatus _VI_FUNC MP1570_SetFrameCaptureTriggerPattern (ViSession instrSession, ViChar* captureTriggerPattern);
ViStatus _VI_FUNC MP1570_GetFrameCaptureTriggerPattern (ViSession instrSession, ViChar* captureTriggerPattern);
ViStatus _VI_FUNC MP1570_SetFrameCaptureTriggerTypeSDH (ViSession instrSession, ViUInt16 captureTriggerType);
ViStatus _VI_FUNC MP1570_GetFrameCaptureTriggerTypeSDH (ViSession instrSession, ViUInt16* captureTriggerType);
ViStatus _VI_FUNC MP1570_SetFrameCaptureTriggerTypeSON (ViSession instrSession, ViUInt16 captureTriggerType);
ViStatus _VI_FUNC MP1570_GetFrameCaptureTriggerTypeSON (ViSession instrSession, ViUInt16* captureTriggerType);
ViStatus _VI_FUNC MP1570_SetIPV4ObjectiveMask (ViSession instrSession, ViInt32 sadr1, ViInt32 sadr2, ViInt32 sadr3, ViInt32 sadr4 , ViInt32 dadr1, ViInt32 dadr2, ViInt32 dadr3, ViInt32 dadr4);
ViStatus _VI_FUNC MP1570_GetIPV4ObjectiveMask (ViSession instrSession, ViInt32* sadr1, ViInt32* sadr2, ViInt32* sadr3, ViInt32* sadr4, ViInt32* dadr1, ViInt32* dadr2, ViInt32* dadr3, ViInt32* dadr4);
ViStatus _VI_FUNC MP1570_GetIPV6ObjectiveMask (ViSession instrSession,
												ViInt32* sadr1, ViInt32* sadr2, ViInt32* sadr3, ViInt32* sadr4, ViInt32* sadr5, ViInt32* sadr6, ViInt32* sadr7, ViInt32* sadr8,
												ViInt32* dadr1, ViInt32* dadr2, ViInt32* dadr3, ViInt32* dadr4, ViInt32* dadr5, ViInt32* dadr6, ViInt32* dadr7, ViInt32* dadr8);
ViStatus _VI_FUNC MP1570_SetIPV6ObjectiveMask (ViSession instrSession,
												ViInt32 sadr1, ViInt32 sadr2, ViInt32 sadr3, ViInt32 sadr4, ViInt32 sadr5, ViInt32 sadr6, ViInt32 sadr7, ViInt32 sadr8,
												ViInt32 dadr1, ViInt32 dadr2, ViInt32 dadr3, ViInt32 dadr4, ViInt32 dadr5, ViInt32 dadr6, ViInt32 dadr7, ViInt32 dadr8);
ViStatus _VI_FUNC MP1570_SetIPCaptureStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetIPCaptureState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetIPCaptureClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetIPCaptureTriggerType (ViSession instrSession, ViUInt16 captureTriggerType);
ViStatus _VI_FUNC MP1570_GetIPCaptureTriggerType (ViSession instrSession, ViUInt16* captureTriggerType);
ViStatus _VI_FUNC MP1570_SetIPTestMeasurementPeriod (ViSession instrSession, ViInt32 period, ViUInt16 unit);
ViStatus _VI_FUNC MP1570_GetIPTestMeasurementPeriod (ViSession instrSession, ViInt32* period, ViUInt16* unit);
ViStatus _VI_FUNC MP1570_SetIPTestMeasurementMode (ViSession instrSession, ViUInt16 IPTestMeasurementMode);
ViStatus _VI_FUNC MP1570_GetIPTestMeasurementMode (ViSession instrSession, ViUInt16* IPTestMeasurementMode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearDetectionSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearDetectionSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearDetectionSON (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearDetectionSON (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearConditionSDH (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearConditionSDH (ViSession instrSession, ViInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearConditionSON (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearConditionSON (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearRemoveSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearRemoveSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetHPAlarmClearRemoveSON (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetHPAlarmClearRemoveSON (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearDetectionSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearDetectionSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearDetectionSON (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearDetectionSON (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearConditionSDH (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearConditionSDH (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearConditionSON (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearConditionSON (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearRemoveSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearRemoveSDH (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetLPAlarmClearRemoveSON (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetLPAlarmClearRemoveSON (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetAlarmMask (ViSession instrSession, ViBoolean alarmMask);
ViStatus _VI_FUNC MP1570_GetAlarmMask (ViSession instrSession, ViBoolean* alarmMask);
ViStatus _VI_FUNC MP1570_SetAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViReal64 mode);
ViStatus _VI_FUNC MP1570_GetAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViReal64* mode);
ViStatus _VI_FUNC MP1570_SetAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViReal64 mode);
ViStatus _VI_FUNC MP1570_GetAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViReal64* mode);
ViStatus _VI_FUNC MP1570_SetStartingTimeSelect (ViSession instrSession, ViBoolean select);
ViStatus _VI_FUNC MP1570_GetStartingTimeSelect (ViSession instrSession, ViBoolean* select);
ViStatus _VI_FUNC MP1570_SetMeasurementStartTime (ViSession instrSession, ViInt32 startYear, ViInt32 startMonth, ViInt32 startDay, ViInt32 startHour, ViInt32 startMinute, ViInt32 startSecond);
ViStatus _VI_FUNC MP1570_GetMeasurementStartTime (ViSession instrSession, ViInt32* year, ViInt32* month, ViInt32* day, ViInt32* hour, ViInt32* minute, ViInt32* second);
ViStatus _VI_FUNC MP1570_SetMeasurementDelay (ViSession instrSession, ViUInt16 measurementDelay);
ViStatus _VI_FUNC MP1570_GetMeasurementDelay (ViSession instrSession, ViUInt16* measurementDelay);
ViStatus _VI_FUNC MP1570_SetTimeBaseResolution (ViSession instrSession, ViUInt16 timeBaseResolution);
ViStatus _VI_FUNC MP1570_GetTimeBaseResolution (ViSession instrSession, ViUInt16* timeBaseResolution);
ViStatus _VI_FUNC MP1570_SetMeasurementPeriod (ViSession instrSession, ViInt32 period, ViUInt16 suffix);
ViStatus _VI_FUNC MP1570_GetMeasurementPeriod (ViSession instrSession, ViInt32* period, ViUInt16* suffix);
ViStatus _VI_FUNC MP1570_SetInitiateMeasurement (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetMeasurementStop (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetMonitorInput (ViSession instrSession, ViBoolean monitorInput);
ViStatus _VI_FUNC MP1570_GetMonitorInput (ViSession instrSession, ViBoolean* monitorInput);
ViStatus _VI_FUNC MP1570_Set25GBandwidth (ViSession instrSession, ViUInt16 bandwidth);
ViStatus _VI_FUNC MP1570_Get25GBandwidth (ViSession instrSession, ViUInt16* bandwidth);
ViStatus _VI_FUNC MP1570_SetTandemHPAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetTandemHPAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetTandemHPAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetTandemHPAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetTandemHPAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetTandemHPAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetTandemLPAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetTandemLPAlarmClearDetection (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetTandemLPAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean mode);
ViStatus _VI_FUNC MP1570_GetTandemLPAlarmClearCondition (ViSession instrSession, ViUInt16 alarmType, ViBoolean* mode);
ViStatus _VI_FUNC MP1570_SetTandemLPAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViInt16 mode);
ViStatus _VI_FUNC MP1570_GetTandemLPAlarmClearRemove (ViSession instrSession, ViUInt16 alarmType, ViInt16* mode);
ViStatus _VI_FUNC MP1570_SetMeasureTandemConnType (ViSession instrSession, ViUInt16 tandemConn, ViUInt16 tandemConnType);
ViStatus _VI_FUNC MP1570_GetMeasureTandemConnType (ViSession instrSession, ViUInt16 tandemConn, ViUInt16* connectionType);
ViStatus _VI_FUNC MP1570_SetMeasureTandemConn (ViSession instrSession, ViUInt16 tandemConn, ViBoolean measureTandemConn);
ViStatus _VI_FUNC MP1570_GetMeasureTandemConn (ViSession instrSession, ViUInt16 tandemConn, ViBoolean* measureTandemConn);
ViStatus _VI_FUNC MP1570_SetTroubleSearch (ViSession instrSession, ViBoolean troubleSearch);
ViStatus _VI_FUNC MP1570_GetTroubleSearch (ViSession instrSession, ViBoolean* troubleSearch);
ViStatus _VI_FUNC MP1570_SetWaitTime (ViSession instrSession, ViUInt16 waitTime);
ViStatus _VI_FUNC MP1570_GetWaitTime (ViSession instrSession, ViUInt16* waitTime);
ViStatus _VI_FUNC MP1570_SetMeasurementModeType (ViSession instrSession, ViUInt16 measurementMode);
ViStatus _VI_FUNC MP1570_GetMeasurementModeType (ViSession instrSession, ViUInt16* measurementMode);
ViStatus _VI_FUNC MP1570_SetOHCaptureChannelPos (ViSession instrSession, ViInt32 channelPosition);
ViStatus _VI_FUNC MP1570_GetOHCaptureChannelPos (ViSession instrSession, ViInt32* channelPosition);
ViStatus _VI_FUNC MP1570_SetSDHOHCaptureBytePosPOH (ViSession instrSession, ViUInt16 type, ViUInt16 sDHOHCaptureBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSDHOHCaptureBytePosPOH (ViSession instrSession, ViUInt16* sDHOHCaptureBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSonetOHCaptureBytePosPOH (ViSession instrSession, ViUInt16 type, ViUInt16 sonetOHCaptureBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSonetOHCaptureBytePosPOH (ViSession instrSession, ViUInt16* sonetOHCaptureBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetOHCaptureBytePosSOHTOH (ViSession instrSession, ViUInt16 captureBytePositionType, ViChar* bytePosition);
ViStatus _VI_FUNC MP1570_GetOHCaptureBytePosSOHTOH (ViSession instrSession, ViUInt16 captureBytePositionType, ViChar* bytePosition);
ViStatus _VI_FUNC MP1570_SetOHCaptureStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetOHCaptureState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetOHCaptureClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetOHCaptureTriggerMask (ViSession instrSession, ViChar* captureTriggerMask);
ViStatus _VI_FUNC MP1570_GetOHCaptureTriggerMask (ViSession instrSession, ViChar* captureTriggerMask);
ViStatus _VI_FUNC MP1570_SetOHCaptureTriggerPattern (ViSession instrSession, ViChar* captureTriggerPattern);
ViStatus _VI_FUNC MP1570_GetOHCaptureTriggerPattern (ViSession instrSession, ViChar* captureTriggerPattern);
ViStatus _VI_FUNC MP1570_SetOHCaptureTriggerPos (ViSession instrSession, ViInt32 captureTriggerPosition);
ViStatus _VI_FUNC MP1570_GetOHCaptureTriggerPos (ViSession instrSession, ViInt32* captureTriggerPosition);
ViStatus _VI_FUNC MP1570_SetSDHOHCaptureTriggerType (ViSession instrSession, ViUInt16 SDH0HcaptureTriggerType);
ViStatus _VI_FUNC MP1570_GetSDHOHCaptureTriggerType (ViSession instrSession, ViUInt16* SDHOHcaptureTriggerType);
ViStatus _VI_FUNC MP1570_SetSonetOHCaptureTriggerType (ViSession instrSession, ViUInt16 sonet0HcaptureTriggerType);
ViStatus _VI_FUNC MP1570_GetSonetOHCaptureTriggerType (ViSession instrSession, ViUInt16* sonetOHcaptureTriggerType);
ViStatus _VI_FUNC MP1570_SetOHCaptureObectiveType (ViSession instrSession, ViUInt16 SDHOHCaptureTriggerType);
ViStatus _VI_FUNC MP1570_GetOHCaptureObjectiveType (ViSession instrSession, ViUInt16* SDHOHCaptureTriggerType);
ViStatus _VI_FUNC MP1570_SetSenseOHAddChannelPos (ViSession instrSession, ViInt32 senseOHAddChannelPosition);
ViStatus _VI_FUNC MP1570_GetSenseOHAddChannelPos (ViSession instrSession, ViInt32* senseOHAddChannelPosition);
ViStatus _VI_FUNC MP1570_SetSenseSDHOHAddBytePosPOH (ViSession instrSession, ViUInt16 sDHvcType, ViUInt16 senseSDHOHAddBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSenseSDHOHAddBytePosPOH (ViSession instrSession, ViUInt16* senseDHOHAddBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSenseSonetOHAddBytePosPOH (ViSession instrSession, ViUInt16 sonetvcType, ViUInt16 senseSonetOHAddBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSenseSonetOHAddBytePosPOH (ViSession instrSession, ViUInt16* senseSonetOHAddBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSenseOHAddBytePosSOHTOH (ViSession instrSession, ViUInt16 bytePositionType, ViChar* senseOHAddBytePositionSOHTOH);
ViStatus _VI_FUNC MP1570_GetSenseOHAddBytePosSOHTOH (ViSession instrSession, ViUInt16 bytePositionType, ViChar* senseOHAddBytePositionSOHTOH);
ViStatus _VI_FUNC MP1570_SetSenseSDHOHAddType (ViSession instrSession, ViUInt16 senseSDHOHAddType);
ViStatus _VI_FUNC MP1570_GetSenseSDHOHAddType (ViSession instrSession, ViUInt16* senseSDHOHAddType);
ViStatus _VI_FUNC MP1570_SetSenseSonetOHAddType (ViSession instrSession, ViUInt16 senseSDHOHAddType);
ViStatus _VI_FUNC MP1570_GetSenseSonetOHAddType (ViSession instrSession, ViUInt16* senseSDHOHAddType);
ViStatus _VI_FUNC MP1570_SetOHTestMeasurementPeriod (ViSession instrSession, ViInt32 period, ViUInt16 oHTestMeasurementUnit);
ViStatus _VI_FUNC MP1570_GetOHTestMeasurementPeriod (ViSession instrSession, ViInt32* period, ViUInt16* oHTestMeasurementUnit);
ViStatus _VI_FUNC MP1570_SetOHTestMeasurementMode (ViSession instrSession, ViUInt16 OHTestMeasurementMode);
ViStatus _VI_FUNC MP1570_GetOHTestMeasurementMode (ViSession instrSession, ViUInt16* OHTestMeasurementMode);
ViStatus _VI_FUNC MP1570_SetSenseOHBertChannelPos (ViSession instrSession, ViInt32 senseOHBertChannelPosition);
ViStatus _VI_FUNC MP1570_GetSenseOHBertChannelPos (ViSession instrSession, ViInt32* senseOHBertChannelPosition);
ViStatus _VI_FUNC MP1570_SetSenseOHBertPattern (ViSession instrSession, ViUInt16 senseOHBertPattern);
ViStatus _VI_FUNC MP1570_GetSenseOHBertPattern (ViSession instrSession, ViUInt16* senseOHBertPattern);
ViStatus _VI_FUNC MP1570_SetSenseSDHOHBertBytePosPOH (ViSession instrSession, ViUInt16 type, ViUInt16 senseOHBertBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSenseSDHOHBertBytePosPOH (ViSession instrSession, ViUInt16* senseSDHOHBertBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSenseSonetOHBertBytePosPOH (ViSession instrSession, ViUInt16 type, ViUInt16 senseOHBertBytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSenseSonetOHBertBytePosPOH (ViSession instrSession, ViUInt16* senseSonetOHBertBytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSenseOHBertBytePosSOHTOH (ViSession instrSession, ViUInt16 bytePositionType, ViChar* senseOHBertBytePositionSOH);
ViStatus _VI_FUNC MP1570_GetSenseOHBertBytePosSOHTOH (ViSession instrSession, ViUInt16 bytePositionType, ViChar* senseOHBertBytePositionSOH);
ViStatus _VI_FUNC MP1570_SetSenseOHBertType (ViSession instrSession, ViUInt16 senseOHBertType);
ViStatus _VI_FUNC MP1570_GetSenseOHBertType (ViSession instrSession, ViUInt16* senseOHBertType);
ViStatus _VI_FUNC MP1570_SetPerformanceCheckClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetPerformanceCheckMeasurement (ViSession instrSession, ViUInt16 performanceCheckMeasurement);
ViStatus _VI_FUNC MP1570_GetPerformanceCheckMeasurement (ViSession instrSession, ViUInt16* performanceCheckMeasurement);
ViStatus _VI_FUNC MP1570_SetQFactorHoldTime (ViSession instrSession, ViReal64 QFactorHoldTime);
ViStatus _VI_FUNC MP1570_GetQFactorHoldTime (ViSession instrSession, ViReal64* QFactorHoldTime);
ViStatus _VI_FUNC MP1570_SetQFactorIntervalTime (ViSession instrSession, ViReal64 QFactorIntervalTime);
ViStatus _VI_FUNC MP1570_GetQFactorIntervalTime (ViSession instrSession, ViReal64* QFactorIntervalTime);
ViStatus _VI_FUNC MP1570_SetQFactorMode (ViSession instrSession, ViUInt16 QFactorMode);
ViStatus _VI_FUNC MP1570_GetQFactorMode (ViSession instrSession, ViUInt16* QFactorMode);
ViStatus _VI_FUNC MP1570_SetDataFrameConfiguration (ViSession instrSession, ViUInt16 dataFrameConfiguration);
ViStatus _VI_FUNC MP1570_GetDataFrameConfiguration (ViSession instrSession, ViUInt16* dataFrameConfiguration);
ViStatus _VI_FUNC MP1570_SetSenseBitRate (ViSession instrSession, ViUInt16 senseBitRate);
ViStatus _VI_FUNC MP1570_GetSenseBitRate (ViSession instrSession, ViUInt16* senseBitRate);
ViStatus _VI_FUNC MP1570_SetCIDPattern (ViSession instrSession, ViInt32 CIDPattern);
ViStatus _VI_FUNC MP1570_GetCIDPattern (ViSession instrSession, ViInt32* CIDPattern);
ViStatus _VI_FUNC MP1570_SetDEMUXBitRate (ViSession instrSession, ViUInt16 DEMUXBitRate);
ViStatus _VI_FUNC MP1570_GetDEMUXBitRate (ViSession instrSession, ViUInt16* DEMUXBitRate);
ViStatus _VI_FUNC MP1570_SetSenseContinuousChannels (ViSession instrSession, ViInt32 senseContinuousChannels);
ViStatus _VI_FUNC MP1570_GetSenseContinuousChannels (ViSession instrSession, ViInt32* senseContinuousChannels);
ViStatus _VI_FUNC MP1570_SetDEMUXChannel (ViSession instrSession, ViUInt16 muxRate, ViInt32 channel);
ViStatus _VI_FUNC MP1570_GetDEMUXChannel (ViSession instrSession, ViUInt16 muxRate, ViInt32* channel);
ViStatus _VI_FUNC MP1570_SetCableLengthDSX (ViSession instrSession, ViUInt16 length);
ViStatus _VI_FUNC MP1570_GetCableLengthDSX (ViSession instrSession, ViUInt16* length);
ViStatus _VI_FUNC MP1570_SetWavelengthSwitching (ViSession instrSession, ViUInt16 wavelengthSwitching);
ViStatus _VI_FUNC MP1570_GetWavelengthSwitching (ViSession instrSession, ViUInt16* wavelengthSwitching);
ViStatus _VI_FUNC MP1570_SetSTM4Extraction (ViSession instrSession, ViBoolean STM4Extraction);
ViStatus _VI_FUNC MP1570_GetSTM4Extraction (ViSession instrSession, ViBoolean* STM4Extraction);
ViStatus _VI_FUNC MP1570_SetInterfaceInsertionRate (ViSession instrSession, ViUInt16 interfaceInsertionRate);
ViStatus _VI_FUNC MP1570_GetInterfaceInsertionRate (ViSession instrSession, ViUInt16* interfaceInsertionRate);
ViStatus _VI_FUNC MP1570_SetReceiveTestSignalFrame (ViSession instrSession, ViBoolean frame);
ViStatus _VI_FUNC MP1570_GetReceiveTestSignalFrame (ViSession instrSession, ViBoolean* frame);
ViStatus _VI_FUNC MP1570_SetInputSignalLevel (ViSession instrSession, ViUInt16 inputSignalLevel);
ViStatus _VI_FUNC MP1570_GetInputSignalLevel (ViSession instrSession, ViUInt16* inputSignalLevel);
ViStatus _VI_FUNC MP1570_SetSignalCode1pt5M (ViSession instrSession, ViUInt16 signalCode1pt5M);
ViStatus _VI_FUNC MP1570_GetSignalCode1pt5M (ViSession instrSession, ViUInt16* signalCode1pt5M);
ViStatus _VI_FUNC MP1570_SetSignalFrame1pt5M (ViSession instrSession, ViUInt16 signalFrame1pt5M);
ViStatus _VI_FUNC MP1570_GetSignalFrame1pt5M (ViSession instrSession, ViUInt16* signalFrame1pt5M);
ViStatus _VI_FUNC MP1570_SetCheckWithCRC (ViSession instrSession, ViBoolean checkstatus);
ViStatus _VI_FUNC MP1570_GetCheckWithCRC (ViSession instrSession, ViBoolean* checkstatus);
ViStatus _VI_FUNC MP1570_SetMax2MReceiveChannel (ViSession instrSession, ViInt32 channels);
ViStatus _VI_FUNC MP1570_GetMax2MReceiveChannel (ViSession instrSession, ViInt32* channels);
ViStatus _VI_FUNC MP1570_SetSignalingFrameSetting (ViSession instrSession, ViBoolean frameSetting);
ViStatus _VI_FUNC MP1570_GetSignalingFrameSetting (ViSession instrSession, ViBoolean* frameSetting);
ViStatus _VI_FUNC MP1570_SetSignalFrame45M (ViSession instrSession, ViUInt16 code45M);
ViStatus _VI_FUNC MP1570_GetSignalFrame45M (ViSession instrSession, ViUInt16* code45M);
ViStatus _VI_FUNC MP1570_SetAURoute (ViSession instrSession, ViUInt16 AURouteType);
ViStatus _VI_FUNC MP1570_GetAURoute (ViSession instrSession, ViUInt16* AURouteType);
ViStatus _VI_FUNC MP1570_SetVT6SPEChannel (ViSession instrSession, ViInt32 VT6SPEChannel);
ViStatus _VI_FUNC MP1570_GetVT6SPEChannel (ViSession instrSession, ViInt32* VT6SPEChannel);
ViStatus _VI_FUNC MP1570_SetPayloadDescramble (ViSession instrSession, ViBoolean payloadDescramble);
ViStatus _VI_FUNC MP1570_GetPayloadDescramble (ViSession instrSession, ViBoolean* payloadDescramble);
ViStatus _VI_FUNC MP1570_SetSDH_ChannelPoint (ViSession instrSession, ViUInt16 route, ViInt32 channelPoint);
ViStatus _VI_FUNC MP1570_GetSDH_ChannelPoint (ViSession instrSession, ViUInt16 route, ViInt32* channelPoint);
ViStatus _VI_FUNC MP1570_SetSONET_ChannelPoint (ViSession instrSession, ViUInt16 route, ViInt32 channelPoint);
ViStatus _VI_FUNC MP1570_GetSONET_ChannelPoint (ViSession instrSession, ViUInt16 route, ViInt32* channelPoint);
ViStatus _VI_FUNC MP1570_SetSignalFrameChannel (ViSession instrSession, ViInt32 signalFrameChannel);
ViStatus _VI_FUNC MP1570_GetSignalFrameChannel (ViSession instrSession, ViInt32* signalFrameChannel);
ViStatus _VI_FUNC MP1570_SetSTSRoute (ViSession instrSession, ViUInt16 STSRoute);
ViStatus _VI_FUNC MP1570_GetSTSRoute (ViSession instrSession, ViUInt16* STSRoute);
ViStatus _VI_FUNC MP1570_SetTURoute (ViSession instrSession, ViUInt16 TURoute);
ViStatus _VI_FUNC MP1570_GetTURoute (ViSession instrSession, ViUInt16* TURoute);
ViStatus _VI_FUNC MP1570_SetSDHReceiveSignalRoute (ViSession instrSession, ViUInt16 receiveSignalRoute);
ViStatus _VI_FUNC MP1570_GetSDHReceiveSignalRoute (ViSession instrSession, ViUInt16* receiveSignalRoute);
ViStatus _VI_FUNC MP1570_SetSONETReceiveSignalRoute (ViSession instrSession, ViUInt16 receiveSignalRoute);
ViStatus _VI_FUNC MP1570_GetSONETReceiveSignalRoute (ViSession instrSession, ViUInt16* receiveSignalRoute);
ViStatus _VI_FUNC MP1570_SetVTRoute (ViSession instrSession, ViUInt16 VTRoute);
ViStatus _VI_FUNC MP1570_GetVTRoute (ViSession instrSession, ViUInt16* VTRoute);
ViStatus _VI_FUNC MP1570_SetMeasurementMode (ViSession instrSession, ViUInt16 measurementMode);
ViStatus _VI_FUNC MP1570_GetMeasurementMode (ViSession instrSession, ViUInt16* measurementMode);
ViStatus _VI_FUNC MP1570_SetTestPattern (ViSession instrSession, ViUInt16 testPattern);
ViStatus _VI_FUNC MP1570_GetTestPattern (ViSession instrSession, ViUInt16* testPattern);
ViStatus _VI_FUNC MP1570_SetWordTestPattern (ViSession instrSession, ViChar* wordTestPattern);
ViStatus _VI_FUNC MP1570_GetWordTestPattern (ViSession instrSession, ViChar* wordTestPattern);
