/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

char* cAPSCaptureTriggerTypeSDH[] = {"B2", "HB3", "LB3", "BIP2", "MREI", "HREI",
								"LREI", "MAIS", "AAIS", "ALOP", "HRDI", "HSLM",
								"HTIM", "HUNEQ", "TAIS", "TLOP", "TLOM", "LRDI",
								"LSLM", "LRFI", "LTIM", "LUNEQ", "EXT", "MAN", 0L};       
char* cAPSCaptureTriggerTypeSON[] = {"B2", "HB3", "LB3", "BIP2", "REIL", "REIP",
								"REIV", "AISL", "AISP", "LOPP", "RDIP", "SLMP",
								"TIMP", "UNEQP", "AISV", "LOPV", "LOMV", "RDIV",
								"SLMV", "RFIV", "TIMV", "UNEQV", "EXT", "MAN", 0L};       
char* cAPSTestMeasurementPeriod[] = {"S", "M", "H", "D", 0L};
char* cAPSTestMeasurementMode[] = {"SINGLE", "REPEAT", "MANUAL", 0L};
char* cAPSTriggerRange[] = {"1", "10", "100", 0L};
char* cAPSDetectConditionsSDH[] = {"B1", "B2", "HB3", "LB3", "BIP2", "MREI", "HREI",
								"LREI", "MAIS", "AAIS", "ALOP", "HSLM", "HRDI",
								"HTIM", "HUNEQ", "TAIS", "TLOP", "TLOM", "LRDI", 
								"LSLM", "LRFI", "LTIM", "LUNEQ", "EXTERNAL", "MANUAL", 0L};
char* cAPSDetectConditionsSON[] = {"B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP",
								"REIV", "AISL", "AISP", "LOPP", "SLMP", "RDIP", "TIMP", "UNEQP",
								"AISV", "LOPV", "LOMV", "RDIV", "SLMV", "RFIV", "TIMV", "UNEQV",
								 "EXTERNAL", "MANUAL", 0L};
char* cFrameCaptureTriggerTypeSDH[] = {"B1", "B2", "HB3", "LB3", "MREI", "HREI",
								"LOS", "LOF", "OOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI", "HSLM",
								"HTIM", "HUNEQ", "TAIS", "TLOP", "TLOM", "LRDI",
								"LSLM", "LRFI", "LTIM", "LUNEQ", "K12M", "K12", "ANDF", "APPJC",
								"AMPJC", "A3CONS", "TNDF", "TPPJC", "TMPJC", "T3CONS", 
								"EXT", "MAN", 0L};
char* cFrameCaptureTriggerTypeSON[] = {"B1", "B2", "HB3", "LB3", "REIL", "REIP",
								"LOS", "LOF", "OOF", 
								"AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
								"TIMP", "UNEQP", "AISV", "LOPV", "LOMV", "RDIV",
								"SLMV", "RFIV", "TIMV", "UNEQV", "K12M", "K12", "ANDF", "APPJC",
								"AMPJC", "A3CONS", "TNDF", "TPPJC", "TMPJC", "T3CONS",
								"EXT", "MAN", 0L};       
char* cIPCaptureTriggerType[] = {"PPPFRAME", "MANUAL", 0L};
char* cHPAlarmClearDetectionSDH[] = {"AIS", "RDI", "SLM", "UNEQ", 0L};
char* cHPAlarmClearDetectionSON[] = {"AIS", "RDI", "PLM", "UNEQ", 0L};
char* cHPAlarmClearConditionSDH[] = {"AIS", "LOP", "RDI", "SLM", "TIM", "UNEQ", 0L};
char* cHPAlarmClearConditionSON[] = {"AIS", "LOP", "RDI", "PLM", "TIM", "UNEQ", 0L};
char* cHPAlarmClearRemoveSDH[] = {"AIS", "LOP", "RDI", "SLM", "UNEQ", 0L};
char* cHPAlarmClearRemoveSON[] = {"AIS", "LOP", "RDI", "PLM", "UNEQ", 0L};
char* cLPAlarmClearDetectionSDH[] = {"AIS", "LOP", "RDI", "SLM", "LOM", "UNEQ", 0L};
char* cLPAlarmClearDetectionSON[] = {"AIS", "LOP", "RDI", "PLM", "LOM", "UNEQ", 0L};
char* cLPAlarmClearConditionSDH[] = {"AIS", "LOP", "RDI", "SLM", "LOM", "TIM", "UNEQ", 0L};
char* cLPAlarmClearConditionSON[] = {"AIS", "LOP", "RDI", "SLM", "LOM", "TIM", "UNEQ", 0L};
char* cLPAlarmClearRemoveSDH[] = {"AIS", "LOP", "RDI", "SLM", "RFI", "LOM", "UNEQ", 0L};
char* cLPAlarmClearRemoveSON[] = {"AIS", "LOP", "RDI", "PLM", "RFI", "LOM", "UNEQ", 0L};
char* cAlarmClearDetection[] ={"LOF", "AIS", "RDI", 0L};
char* cAlarmClearCondition[] ={"LOS", "LOF", "OOF", "AIS", "RDI", 0L};
char* cMeasurementDelay[] = {"MS500", "SEC1", "SEC2", "SEC5", "SEC10", 0L};
char* cTimeBaseResolution[] = {"SEC1", "MIN1", "MIN15", "MIN60", 0L};
char* cMeasurementStatus[] = {"TSE", "MAN", "PSEQ", "DEL", 0L};
char* c25GBandwidth[] = {"NARR", "WIDE", 0L};
char* cTandemHPAlarmClearDetection[] = {"VC-AIS", "ISF", "FAS", "AIS", "TC-RDI", "ODI", 0L};
char* cTandemLPAlarmClearDetection[] = {"VC-AIS", "FAS", "AIS", "TC-RDI", "ODI", 0L};
char* cTandemConnType[] = {"TYPE1", "TYPE2", 0L};
char* cTandemConn[] = {"N1HP", "N1LP", "Z5HP", "Z5LP", 0L};
char* cConnType[] = {"TYPE1", "TYPE2", 0L};
char* cTandemAllConns[] = {"N1HP", "N1LP", "Z5HP", "Z5LP", "N2","Z6", 0L};
char* cWaitTime[] = {"MS500", "SEC1", "SEC2", "SEC5", 0L};
char* cMeasurementModeType[] = {"MAN", "SING", "REP", 0L};
char* cSDHvcType[] = {"VC4", "VC3", "VC2_1", 0L};
char* cSonetvcType[] = {"STS3", "STS1", "VT", 0L};
char* cSDHOHBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "F3", "K2", "N1", "V5", "J2", "N2", "K4", 0L};
char* cSonetOHBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "Z3", "Z4", "Z5", "V5", "J2", "Z6", "Z7", 0L};
char* cBytePositionType[] = {"SOH", "TOH", 0L};
char* cSenseSDHOHAddBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "F3", "K2", "N1", "V5", "J2", "N2", "K4", 0L};
char* cSenseSonetOHAddBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "Z3", "Z4", "Z5", "V5", "J2", "Z6", "Z7", 0L};
char* cOHTestMeasurementUnit[] = {"S", "M", "H", "D", 0L};
char* cOHTestMeasurementMode[] = {"MANUAL", "SINGLE", "REPEAT", 0L};
char* cSDHOHCaptureTriggerType[] = {"B1", "B2", "HB3", "LB3", "BIP2", "MREI", "HREI", "HIEC", "HTREI", "HOEI", "LREI",\
"LIEC", "LTREI", "LOEI", "N2BIP2", "OHBIT", "BIT", "LOS", "LOF", "OOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI", "HSLM",\
"HTIM", "HUNEQ", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI", "TAIS", "TLOP", "TLOM", "LRDI", "LSLM", "LRFI",\
"LTIM", "LUNEQ", "LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", "SYNC", "OSYNC", "HAIS", "HREC", "BAIS15M", "SIGAIS",\
"SIGOOF", "K12Match", "K12Mismatch", "ANDF", "APPJC", "AMPJC", "A3CONS", "TNDF", "TPPJC", "TMPJC", "T3CONS", "EXT",\
"MAN", 0L};
char* cSonetOHCaptureTriggerType[] = {"B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP", "HIEC", "HTREI", "HOEI", "REIV",\
"LIEC", "LTREI", "LOEI", "N2BIP2", "OHBIT", "BIT", "LOS", "LOF", "OOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",\
"TIMP", "UNEQP", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI", "AISV", "LOPV", "LOMV", "RDIV", "SLMV", "RFIV",\
"TIMV", "UNEQV", "LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", "SYNC", "OSYNC", "HAIS", "HREC", "BAIS15M", "SIGAIS",\
"SIGOOF", "K12Match", "K12Mismatch", "ANDF", "APPJC", "AMPJC", "A3CONS", "TNDF", "TPPJC", "TMPJC", "T3CONS", "EXT",\
"MAN", 0L};
char* cOHCaptureObjectiveType[] = {"H1H2", "K1K2", "SOH", "TOH", 0L};
char* cSenseSDHOHAddType[] = {"OFF", "SOH1B", "POH1B", "DRS", "DMS", 0L};
char* cSenseSonetOHAddType[] = {"OFF", "TOH1B", "POH1B", 0L};
char* cSenseOHBertPattern[] = {"OFF", "PRBS11", "PRBS15"};
char* cSenseOHBertType[] = {"OFF", "SOH1B", "POH1B", "DRS", "DMS", 0L};
char* cPerformanceCheckMeasurement[] = {"MANUAL", 0L};
char* cQFactorMode[] = {"SING", "REP", 0L};
char* cDataFrameConfiguration[] = {"OFF", "MULT164", "MULT18", 0L};
char* cSenseBitRate[] = {"M9953", "M2488", "M622", "M156", "M156CMI", "M52", "M52B3ZS", "M139", "M45", "M34", "M8", "M2", "M1_5", 0L};
char* cDEMUXBitRate[] = {"OFF", "M34", "M8", "M2", "M1_5", "K64", "K64_M2", 0L};
char* cMuxRate[] = {"M34", "M8", "M2", "M1_5", "K64", 0L};
char* cCableLengthDSX[] = {"0", "450", "655", "900", 0L};
char* cWavelengthSwitching[] = {"1.31", "1.55", 0L};
char* cInterfaceInsertionRate[] = {"M622", "M156", "M156CMI", "M52", "M52B3ZS", 0L};
char* cInputSignalLevel[] = {"TER", "MON", 0L};
char* cSignalCode1pt5M[] = {"AMI", "B8ZS", 0L};
char* cSignalFrame1pt5M[] = {"D4", "ESF", "JESF", 0L};
/**char* cMax2MReceiveChannels[] = {30, 31, 0L};**/ /** N LARSEN 11 JULY 2001 **/
char* cSignalFrame45M[] = {"M13", "CBIT", 0L};
char* cAURouteType[] = {"AU4", "AU3", 0L};
char* cSDH_ChannelRoute[] = {"AUG", "AU3", "TUG3", "TUG2", "TU12", "TU11", "K384", "VC416C", "VC44C", "VC4C", 0L};
char* cSONET_ChannelRoute[] = {"STS3", "STS1", "TUG3", "VTG", "VT2", "VT15", "K384", "STS316C", "STS34C", "STS3C", 0L};
char* cSTSRoute[] = {"STS3", "STS1", 0L};
char* cTURoute[] = {"TU12", "TU11", 0L};
char* cSDH_ReceiveSignalRoute[] = {"VC4_ASY", "VC4_BLK", "VC3_ASY", "VC3_SYN", "VC3_45MASY", "VC3_BLK", "VC2_6MASY", 
"VC2_6MBIT", "VC2_MC", "VC2_BLK", "VC12_ASY", "VC12_BIF", "VC12_BIL", "VC12_BYF", "VC12_BYL", "VC12_BLK", "VC11_ASY", 
"VC11_BIF", "VC11_BIL", "VC11_BYF", "VC11_BYL", "VC11_BLK", "VC11_BYD", "VC11_BYV", "VC11_384D", "VC11_384V", 
"VC4_64CBLK", "VC4_16CBLK", "VC4_4CBLK", "VC4_CBLK", 0L};
char* cSONET_ReceiveSignalRoute[] = {"STS3_ASY", "STS3_BLK", "VC3_ASY", "VC3_SYN", "STS1_45MASY", "STS1_BLK", "VT6_ASY", 
"VT6_BIT", "VT6_MC", "VT6_BLK", "VT2_ASY", "VT2_BIF", "VT2_BIL", "VT2_BYF", "VT2_BYL", "VT2_BLK", "VT15_ASY", 
"VT15_BIF", "VT15_BIL", "VT15_BYF", "VT15_BYL", "VT15_BLK", "VT15_BYD", "VT15_BYV", "VT15_384D", "VT15_384V", 
"STS3_64CBLK", "STS3_16CBLK", "STS3_4CBLK", "STS3_CBLK", 0L};
char* cVTRoute[] = {"VT2", "VT15", 0L};
char* cMeasurementMode[] = {"OSER", "ISER", 0L};
char* cTestPattern[] = {"PRBS11", "PRBS15", "PRBS20", "PRBS20Z", "PRBS23", "PRBS31", 
                        "UWOR16", "AZER", "AONE", "FRM3_24", 0L};
