/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>
#include "MP1570_misc.h"

ViStatus _VI_FUNC MP1570_SetAlarmAppendageFrameAlternate (ViSession instrSession, ViInt32 AlarmAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_GetAlarmAppendageFrameAlternate (ViSession instrSession, ViInt32* AlarmAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_SetAlarmInsertTimingAndUnit (ViSession instrSession, ViUInt32 AlarmInsertTiming, ViUInt16 AlarmInsertUnit);
ViStatus _VI_FUNC MP1570_GetAlarmInsertTimingAndUnit (ViSession instrSession, ViInt32* AlarmInsertTiming, ViUInt16* AlarmInsertUnit);
ViStatus _VI_FUNC MP1570_GetNormAppendageFrameAlt (ViSession instrSession, ViInt32* NormalAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_SetAlarmAppendageTiming (ViSession instrSession, ViUInt16 AlarmAppendageTiming);
ViStatus _VI_FUNC MP1570_GetAlarmAppendageTiming (ViSession instrSession, ViUInt16* AlarmAppendageTiming);
ViStatus _VI_FUNC MP1570_SetNormAppendageFrameAlt (ViSession instrSession, ViInt32 NormalAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_SetAPSSDHAlarmType (ViSession instrSession, ViUInt16 APSAlarmType);
ViStatus _VI_FUNC MP1570_GetAPSSDHAlarmType (ViSession instrSession, ViUInt16* APSAlarmType);
ViStatus _VI_FUNC MP1570_SetAPSSONETAlarmType (ViSession instrSession, ViUInt16 APSAlarmType);
ViStatus _VI_FUNC MP1570_GetAPSSONETAlarmType (ViSession instrSession, ViUInt16* APSAlarmType);
ViStatus _VI_FUNC MP1570_SetErrorInsertionBit (ViSession instrSession, ViInt32 ErrorInsertionBit);
ViStatus _VI_FUNC MP1570_GetErrorInsertionBit (ViSession instrSession, ViInt32* ErrorInsertionBit);
ViStatus _VI_FUNC MP1570_SetErrorAppendageFramesAlt (ViSession instrSession, ViInt32 ErrorAppendageFramesAlternate);
ViStatus _VI_FUNC MP1570_GetErrorAppendageFramesAlt (ViSession instrSession, ViInt32* ErrorAppendageFramesAlternate);
ViStatus _VI_FUNC MP1570_SetNormErrorAppendageFramesAlt (ViSession instrSession, ViInt32 NormalAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_GetNormErrorAppendageFrameAlt (ViSession instrSession, ViInt32* NormalAppendageFrameAlternate);
ViStatus _VI_FUNC MP1570_SetProgRateErrorAppendageValue (ViSession instrSession, ViReal64 ProgRateErrorAppendageValue);
ViStatus _VI_FUNC MP1570_GetProgRateErrorAppendageValue (ViSession instrSession, ViChar* ProgRateErrorAppendageValue);
ViStatus _VI_FUNC MP1570_SetErrorAppendageTiming (ViSession instrSession, ViUInt16 ErrorAppendageTiming);
ViStatus _VI_FUNC MP1570_GetErrorAppendageTiming (ViSession instrSession, ViUInt16* ErrorAppendageTiming);
ViStatus _VI_FUNC MP1570_SetAPSSDHTestError (ViSession instrSession, ViUInt16 APSTestError);
ViStatus _VI_FUNC MP1570_GetAPSSDHTestError (ViSession instrSession, ViUInt16* APSTestError);
ViStatus _VI_FUNC MP1570_SetAPSSONETTestError (ViSession instrSession, ViUInt16 APSTestError);
ViStatus _VI_FUNC MP1570_GetAPSSONETTestError (ViSession instrSession, ViUInt16* APSTestError);
ViStatus _VI_FUNC MP1570_SetAPSTestPattern (ViSession instrSession, ViInt32 APSTestPattern);
ViStatus _VI_FUNC MP1570_GetAPSTestPattern (ViSession instrSession, ViInt32* APSTestPattern);
ViStatus _VI_FUNC MP1570_SetAPSTransmissionMode (ViSession instrSession, ViUInt16 APSTransmissionMode);
ViStatus _VI_FUNC MP1570_GetAPSTransmissionMode (ViSession instrSession, ViUInt16* APSTransmissionMode);
ViStatus _VI_FUNC MP1570_SetAlarmFrameCount (ViSession instrSession, ViInt32 alarmFrameCount);
ViStatus _VI_FUNC MP1570_GetAlarmFrameCount (ViSession instrSession, ViInt32* alarmFrameCount);
ViStatus _VI_FUNC MP1570_SetAlarmTimingValueUnit (ViSession instrSession, ViInt32 alarmTimingValue, ViUInt16 alarmTimingUnit);
ViStatus _VI_FUNC MP1570_GetAlarmTimingValueUnit (ViSession instrSession, ViInt32* alarmTimingValue, ViUInt16* alarmTimingUnit);
ViStatus _VI_FUNC MP1570_SetNormalFrameCount (ViSession instrSession, ViInt32 normalFrameCount);
ViStatus _VI_FUNC MP1570_GetNormalFrameCount (ViSession instrSession, ViInt32* normalFrameCount);
ViStatus _VI_FUNC MP1570_SetSDHAlarmTiming (ViSession instrSession, ViUInt16 alarmTiming);
ViStatus _VI_FUNC MP1570_GetSDHAlarmTiming (ViSession instrSession, ViUInt16* alarmTiming);
ViStatus _VI_FUNC MP1570_SetSONETAlarmTiming (ViSession instrSession, ViUInt16 alarmTiming);
ViStatus _VI_FUNC MP1570_GetSONETAlarmTiming (ViSession instrSession, ViUInt16* alarmTiming);
ViStatus _VI_FUNC MP1570_SetErrorBitNumber (ViSession instrSession, ViInt32 errorBitNumber);
ViStatus _VI_FUNC MP1570_GetErrorBitNumber (ViSession instrSession, ViInt32* errorBitNumber);
ViStatus _VI_FUNC MP1570_SetErrorFrameNumber (ViSession instrSession, ViInt32 errorFrameNumber);
ViStatus _VI_FUNC MP1570_GetErrorFrameNumber (ViSession instrSession, ViInt32* errorFrameNumber);
ViStatus _VI_FUNC MP1570_SetNormalFrameNumber (ViSession instrSession, ViInt32 normalFrameNumber);
ViStatus _VI_FUNC MP1570_GetNormalFrameNumber (ViSession instrSession, ViInt32* normalFrameNumber);
ViStatus _VI_FUNC MP1570_SetErrorProgramRate (ViSession instrSession, ViReal64 errorProgramRate);
ViStatus _VI_FUNC MP1570_GetErrorProgramRate (ViSession instrSession, ViChar* errorProgramRate);
ViStatus _VI_FUNC MP1570_SetErrorTiming (ViSession instrSession, ViUInt16 errorTiming);
ViStatus _VI_FUNC MP1570_GetErrorTiming (ViSession instrSession, ViUInt16* errorTiming);
ViStatus _VI_FUNC MP1570_SetSDHErrorType (ViSession instrSession, ViUInt16 errorType);
ViStatus _VI_FUNC MP1570_GetSDHErrorType (ViSession instrSession, ViUInt16* errorType);
ViStatus _VI_FUNC MP1570_SetSONETErrorType (ViSession instrSession, ViUInt16 errorType);
ViStatus _VI_FUNC MP1570_GetSONETErrorType (ViSession instrSession, ViUInt16* errorType);
ViStatus _VI_FUNC MP1570_SetFrameCountMemoryA (ViSession instrSession, ViInt32 frameCountMemoryA);
ViStatus _VI_FUNC MP1570_GetFrameCountMemoryA (ViSession instrSession, ViInt32* frameCountMemoryA);
ViStatus _VI_FUNC MP1570_SetFrameTimeMemoryA (ViSession instrSession, ViInt32 frameTimeMemoryA);
ViStatus _VI_FUNC MP1570_GetFrameTimeMemoryA (ViSession instrSession, ViInt32* frameTimeMemoryA);
ViStatus _VI_FUNC MP1570_SetFrameCountMemoryB (ViSession instrSession, ViInt32 frameCountMemoryB);
ViStatus _VI_FUNC MP1570_GetFrameCountMemoryB (ViSession instrSession, ViInt32* frameCountMemoryB);
ViStatus _VI_FUNC MP1570_SetFrameTimeMemoryB (ViSession instrSession, ViInt32 frameTimeMemoryB);
ViStatus _VI_FUNC MP1570_GetFrameTimeMemoryB (ViSession instrSession, ViInt32* frameTimeMemoryB);
ViStatus _VI_FUNC MP1570_SetIPAlarmFrameCount (ViSession instrSession, ViInt32 IPAlarmFrameCount);
ViStatus _VI_FUNC MP1570_GetIPAlarmFrameCount (ViSession instrSession, ViInt32* IPAlarmFrameCount);
ViStatus _VI_FUNC MP1570_SetIPAlarmTimingValueUnit (ViSession instrSession, ViInt32 IPAlarmTimingValue, ViUInt16 IPAlarmTimingUnit);
ViStatus _VI_FUNC MP1570_GetIPAlarmTimingValueUnit (ViSession instrSession, ViInt32* IPAlarmTimingValue, ViUInt16* IPAlarmTimingUnit);
ViStatus _VI_FUNC MP1570_SetIPNormalFrameCount (ViSession instrSession, ViInt32 IPnormalFrameCount);
ViStatus _VI_FUNC MP1570_GetIPNormalFrameCount (ViSession instrSession, ViInt32* IPnormalFrameCount);
ViStatus _VI_FUNC MP1570_SetIPAlarmTiming (ViSession instrSession, ViUInt16 IPAlarmTiming);
ViStatus _VI_FUNC MP1570_GetIPAlarmTiming (ViSession instrSession, ViUInt16* IPAlarmTiming);
ViStatus _VI_FUNC MP1570_SetSDHIPAlarmType (ViSession instrSession, ViUInt16 IPAlarmType);
ViStatus _VI_FUNC MP1570_GetSDHIPAlarmType (ViSession instrSession, ViUInt16* IPAlarmType);
ViStatus _VI_FUNC MP1570_SetSONETIPAlarmType (ViSession instrSession, ViUInt16 IPAlarmType);
ViStatus _VI_FUNC MP1570_GetSONETIPAlarmType (ViSession instrSession, ViUInt16* IPAlarmType);
ViStatus _VI_FUNC MP1570_SetIPErrorBitNumber (ViSession instrSession, ViInt32 IPErrorBitNumber);
ViStatus _VI_FUNC MP1570_GetIPErrorBitNumber (ViSession instrSession, ViInt32* IPErrorBitNumber);
ViStatus _VI_FUNC MP1570_SetIPErrorFrameNumber (ViSession instrSession, ViInt32 IPErrorFrameNumber);
ViStatus _VI_FUNC MP1570_GetIPErrorFrameNumber (ViSession instrSession, ViInt32* IPErrorFrameNumber);
ViStatus _VI_FUNC MP1570_SetIPNormalFrameNumber (ViSession instrSession, ViInt32 IPnormalFrameNumber);
ViStatus _VI_FUNC MP1570_GetIPNormalFrameNumber (ViSession instrSession, ViInt32* IPnormalFrameNumber);
ViStatus _VI_FUNC MP1570_SetIPErrorProgramRate (ViSession instrSession, ViReal64 IPErrorProgramRate);
ViStatus _VI_FUNC MP1570_GetIPErrorProgramRate (ViSession instrSession, ViChar* IPErrorProgramRate);
ViStatus _VI_FUNC MP1570_SetIPErrorTiming (ViSession instrSession, ViUInt16 IPErrorTiming);
ViStatus _VI_FUNC MP1570_GetIPErrorTiming (ViSession instrSession, ViUInt16* IPErrorTiming);
ViStatus _VI_FUNC MP1570_SetSDHIPErrorType (ViSession instrSession, ViUInt16 IPErrorType);
ViStatus _VI_FUNC MP1570_GetSDHIPErrorType (ViSession instrSession, ViUInt16* IPErrorType);
ViStatus _VI_FUNC MP1570_SetSONETIPErrorType (ViSession instrSession, ViUInt16 IPErrorType);
ViStatus _VI_FUNC MP1570_GetSONETIPErrorType (ViSession instrSession, ViUInt16* IPErrorType);
ViStatus _VI_FUNC MP1570_SetIPLBytes (ViSession instrSession, ViInt32 IPLBytes);
ViStatus _VI_FUNC MP1570_GetIPLBytes (ViSession instrSession, ViInt32* IPLBytes);
ViStatus _VI_FUNC MP1570_SetIPLMPacketType (ViSession instrSession, ViUInt16 IPLMPacketType);
ViStatus _VI_FUNC MP1570_GetIPLMPacketType (ViSession instrSession, ViUInt16* IPLMPacketType);
ViStatus _VI_FUNC MP1570_SetIPMBytes (ViSession instrSession, ViInt32 IPMBytes);
ViStatus _VI_FUNC MP1570_GetIPMBytes (ViSession instrSession, ViInt32* IPMBytes);
ViStatus _VI_FUNC MP1570_SetIPMNPacketType (ViSession instrSession, ViUInt16 IPMNPacketType);
ViStatus _VI_FUNC MP1570_GetIPMNPacketType (ViSession instrSession, ViUInt16* IPMNPacketType);
ViStatus _VI_FUNC MP1570_SetIPNBytes (ViSession instrSession, ViInt32 IPNBytes);
ViStatus _VI_FUNC MP1570_GetIPNBytes (ViSession instrSession, ViInt32* IPNBytes);
ViStatus _VI_FUNC MP1570_SetIPNLPacketType (ViSession instrSession, ViUInt16 IPNLPacketType);
ViStatus _VI_FUNC MP1570_GetIPNLPacketType (ViSession instrSession, ViUInt16* IPNLPacketType);
ViStatus _VI_FUNC MP1570_SetIPMeasurementMode (ViSession instrSession, ViUInt16 IPMeasurementMode);
ViStatus _VI_FUNC MP1570_GetIPMeasurementMode (ViSession instrSession, ViUInt16* IPMeasurementMode);
ViStatus _VI_FUNC MP1570_SetIPTestStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetIPTestState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetIPTestClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetOHAddChannelPosition (ViSession instrSession, ViInt32 OHAddChannelPosition);
ViStatus _VI_FUNC MP1570_GetOHAddChannelPosition (ViSession instrSession, ViInt32* OHAddChannelPosition);
ViStatus _VI_FUNC MP1570_SetSDHOHAddBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSDHOHAddBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSONETOHAddBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSONETOHAddBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetOHAddBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHAddBytePositionXOH);
ViStatus _VI_FUNC MP1570_GetOHAddBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHAddBytePositionXOH);
ViStatus _VI_FUNC MP1570_SetSDHOHAddType (ViSession instrSession, ViUInt16 OHAddType);
ViStatus _VI_FUNC MP1570_GetSDHOHAddType (ViSession instrSession, ViUInt16* OHAddType);
ViStatus _VI_FUNC MP1570_SetSONETOHAddType (ViSession instrSession, ViUInt16 OHAddType);
ViStatus _VI_FUNC MP1570_GetSONETOHAddType (ViSession instrSession, ViUInt16* OHAddType);
ViStatus _VI_FUNC MP1570_SetOHBertChannelPosition (ViSession instrSession, ViInt32 OHBertChannelPosition);
ViStatus _VI_FUNC MP1570_GetOHBertChannelPosition (ViSession instrSession, ViInt32* OHBertChannelPosition);
ViStatus _VI_FUNC MP1570_SetSDHOHBertBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSDHOHBertBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSONETOHBertBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSONETOHBertBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetOHBertBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHBertBytePositionXOH);
ViStatus _VI_FUNC MP1570_GetOHBertBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHBertBytePositionXOH);
ViStatus _VI_FUNC MP1570_SetSDHOHBertType (ViSession instrSession, ViUInt16 OHBertType);
ViStatus _VI_FUNC MP1570_GetSDHOHBertType (ViSession instrSession, ViUInt16* OHBertType);
ViStatus _VI_FUNC MP1570_SetSONETOHBertType (ViSession instrSession, ViUInt16 OHBertType);
ViStatus _VI_FUNC MP1570_GetSONETOHBertType (ViSession instrSession, ViUInt16* OHBertType);
ViStatus _VI_FUNC MP1570_SetOHChannelPosition (ViSession instrSession, ViInt32 OHChannelPosition);
ViStatus _VI_FUNC MP1570_GetOHChannelPosition (ViSession instrSession, ViInt32* OHChannelPosition);
ViStatus _VI_FUNC MP1570_SetSDHOHBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSDHOHBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetSONETOHBytePositionPOH (ViSession instrSession, ViUInt16 type, ViUInt16 BytePositionPOH);
ViStatus _VI_FUNC MP1570_GetSONETOHBytePositionPOH (ViSession instrSession, ViUInt16* BytePositionPOH);
ViStatus _VI_FUNC MP1570_SetOHBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHBytePositionXOH);
ViStatus _VI_FUNC MP1570_GetOHBytePositionXOH (ViSession instrSession, ViUInt16 XOHType, ViChar* OHBytePositionXOH);
ViStatus _VI_FUNC MP1570_SetOHFrameCountMemoryA (ViSession instrSession, ViInt32 frameCountMemoryA);
ViStatus _VI_FUNC MP1570_GetOHFrameCountMemoryA (ViSession instrSession, ViInt32* frameCountMemoryA);
ViStatus _VI_FUNC MP1570_SetOHFrameTimeMemoryA (ViSession instrSession, ViInt32 frameTimeMemoryA);
ViStatus _VI_FUNC MP1570_GetOHFrameTimeMemoryA (ViSession instrSession, ViInt32* frameTimeMemoryA);
ViStatus _VI_FUNC MP1570_SetOHFrameCountMemoryB (ViSession instrSession, ViInt32 frameCountMemoryB);
ViStatus _VI_FUNC MP1570_GetOHFrameCountMemoryB (ViSession instrSession, ViInt32* frameCountMemoryB);
ViStatus _VI_FUNC MP1570_SetOHFrameTimeMemoryB (ViSession instrSession, ViInt32 frameTimeMemoryB);
ViStatus _VI_FUNC MP1570_GetOHFrameTimeMemoryB (ViSession instrSession, ViInt32* frameTimeMemoryB);
ViStatus _VI_FUNC MP1570_SetSDHOHType (ViSession instrSession, ViUInt16 OHType);
ViStatus _VI_FUNC MP1570_GetSDHOHType (ViSession instrSession, ViUInt16* OHType);
ViStatus _VI_FUNC MP1570_SetSONETOHType (ViSession instrSession, ViUInt16 OHType);
ViStatus _VI_FUNC MP1570_GetSONETOHType (ViSession instrSession, ViUInt16* OHType);
ViStatus _VI_FUNC MP1570_SetPTR64FrameNumber (ViSession instrSession, ViInt32 PTR64FrameNumber);
ViStatus _VI_FUNC MP1570_GetPTR64FrameNumber (ViSession instrSession, ViInt32* PTR64FrameNumber);
ViStatus _VI_FUNC MP1570_SetPTR64FrameMode (ViSession instrSession, ViUInt16 PTR64FrameMode);
ViStatus _VI_FUNC MP1570_GetPTR64FrameMode (ViSession instrSession, ViUInt16* PTR64FrameMode);
ViStatus _VI_FUNC MP1570_SetSDHPTR64FramePrinter (ViSession instrSession, ViUInt16 PTR64FramePrinter);
ViStatus _VI_FUNC MP1570_GetSDHPTR64FramePrinter (ViSession instrSession, ViUInt16* PTR64FramePrinter);
ViStatus _VI_FUNC MP1570_SetSONETPTR64FramePrinter (ViSession instrSession, ViUInt16 PTR64FramePrinter);
ViStatus _VI_FUNC MP1570_GetSONETPTR64FramePrinter (ViSession instrSession, ViUInt16* PTR64FramePrinter);
ViStatus _VI_FUNC MP1570_SetOHTestStart (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetOHTestState (ViSession instrSession, ViBoolean* testState);
ViStatus _VI_FUNC MP1570_SetOHTestClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetOHTestType (ViSession instrSession, ViUInt16 OHTestType);
ViStatus _VI_FUNC MP1570_GetOHTestType (ViSession instrSession, ViUInt16* OHTestType);
ViStatus _VI_FUNC MP1570_SetSDHPerformanceSymmetry (ViSession instrSession, ViUInt16 condition, ViUInt16 errorAlarm, ViBoolean threshold);
ViStatus _VI_FUNC MP1570_GetSDHPerformanceSymmetry (ViSession instrSession, ViUInt16* condition, ViUInt16* errorAlarm, ViBoolean* threshold);
ViStatus _VI_FUNC MP1570_SetSONETPerformanceSymmetry (ViSession instrSession, ViUInt16 condition, ViUInt16 errorAlarm, ViBoolean threshold);
ViStatus _VI_FUNC MP1570_GetSONETPerformanceSymmetry (ViSession instrSession, ViUInt16* condition, ViUInt16* errorAlarm, ViBoolean* threshold);
ViStatus _VI_FUNC MP1570_SetPerformanceItem (ViSession instrSession, ViUInt16 performanceItem);
ViStatus _VI_FUNC MP1570_GetPerformanceItem (ViSession instrSession, ViUInt16* performanceItem);
ViStatus _VI_FUNC MP1570_SetPerformanceLayer (ViSession instrSession, ViUInt16 performanceLayer);
ViStatus _VI_FUNC MP1570_GetPerformanceLayer (ViSession instrSession, ViUInt16* performanceLayer);
ViStatus _VI_FUNC MP1570_SetPDHFrameType (ViSession instrSession, ViUInt16 PDHFrameType);
ViStatus _VI_FUNC MP1570_GetPDHFrameType (ViSession instrSession, ViUInt16* PDHFrameType);
ViStatus _VI_FUNC MP1570_SetErrorReflected (ViSession instrSession, ViInt32 errorReflected);
ViStatus _VI_FUNC MP1570_GetErrorReflected (ViSession instrSession, ViInt32* errorReflected);
ViStatus _VI_FUNC MP1570_SetStartAlarmAppendage (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetPerformanceCheck (ViSession instrSession, ViBoolean* performanceCheck);
ViStatus _VI_FUNC MP1570_SetStopAlarmAppendage (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetSDHPerformanceType (ViSession instrSession, ViUInt16 performanceType, ViUInt16 mode);
ViStatus _VI_FUNC MP1570_GetSDHPerformanceType (ViSession instrSession, ViUInt16* performanceType, ViUInt16* mode);
ViStatus _VI_FUNC MP1570_SetSONETPerformanceType (ViSession instrSession, ViUInt16 performanceType, ViUInt16 mode);
ViStatus _VI_FUNC MP1570_GetSONETPerformanceType (ViSession instrSession, ViUInt16* performanceType, ViUInt16* mode);
ViStatus _VI_FUNC MP1570_SetSDHPTRSequenceData (ViSession instrSession, ViUInt16 mode, ViInt32 number, ViUInt16 type, ViChar* pointer, ViChar* ndf, ViChar* ss, ViChar* PTRSequenceData);
ViStatus _VI_FUNC MP1570_GetSDHPTRSequenceData (ViSession instrSession, ViUInt16 mode, ViInt32 number, ViUInt16* type, ViChar* pointer, ViChar* ndf, ViChar* ss, ViChar* PTRSequenceData);
ViStatus _VI_FUNC MP1570_SetSONETPTRSequenceData (ViSession instrSession, ViUInt16 mode, ViInt32 number, ViUInt16 type, ViChar* pointer, ViChar* ndf, ViChar* ss, ViChar* PTRSequenceData);
ViStatus _VI_FUNC MP1570_GetSONETPTRSequenceData (ViSession instrSession, ViUInt16 mode, ViInt32 number, ViUInt16* type, ViChar* pointer, ViChar* ndf, ViChar* ss, ViChar* PTRSequenceData);
ViStatus _VI_FUNC MP1570_SetSDHPTRProgramData (ViSession instrSession, ViUInt16 PTRProgramData);
ViStatus _VI_FUNC MP1570_SetSONETPTRProgramData (ViSession instrSession, ViUInt16 PTRProgramData);
ViStatus _VI_FUNC MP1570_SetInitializeMultiframeData (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetMulti64XXXData (ViSession instrSession, ViUInt16 multi64DataType, ViChar* multi64XXXData);
ViStatus _VI_FUNC MP1570_GetMulti64XXXData (ViSession instrSession, ViUInt16 multi64DataType, ViChar* multi64XXXData);
ViStatus _VI_FUNC MP1570_SetMulti8SPData (ViSession instrSession, ViChar* multi8SPData);
ViStatus _VI_FUNC MP1570_GetMulti8SPData (ViSession instrSession, ViChar* multi8SPData);
ViStatus _VI_FUNC MP1570_SetMulti8TSData (ViSession instrSession, ViUInt16 type, ViChar* multi8Data);
ViStatus _VI_FUNC MP1570_GetMulti8TSData (ViSession instrSession, ViUInt16 type, ViChar* multi8Data);
ViStatus _VI_FUNC MP1570_SetVC11FrameConfiguration (ViSession instrSession, ViUInt16 VC11FrameConfiguration);
ViStatus _VI_FUNC MP1570_GetVC11FrameConfiguration (ViSession instrSession, ViUInt16* VC11FrameConfiguration);
ViStatus _VI_FUNC MP1570_SetAlarmInsert (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetAlarmStatus (ViSession instrSession, ViBoolean* alarmStatus);
ViStatus _VI_FUNC MP1570_SetAlarmClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetAlarmAppendageFrame (ViSession instrSession, ViInt32 alarmAppendageFrame);
ViStatus _VI_FUNC MP1570_GetAlarmAppendageFrame (ViSession instrSession, ViInt32* alarmAppendageFrame);
ViStatus _VI_FUNC MP1570_SetAlarmValueUnit (ViSession instrSession, ViInt32 alarmValue, ViUInt16 AlarmUnit);
ViStatus _VI_FUNC MP1570_GetAlarmValueUnit (ViSession instrSession, ViInt32* alarmValue, ViUInt16* AlarmUnit);
ViStatus _VI_FUNC MP1570_SetAlarmAppendageFrameCount (ViSession instrSession, ViInt32 alarmAppendageFrameCount);
ViStatus _VI_FUNC MP1570_GetAlarmAppendageFrameCount (ViSession instrSession, ViInt32* alarmAppendageFrameCount);
ViStatus _VI_FUNC MP1570_SetTELAlarmAppendageTiming (ViSession instrSession, ViUInt16 alarmTiming);
ViStatus _VI_FUNC MP1570_GetTELAlarmAppendageTiming (ViSession instrSession, ViUInt16* alarmTiming);
ViStatus _VI_FUNC MP1570_SetSDHTELAlarmType (ViSession instrSession, ViUInt16 alarmType);
ViStatus _VI_FUNC MP1570_GetSDHTELAlarmType (ViSession instrSession, ViUInt16* alarmType);
ViStatus _VI_FUNC MP1570_SetSONETTELAlarmType (ViSession instrSession, ViUInt16 alarmType);
ViStatus _VI_FUNC MP1570_GetSONETTELAlarmType (ViSession instrSession, ViUInt16* alarmType);
ViStatus _VI_FUNC MP1570_SetLoadCaptureData (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetCopyAPSProgramData (ViSession instrSession, ViInt32 copySource, ViInt32 copyDesinationStart, ViInt32 copyDesinationEnd);
ViStatus _VI_FUNC MP1570_SetInitializeAPSData (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetFrame (ViSession instrSession, ViInt32 frameNumber, ViInt32 frame);
ViStatus _VI_FUNC MP1570_GetFrame (ViSession instrSession, ViInt32 frameNumber, ViInt32* frame);
ViStatus _VI_FUNC MP1570_SetMSPMK2Bit5 (ViSession instrSession, ViInt32 MSPBK2Bit5, ViUInt16 request);
ViStatus _VI_FUNC MP1570_GetMSPMK2Bit5 (ViSession instrSession, ViInt32 MSPBK2Bit5, ViUInt16* request);
ViStatus _VI_FUNC MP1570_SetMSPMK2Bits1to4 (ViSession instrSession, ViInt32 MSPBK2Bits1to4, ViUInt16 request);
ViStatus _VI_FUNC MP1570_GetMSPMK2Bits1to4 (ViSession instrSession, ViInt32 MSPBK2Bits1to4, ViUInt16* request);
ViStatus _VI_FUNC MP1570_SetMSPMK1Bits5to8 (ViSession instrSession, ViInt32 MSPBK1Bits5to8, ViUInt16 request);
ViStatus _VI_FUNC MP1570_GetMSPMK1Bits5to8 (ViSession instrSession, ViInt32 MSPBK1Bits5to8, ViUInt16* request);
ViStatus _VI_FUNC MP1570_SetMSPMK1Bits1to4 (ViSession instrSession, ViInt32 MSPBK1Bits1to4, ViUInt16 request);
ViStatus _VI_FUNC MP1570_GetMSPMK1Bits1to4 (ViSession instrSession, ViInt32 MSPBK1Bits1to4, ViUInt16* request);
ViStatus _VI_FUNC MP1570_SetMSPMK2Bits6to8 (ViSession instrSession, ViInt32 MSPBK2Bits6to8, ViUInt16 request);
ViStatus _VI_FUNC MP1570_GetMSPMK2Bits6to8 (ViSession instrSession, ViInt32 MSPBK2Bits6to8, ViUInt16* request);
ViStatus _VI_FUNC MP1570_SetK1K2Frame (ViSession instrSession, ViInt32 frameNumber, ViChar* K1, ViChar* K2, ViInt32 frame);
ViStatus _VI_FUNC MP1570_GetK1K2Frame (ViSession instrSession, ViInt32 frameNumber, ViChar* K1, ViChar* K2, ViInt32* frame);
ViStatus _VI_FUNC MP1570_SetSourceBitRate (ViSession instrSession, ViUInt16 sourceBitRate);
ViStatus _VI_FUNC MP1570_GetSourceBitRate (ViSession instrSession, ViUInt16* sourceBitRate);
ViStatus _VI_FUNC MP1570_SetDummyPresetScreen (ViSession instrSession, ViUInt16 dummyPresetScreen);
ViStatus _VI_FUNC MP1570_SetDummyPattern (ViSession instrSession, ViUInt16 dummyPattern);
ViStatus _VI_FUNC MP1570_GetDummyPattern (ViSession instrSession, ViUInt16* dummyPattern);
ViStatus _VI_FUNC MP1570_SetSDHDummyGLabelPOHG1Data (ViSession instrSession, ViUInt16 dummyGLabelPOHG1DataType, ViUInt16 dummyGLabelPOHG1Data);
ViStatus _VI_FUNC MP1570_GetSDHDummyGLabelPOHG1Data (ViSession instrSession, ViUInt16 dummyGLabelPOHG1DataType, ViUInt16* dummyGLabelPOHG1Data);
ViStatus _VI_FUNC MP1570_SetSONETDummyGLabelPOHG1Data (ViSession instrSession, ViUInt16 dummyGLabelPOHG1DataType, ViUInt16 dummyGLabelPOHG1Data);
ViStatus _VI_FUNC MP1570_GetSONETDummyGLabelPOHG1Data (ViSession instrSession, ViUInt16 dummyGLabelPOHG1DataType, ViUInt16* dummyGLabelPOHG1Data);
ViStatus _VI_FUNC MP1570_SetPayload1Pattern (ViSession instrSession, ViUInt16 payload1Pattern);
ViStatus _VI_FUNC MP1570_GetPayload1Pattern (ViSession instrSession, ViUInt16* payload1Pattern);
ViStatus _VI_FUNC MP1570_SetPayload2Pattern (ViSession instrSession, ViUInt16 payload2Pattern);
ViStatus _VI_FUNC MP1570_GetPayload2Pattern (ViSession instrSession, ViUInt16* payload2Pattern);

ViStatus _VI_FUNC MP1570_SetSDH_DummyPorSLabelPOHC2Data (ViSession instrSession,
	ViUInt16 PorS, ViUInt16 POHC2DataType, ViUInt16 POHC2Data);
ViStatus _VI_FUNC MP1570_GetSDH_DummyPorSLabelPOHC2Data (ViSession instrSession,
	ViUInt16 PorS, ViUInt16 POHC2DataType, ViUInt16* POHC2Data);
ViStatus _VI_FUNC MP1570_SetSONET_DumPorSLabelPOHC2Data (ViSession instrSession,
	ViUInt16 PorS, ViUInt16 POHC2DataType, ViUInt16 POHC2Data);
ViStatus _VI_FUNC MP1570_GetSONET_DumPorSLabelPOHC2Data (ViSession instrSession,
	ViUInt16 PorS, ViUInt16 POHC2DataType, ViUInt16* POHC2Data);

// Note that, in the following four procedures, a negative POHData
// value indicates no data.
ViStatus _VI_FUNC MP1570_SetSDH_DummyPOHData (ViSession instrSession,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt16 POHData);
ViStatus _VI_FUNC MP1570_GetSDH_DummyPOHData (ViSession instrSession,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt16* POHData);
ViStatus _VI_FUNC MP1570_SetSONET_DummyPOHData (ViSession instrSession,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt16 POHData);
ViStatus _VI_FUNC MP1570_GetSONET_DummyPOHData (ViSession instrSession,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt16* POHData);

ViStatus _VI_FUNC MP1570_SetDummyFramePointer (ViSession instrSession,
	ViUInt16 framePointerType, ViInt32 dummyFramePointer);
ViStatus _VI_FUNC MP1570_GetDummyFramePointer (ViSession instrSession,
	ViUInt16 framePointerType, ViInt32* dummyFramePointer);
ViStatus _VI_FUNC MP1570_SetSSBits (ViSession instrSession,
	ViBoolean bit1, ViBoolean bit2);
ViStatus _VI_FUNC MP1570_GetSSBits (ViSession instrSession,
	ViBoolean* bit1, ViBoolean* bit2);
ViStatus _VI_FUNC MP1570_SetDummyPathTraceCondition (ViSession instrSession,
	ViUInt16 trace, ViBoolean traceOnOff, ViBoolean CRC7OnOff);
ViStatus _VI_FUNC MP1570_GetDummyPathTraceCondition (ViSession instrSession,
	ViUInt16 trace, ViBoolean* traceOnOff, ViBoolean* CRC7OnOff);
ViStatus _VI_FUNC MP1570_SetDummyPathTraceData (ViSession instrSession,
	ViUInt16 trace, ViChar* dummyPathTraceData);
ViStatus _VI_FUNC MP1570_GetDummyPathTraceData (ViSession instrSession,
	ViUInt16 trace, ViChar* dummyPathTraceData);
ViStatus _VI_FUNC MP1570_SetDummyTandemDataConnection (ViSession instrSession,
	ViUInt16 connectionType, ViBoolean TandemDataConnection);
ViStatus _VI_FUNC MP1570_GetDummyTandemDataConnection (ViSession instrSession,
	ViUInt16 connectionType, ViBoolean* TandemDataConnection);
ViStatus _VI_FUNC MP1570_SetDummyTandemTraceDataType (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 traceDataType);
ViStatus _VI_FUNC MP1570_GetDummyTandemTraceDataType (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16* traceDataType);
ViStatus _VI_FUNC MP1570_SetDumTandemType1TraceDataBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 tracePoint,
	ViBoolean bit0, ViBoolean bit1, ViBoolean bit2,ViBoolean bit3);
ViStatus _VI_FUNC MP1570_GetDumTandemType1TraceDataBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 tracePoint,
	ViBoolean* bit0, ViBoolean* bit1, ViBoolean* bit2,ViBoolean* bit3);
ViStatus _VI_FUNC MP1570_SetDumTandemType2TraceDataBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 tracePoint,
	ViBoolean bit0, ViBoolean bit1, ViBoolean bit2,ViBoolean bit3);
ViStatus _VI_FUNC MP1570_GetDumTandemType2TraceDataBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 tracePoint,
	ViBoolean* bit0, ViBoolean* bit1, ViBoolean* bit2,ViBoolean* bit3);
ViStatus _VI_FUNC MP1570_SetDumTandemConnectionEditBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 editPoint,
	ViBoolean bit0, ViBoolean bit1);
ViStatus _VI_FUNC MP1570_GetDumTandemConnectionEditBits (ViSession instrSession,
	ViUInt16 connectionType, ViUInt16 editPoint,
	ViBoolean* bit0, ViBoolean* bit1);
ViStatus _VI_FUNC MP1570_SetSDHDummyVLabelPOHV5Data (ViSession instrSession,
	ViUInt16 dummyVLabelPOHV5Data);
ViStatus _VI_FUNC MP1570_GetSDHDummyVLabelPOHV5Data (ViSession instrSession,
	ViUInt16* dummyVLabelPOHV5Data);
ViStatus _VI_FUNC MP1570_SetSONETDummyVLabelPOHV5Data (ViSession instrSession,
	ViUInt16 dummyVLabelPOHV5Data);
ViStatus _VI_FUNC MP1570_GetSONETDummyVLabelPOHV5Data (ViSession instrSession,
	ViUInt16* dummyVLabelPOHV5Data);
ViStatus _VI_FUNC MP1570_SetSDHDummyPOHK4Data (ViSession instrSession,
	ViUInt16 dummyPOHData);
ViStatus _VI_FUNC MP1570_GetSDHDummyPOHK4Data (ViSession instrSession,
	ViUInt16* dummyPOHData);
ViStatus _VI_FUNC MP1570_SetSONETDummyPOHZ7Data (ViSession instrSession,
	ViUInt16 dummyPOHData);
ViStatus _VI_FUNC MP1570_GetSONETDummyPOHZ7Data (ViSession instrSession,
	ViUInt16* dummyPOHData);
ViStatus _VI_FUNC MP1570_SetDSXCableLength (ViSession instrSession,
	ViUInt16 DSXCableLength);
ViStatus _VI_FUNC MP1570_GetDSXCableLength (ViSession instrSession,
	ViUInt16* DSXCableLength);
ViStatus _VI_FUNC MP1570_SetErrorRateRepetitions (ViSession instrSession,
	ViInt32 ErrorRateRepetition);
ViStatus _VI_FUNC MP1570_GetErrorRateRepetitions (ViSession instrSession,
	ViInt32* ErrorRateRepetition);
ViStatus _VI_FUNC MP1570_SetErrorRate (ViSession instrSession,
	ViUInt16 errorRate);
ViStatus _VI_FUNC MP1570_GetErrorRate (ViSession instrSession,
	ViUInt16* errorRate);
ViStatus _VI_FUNC MP1570_SetErrorNormalRepetitions (ViSession instrSession,
	ViInt32 ErrorNormalRepetitions);
ViStatus _VI_FUNC MP1570_GetErrorNormalRepetitions (ViSession instrSession,
	ViInt32* ErrorNormalRepetitions);
ViStatus _VI_FUNC MP1570_SetErrorInsert (ViSession instrSession);
ViStatus _VI_FUNC MP1570_GetErrorStatus (ViSession instrSession,
	ViBoolean* errorStatus);
ViStatus _VI_FUNC MP1570_SetErrorClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetErrorInsertBits (ViSession instrSession, ViInt32 errorInsertBits);
ViStatus _VI_FUNC MP1570_GetErrorInsertBits (ViSession instrSession, ViInt32* errorInsertBits);
ViStatus _VI_FUNC MP1570_SetErrorAppendageFrameCount (ViSession instrSession, ViInt32 frameCount);
ViStatus _VI_FUNC MP1570_GetErrorAppendageFrameCount (ViSession instrSession, ViInt32* frameCount);
ViStatus _VI_FUNC MP1570_SetErrorProgrammableRate (ViSession instrSession, ViReal64 errorProgrammableRate);
ViStatus _VI_FUNC MP1570_GetErrorProgrammableRate (ViSession instrSession, ViReal64* errorProgrammableRate);
ViStatus _VI_FUNC MP1570_SetErrorAppendageFrame (ViSession instrSession, ViInt32 frameCount);
ViStatus _VI_FUNC MP1570_GetErrorAppendageFrame (ViSession instrSession, ViInt32* frameCount);
ViStatus _VI_FUNC MP1570_SetErrorInsertRate (ViSession instrSession, ViUInt16 errorInsertRate);
ViStatus _VI_FUNC MP1570_GetErrorInsertRate (ViSession instrSession, ViUInt16* errorInsertRate);
ViStatus _VI_FUNC MP1570_SetSDH_ErrorInsertType (ViSession instrSession, ViUInt16 errorInsertType);
ViStatus _VI_FUNC MP1570_GetSDH_ErrorInsertType (ViSession instrSession, ViUInt16* errorInsertType);
ViStatus _VI_FUNC MP1570_SetSONET_ErrorInsertType (ViSession instrSession, ViUInt16 errorInsertType);
ViStatus _VI_FUNC MP1570_GetSONET_ErrorInsertType (ViSession instrSession, ViUInt16* errorInsertType);
ViStatus _VI_FUNC MP1570_SetB3AutoAppend (ViSession instrSession, ViBoolean B3AutoAppendOnOff);
ViStatus _VI_FUNC MP1570_GetB3AutoAppend (ViSession instrSession, ViBoolean* B3AutoAppendOnOff);
ViStatus _VI_FUNC MP1570_SetFrameMemoryFormat (ViSession instrSession, ViUInt16 frameMemoryFormat);
ViStatus _VI_FUNC MP1570_GetFrameMemoryFormat (ViSession instrSession, ViUInt16* frameMemoryFormat);
ViStatus _VI_FUNC MP1570_SetFrameNumber (ViSession instrSession, ViInt32 frameNumber);
ViStatus _VI_FUNC MP1570_GetFrameNumber (ViSession instrSession, ViInt32* frameNumber);
ViStatus _VI_FUNC MP1570_SetFrameData (ViSession instrSession,
	ViInt32 row, ViInt32 column, ViInt16 frameData);
ViStatus _VI_FUNC MP1570_GetFrameData (ViSession instrSession,
	ViInt32 row1, ViInt32 row2, ViInt32 column1, ViInt32 column2,
	ViInt16* frameData);
ViStatus _VI_FUNC MP1570_SetFramePointer (ViSession instrSession,
	ViInt32 framePointer);
ViStatus _VI_FUNC MP1570_GetFramePointer (ViSession instrSession,
	ViInt32* framePointer);
ViStatus _VI_FUNC MP1570_SetPrintRange (ViSession instrSession, ViInt32 from, ViInt32 to);
ViStatus _VI_FUNC MP1570_GetPrintRange (ViSession instrSession, ViInt32* from, ViInt32* to);
ViStatus _VI_FUNC MP1570_SetFrameMemorySetting (ViSession instrSession, ViUInt16 frameMemorySetting);
ViStatus _VI_FUNC MP1570_GetFrameMemorySetting (ViSession instrSession, ViUInt16* frameMemorySetting);
ViStatus _VI_FUNC MP1570_SetTestTranmissionFrame (ViSession instrSession, ViBoolean testTransmissionFrame);
ViStatus _VI_FUNC MP1570_GetTestTranmissionFrame (ViSession instrSession, ViBoolean* testTransmissionFrame);
ViStatus _VI_FUNC MP1570_SetWavelength (ViSession instrSession, ViUInt16 wavelength);
ViStatus _VI_FUNC MP1570_GetWavelength (ViSession instrSession, ViUInt16* wavelength);
ViStatus _VI_FUNC MP1570_SetSTM4Insertion (ViSession instrSession, ViBoolean STM4Insertion);
ViStatus _VI_FUNC MP1570_GetSTM4Insertion (ViSession instrSession, ViBoolean* STM4Insertion);
ViStatus _VI_FUNC MP1570_SetInsertionRate (ViSession instrSession, ViUInt16 insertionRate);
ViStatus _VI_FUNC MP1570_GetInsertionRate (ViSession instrSession, ViUInt16* insertionRate);
ViStatus _VI_FUNC MP1570_SetV4Address (ViSession instrSession,
	ViUInt16 direction,
	ViInt32 address1, ViInt32 address2, ViInt32 address3, ViInt32 address4);
ViStatus _VI_FUNC MP1570_GetV4Address (ViSession instrSession,
	ViUInt16 direction,
	ViInt32* address1, ViInt32* address2, ViInt32* address3, ViInt32* address4);
ViStatus _VI_FUNC MP1570_SetV4PacketSend (ViSession instrSession,
	ViInt32 version, ViInt32 IHL, ViInt32 TOS, ViInt32 TL, ViInt32 ID,
	ViInt32 flag, ViInt32 offset, ViInt32 TTL, ViInt32 protocol);
ViStatus _VI_FUNC MP1570_GetV4PacketSend (ViSession instrSession,
	ViInt32* version, ViInt32* IHL, ViInt32* TOS, ViInt32* TL, ViInt32* ID,
	ViInt32* flag, ViInt32* offset, ViInt32* TTL, ViInt32* protocol);
ViStatus _VI_FUNC MP1570_SetV6Address (ViSession instrSession,
	ViUInt16 direction,
	ViInt32 address1, ViInt32 address2, ViInt32 address3, ViInt32 address4,
	ViInt32 address5, ViInt32 address6, ViInt32 address7, ViInt32 address8);
ViStatus _VI_FUNC MP1570_GetV6Address (ViSession instrSession,
	ViUInt16 direction,
	ViInt32* address1, ViInt32* address2, ViInt32* address3, ViInt32* address4,
	ViInt32* address5, ViInt32* address6, ViInt32* address7, ViInt32* address8);
ViStatus _VI_FUNC MP1570_SetV6PacketSend (ViSession instrSession,
	ViInt32 version, ViInt32 pri, ViInt32 fl, ViInt32 pl, ViInt32 nh, ViInt32 hl);
ViStatus _VI_FUNC MP1570_GetV6PacketSend (ViSession instrSession,
	ViInt32* version, ViInt32* pri, ViInt32* fl, ViInt32* pl, ViInt32* nh, ViInt32* hl);
ViStatus _VI_FUNC MP1570_SetPayloadPattern (ViSession instrSession,
	ViInt32 startPosition, ViInt32 noOfBytes, ViUInt8* bytes);
ViStatus _VI_FUNC MP1570_GetPayloadPattern (ViSession instrSession,
	ViInt32 startPosition, ViInt32 endPosition, ViUInt8* bytes);
ViStatus _VI_FUNC MP1570_SetInformationType (ViSession instrSession,
	ViUInt16 informationType);
ViStatus _VI_FUNC MP1570_GetInformationType (ViSession instrSession,
	ViUInt16* informationType);
ViStatus _VI_FUNC MP1570_SetIPPacketdata (ViSession instrSession,
	ViInt32 flag1, ViInt32 address, ViInt32 control,
	ViInt32 protocol, ViUInt16 IPVersion, ViInt32 flag2);
ViStatus _VI_FUNC MP1570_GetIPPacketdata (ViSession instrSession,
	ViInt32* flag1, ViInt32* address, ViInt32* control, ViInt32* protocol,
	ViInt16* IPVersion, ViInt32* flag2);
ViStatus _VI_FUNC MP1570_SetFCSFieldValue (ViSession instrSession,
	ViUInt16 FCSFieldValue);
ViStatus _VI_FUNC MP1570_GetFCSFieldValue (ViSession instrSession,
	ViUInt16* FCSFieldValue);
ViStatus _VI_FUNC MP1570_SetProtocolFieldValue (ViSession instrSession,
	ViUInt16 protocolFieldValue);
ViStatus _VI_FUNC MP1570_GetProtocolFieldValue (ViSession instrSession,
	ViUInt16* protocolFieldValue);
ViStatus _VI_FUNC MP1570_SetIPCopy (ViSession instrSession,
	ViInt32 packetNumber1, ViInt32 packetNumber2);
ViStatus _VI_FUNC MP1570_SetIPDefault (ViSession instrSession,
	ViInt32 IPDefault);
ViStatus _VI_FUNC MP1570_SetCodeSetting (ViSession instrSession,
	ViUInt16 codeSetting);
ViStatus _VI_FUNC MP1570_GetCodeSetting (ViSession instrSession,
	ViUInt16* codeSetting);
ViStatus _VI_FUNC MP1570_Set15MSignalFrame (ViSession instrSession,
	ViUInt16 M15Frame);
ViStatus _VI_FUNC MP1570_Get15MSignalFrame (ViSession instrSession,
	ViUInt16* M15Frame);
ViStatus _VI_FUNC MP1570_SetM2CRC (ViSession instrSession,
	ViBoolean M2CRC);
ViStatus _VI_FUNC MP1570_GetM2CRC (ViSession instrSession,
	ViBoolean* M2CRC);
ViStatus _VI_FUNC MP1570_SetMaxTransmissionChannels (ViSession instrSession,
	ViInt32 numberOfChannels);
ViStatus _VI_FUNC MP1570_GetMaxTransmissionChannels (ViSession instrSession,
	ViInt32* numberOfChannels);
ViStatus _VI_FUNC MP1570_Set45MSignalFrame (ViSession instrSession,
	ViUInt16 M45Frame);
ViStatus _VI_FUNC MP1570_Get45MSignalFrame (ViSession instrSession,
	ViUInt16* M45Frame);
ViStatus _VI_FUNC MP1570_SetXBIT (ViSession instrSession,
	ViInt32 XBITSetting);
ViStatus _VI_FUNC MP1570_GetXBIT (ViSession instrSession,
	ViInt32* XBITSetting);
ViStatus _VI_FUNC MP1570_SetSDHRouteAUMapping (ViSession instrSession,
	ViUInt16 auRoute);
ViStatus _VI_FUNC MP1570_GetSDHRouteAUMapping (ViSession instrSession,
	ViUInt16* auRoute);
ViStatus _VI_FUNC MP1570_SetPayloadDataType (ViSession instrSession,
	ViUInt16 payloadDataType);
ViStatus _VI_FUNC MP1570_GetPayloadDataType (ViSession instrSession,
	ViUInt16* payloadDataType);
ViStatus _VI_FUNC MP1570_SetVC2ConcatChannels (ViSession instrSession,
	ViInt32 numberChannels);
ViStatus _VI_FUNC MP1570_GetVC2ConcatChannels (ViSession instrSession,
	ViInt32* numberChannels);
ViStatus _VI_FUNC MP1570_SetMixedPayload (ViSession instrSession,
	ViBoolean mixedPayload);
ViStatus _VI_FUNC MP1570_GetMixedPayload (ViSession instrSession,
	ViBoolean* mixedPayload);
ViStatus _VI_FUNC MP1570_SetSDHMixedPayloadXTURoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayload1TURoute);
ViStatus _VI_FUNC MP1570_GetSDHMixedPayloadXTURoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayload1TURoute);
ViStatus _VI_FUNC MP1570_SetSONETMixedPayloadXTURoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayload1TURoute);
ViStatus _VI_FUNC MP1570_GetSONETMixedPayloadXTURoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayload1TURoute);
ViStatus _VI_FUNC MP1570_SetSDHMixedPayloadXRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayloadRoute);
ViStatus _VI_FUNC MP1570_GetSDHMixedPayloadXRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayloadRoute);
ViStatus _VI_FUNC MP1570_SetSONETMixedPayloadXRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayloadRoute);
ViStatus _VI_FUNC MP1570_GetSONETMixedPayloadXRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayloadRoute);
ViStatus _VI_FUNC MP1570_SetSDHMixedPayloadXVTRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayloadVTRoute);
ViStatus _VI_FUNC MP1570_GetSDHMixedPayloadXVTRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayloadVTRoute);
ViStatus _VI_FUNC MP1570_SetSONETMixedPayloadXVTRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16 mixedPayloadVTRoute);
ViStatus _VI_FUNC MP1570_GetSONETMixedPayloadXVTRoute (ViSession instrSession,
	ViInt32 payloadNumber, ViUInt16* mixedPayloadVTRoute);
ViStatus _VI_FUNC MP1570_SetPayloadScrambleSettings (ViSession instrSession,
	ViBoolean payloadScrambleSettings);
ViStatus _VI_FUNC MP1570_GetPayloadScrambleSettings (ViSession instrSession,
	ViBoolean* payloadScrambleSettings);
ViStatus _VI_FUNC MP1570_SetSDHChannel (ViSession instrSession,
	ViUInt16 route, ViInt32 channel);
ViStatus _VI_FUNC MP1570_GetSDHChannel (ViSession instrSession,
	ViUInt16 route, ViInt32* channel);
ViStatus _VI_FUNC MP1570_SetSONETChannel (ViSession instrSession,
	ViUInt16 route, ViInt32 channel);
ViStatus _VI_FUNC MP1570_GetSONETChannel (ViSession instrSession,
	ViUInt16 route, ViInt32* channel);
ViStatus _VI_FUNC MP1570_SetSignalingFlameCHCount (ViSession instrSession,
	ViBoolean signalingFlameCHCount);
ViStatus _VI_FUNC MP1570_GetSignalingFlameCHCount (ViSession instrSession,
	ViBoolean* signalingFlameCHCount);
ViStatus _VI_FUNC MP1570_SetSONET_STSRoute (ViSession instrSession,
	ViUInt16 STSRoute);
ViStatus _VI_FUNC MP1570_GetSONET_STSRoute (ViSession instrSession,
	ViUInt16* STSRoute);
ViStatus _VI_FUNC MP1570_SetSDH_TURoute (ViSession instrSession,
	ViUInt16 TURoute);
ViStatus _VI_FUNC MP1570_GetSDH_TURoute (ViSession instrSession,
	ViUInt16* TURoute);
ViStatus _VI_FUNC MP1570_SetSDHMappingRoute (ViSession instrSession,
	ViUInt16 sdhRoute);
ViStatus _VI_FUNC MP1570_GetSDHMappingRoute (ViSession instrSession,
	ViUInt16* sdhRoute);
ViStatus _VI_FUNC MP1570_SetSONETMappingRoute (ViSession instrSession,
	ViUInt16 sonetRoute);
ViStatus _VI_FUNC MP1570_GetSONETMappingRoute (ViSession instrSession,
	ViUInt16* sonetRoute);
ViStatus _VI_FUNC MP1570_SetSONET_VTRoute (ViSession instrSession,
	ViUInt16 VTRoute);
ViStatus _VI_FUNC MP1570_GetSONET_VTRoute (ViSession instrSession,
	ViUInt16* VTRoute);
ViStatus _VI_FUNC MP1570_SetK2ArchitectureBit (ViSession instrSession,
	ViInt32 architecture);
ViStatus _VI_FUNC MP1570_GetK2ArchitectureBit (ViSession instrSession,
	ViInt32* architecture);
ViStatus _VI_FUNC MP1570_SetK2BridgeBits (ViSession instrSession,
	ViInt32 bitSettingK2);
ViStatus _VI_FUNC MP1570_GetK2BridgeBits (ViSession instrSession,
	ViInt32* bitStatusK2);
ViStatus _VI_FUNC MP1570_SetK1ChannelBits (ViSession instrSession,
	ViInt32 bitSettingK1);
ViStatus _VI_FUNC MP1570_GetK1ChannelBits (ViSession instrSession,
	ViInt32* bitStatusK1);
ViStatus _VI_FUNC MP1570_SetK2RequestBits (ViSession instrSession,
	ViInt32 bitSetting);
ViStatus _VI_FUNC MP1570_GetK2RequestBits (ViSession instrSession,
	ViInt32* bitStatus);
ViStatus _VI_FUNC MP1570_SetK2ReservedBits (ViSession instrSession,
	ViInt32 bitSetting );
ViStatus _VI_FUNC MP1570_GetK2ReservedBits (ViSession instrSession,
	ViInt32* bitStatus );
ViStatus _VI_FUNC MP1570_SetK2Architecture (ViSession instrSession,
	ViUInt16 architecture);
ViStatus _VI_FUNC MP1570_GetK2Architecture (ViSession instrSession,
	ViUInt16* architecture);
ViStatus _VI_FUNC MP1570_SetK2Bridge (ViSession instrSession,
	ViUInt16 bitSetting);
ViStatus _VI_FUNC MP1570_GetK2Bridge (ViSession instrSession,
	ViUInt16* bitStatus);
ViStatus _VI_FUNC MP1570_SetK1Channel (ViSession instrSession,
	ViUInt16 bitSetting);
ViStatus _VI_FUNC MP1570_GetK1Channel (ViSession instrSession,
	ViUInt16* bitStatus);
ViStatus _VI_FUNC MP1570_SetK1Request (ViSession instrSession,
	ViUInt16 setting);
ViStatus _VI_FUNC MP1570_GetK1Request (ViSession instrSession,
	ViUInt16* status);
ViStatus _VI_FUNC MP1570_SetK2Reserved (ViSession instrSession,
	ViUInt16 setting);
ViStatus _VI_FUNC MP1570_GetK2Reserved (ViSession instrSession,
	ViUInt16* setting);
ViStatus _VI_FUNC MP1570_SetMuxRate (ViSession instrSession,
	ViUInt16 muxRate);
ViStatus _VI_FUNC MP1570_GetMuxRate (ViSession instrSession,
	ViUInt16* muxRate);
ViStatus _VI_FUNC MP1570_SetSourceContinuousChannels (ViSession instrSession,
	ViInt32 sourceContinuousChannels);
ViStatus _VI_FUNC MP1570_GetSourceContinuousChannels (ViSession instrSession,
	ViInt32* sourceContinuousChannels);
ViStatus _VI_FUNC MP1570_SetMuxChannel (ViSession instrSession,
	ViUInt16 muxRate, ViInt32 channel);
ViStatus _VI_FUNC MP1570_GetMuxChannel (ViSession instrSession,
	ViUInt16 muxRate, ViInt32* channel);
ViStatus _VI_FUNC MP1570_SetSDH_POH_G1Data (ViSession instrSession,
	ViUInt16 POHG1DataType, ViUInt16 POHG1DataPattern, ViInt32 POHG1DataNumber,
	ViUInt16 POHG1DataPOHType, ViUInt16 POHG1Data);
ViStatus _VI_FUNC MP1570_GetSDH_POH_G1Data (ViSession instrSession,
	ViUInt16 POHG1DataType, ViUInt16 POHG1DataPattern, ViInt32 POHG1DataNumber,
	ViUInt16 POHG1DataPOHType, ViUInt16* POHG1Data);
ViStatus _VI_FUNC MP1570_SetSONET_POH_G1Data (ViSession instrSession,
	ViUInt16 POHG1DataType, ViUInt16 POHG1DataPattern, ViInt32 POHG1DataNumber,
	ViUInt16 POHG1DataPOHType, ViUInt16 POHG1Data);
ViStatus _VI_FUNC MP1570_GetSONET_POH_G1Data (ViSession instrSession,
	ViUInt16 POHG1DataType, ViUInt16 POHG1DataPattern, ViInt32 POHG1DataNumber,
	ViUInt16 POHG1DataPOHType, ViUInt16* POHG1Data);
ViStatus _VI_FUNC MP1570_SetSDH_POHDataTransmission (ViSession instrSession,
	ViUInt16 Type, ViUInt16 POHPattern, ViInt32 POHNumber,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt32 POHData);
ViStatus _VI_FUNC MP1570_GetSDH_POHDataTransmission (ViSession instrSession,
	ViUInt16 Type, ViUInt16 POHPattern, ViInt32 POHNumber,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt32* POHData);
ViStatus _VI_FUNC MP1570_SetSONET_POHDataTransmission (ViSession instrSession,
	ViUInt16 Type, ViUInt16 POHPattern, ViInt32 POHNumber,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt32 POHData);
ViStatus _VI_FUNC MP1570_GetSONET_POHDataTransmission (ViSession instrSession,
	ViUInt16 Type, ViUInt16 POHPattern, ViInt32 POHNumber,
	ViUInt16 POHType, ViUInt16 POHPoint, ViInt32* POHData);
ViStatus _VI_FUNC MP1570_SetSDH_OHCHDefaultData (ViSession instrSession,
	ViUInt16 OHCHType, ViUInt16 Pattern, ViInt32 DataNumber);
ViStatus _VI_FUNC MP1570_SetSONET_OHCHDefaultData (ViSession instrSession,
	ViUInt16 OHCHType, ViUInt16 Pattern, ViInt32 DataNumber);
ViStatus _VI_FUNC MP1570_SetSDH_OHCHPreset (ViSession instrSession,
	ViUInt16 OHCHBitRate, ViInt32 OHCHNumber, ViUInt16 OHCHType,
	ViUInt16 OHCHPattern, ViInt32 presetOHCHFrom, ViInt32 presetOHCHTo);
ViStatus _VI_FUNC MP1570_SetSONET_OHCHPreset (ViSession instrSession,
	ViUInt16 OHCHBitRate, ViInt32 OHCHNumber, ViUInt16 OHCHType,
	ViUInt16 OHCHPattern, ViInt32 presetOHCHFrom, ViInt32 presetOHCHTo);
ViStatus _VI_FUNC MP1570_SetOHCHSLabelPOHC2Data (ViSession instrSession, ViChar* OHCHSLabelPOHC2DataType, ViChar* OHCHSLabelPOHC2DataPatern, ViInt32 OHCHSLabelPOHC2DataNumber, ViChar* OHCHSLabelPOHC2DataPOHType, ViChar* OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_GetOHCHSLabelPOHC2Data (ViSession instrSession, ViChar* OHCHSLabelPOHC2DataType, ViChar* OHCHSLabelPOHC2DataPatern, ViInt32 OHCHSLabelPOHC2DataNumber, ViChar* OHCHSLabelPOHC2DataPOHType, ViChar* OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_SetSOHDataTransmission (ViSession instrSession, ViChar* SOHType, ViChar* SOHPattern, ViInt32 SOHNumber, ViChar* TOHPoint, ViChar* SOHData);
ViStatus _VI_FUNC MP1570_GetSOHDataTransmission (ViSession instrSession, ViChar* SOHType, ViChar* SOHPattern, ViInt32 SOHNumber, ViChar* TOHPoint, ViChar* SOHData);
ViStatus _VI_FUNC MP1570_SetInitializeOHPreset (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetLAPDTandemConnection (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetSDHOHCHSPLabelPOHC2Data (ViSession instrSession, ViUInt16 label,
												 ViUInt16 OHCHSLabelPOHC2DataType, ViUInt16 OHCHSLabelPOHC2DataPatern,
												 ViInt32 OHCHSLabelPOHC2DataNumber, ViUInt16 OHCHSLabelPOHC2DataPOHType,
												 ViUInt16 OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_GetSDHOHCHSPLabelPOHC2Data (ViSession instrSession, ViUInt16 label,
												 ViUInt16 OHCHSLabelPOHC2DataType, ViUInt16 OHCHSLabelPOHC2DataPatern,
												 ViInt32 OHCHSLabelPOHC2DataNumber, ViUInt16 OHCHSLabelPOHC2DataPOHType,
												 ViUInt16* OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_SetSONETOHCHSPLabelPOHC2Data (ViSession instrSession, ViUInt16 label,
												 ViUInt16 OHCHSLabelPOHC2DataType, ViUInt16 OHCHSLabelPOHC2DataPatern,
												 ViInt32 OHCHSLabelPOHC2DataNumber, ViUInt16 OHCHSLabelPOHC2DataPOHType,
												 ViUInt16 OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_GetSONETOHCHSPLabelPOHC2Data (ViSession instrSession, ViUInt16 label,
												 ViUInt16 OHCHSLabelPOHC2DataType, ViUInt16 OHCHSLabelPOHC2DataPatern,
												 ViInt32 OHCHSLabelPOHC2DataNumber, ViUInt16 OHCHSLabelPOHC2DataPOHType,
												 ViUInt16* OHCHSLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_SetSOHTOHDataTransmission (ViSession instrSession, ViUInt16 OHCHPattern, ViUInt16 type,
													ViUInt16 pattern, ViInt32 number, ViChar* point,
													ViChar* data);
ViStatus _VI_FUNC MP1570_GetSOHTOHDataTransmission (ViSession instrSession, ViUInt16 OHCHPattern, ViUInt16 type,
													ViUInt16 pattern, ViInt32 number, ViChar* point,
													ViChar* data);
ViStatus _VI_FUNC MP1570_SetOHCHPOHData (ViSession instrSession, ViUInt16 OHCHSOHDataType, ViUInt16 OHCHSOHDataPattern,
										 ViInt32 OHCHSOHDataNumber, ViUInt16 OHCHSOHData);
ViStatus _VI_FUNC MP1570_GetOHCHPOHData (ViSession instrSession, ViUInt16 OHCHSOHDataType, ViUInt16 OHCHSOHDataPattern,
										 ViInt32 OHCHSOHDataNumber, ViUInt16* OHCHSOHData);
ViStatus _VI_FUNC MP1570_SetSDH_OHCHVLabelPOHV5Data (ViSession instrSession, ViUInt16 OHCHVLabelPOHC2DataType,
												 ViUInt16 OHCHVLabelPOHC2DataPatern, ViInt32 OHCHVLabelPOHC2DataNumber,
												 ViUInt16 OHCHVLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_GetSDH_OHCHVLabelPOHV5Data (ViSession instrSession, ViUInt16 OHCHVLabelPOHC2DataType,
												 ViUInt16 OHCHVLabelPOHC2DataPatern, ViInt32 OHCHVLabelPOHC2DataNumber,
												 ViUInt16* OHCHVLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_SetSONET_OHCHVLabelPOHV5Data (ViSession instrSession, ViUInt16 OHCHVLabelPOHC2DataType,
												 ViUInt16 OHCHVLabelPOHC2DataPatern, ViInt32 OHCHVLabelPOHC2DataNumber,
												 ViUInt16 OHCHVLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_GetSONET_OHCHVLabelPOHV5Data (ViSession instrSession, ViUInt16 OHCHVLabelPOHC2DataType,
												 ViUInt16 OHCHVLabelPOHC2DataPatern, ViInt32 OHCHVLabelPOHC2DataNumber,
												 ViUInt16* OHCHVLabelPOHC2Data);
ViStatus _VI_FUNC MP1570_SetSDH_OHCHKZLabelPOHK4Data (ViSession instrSession, ViUInt16 label, ViUInt16 dataType,
													  ViUInt16 dataPatern, ViInt32 dataNumber, ViUInt16 data);
ViStatus _VI_FUNC MP1570_GetSDH_OHCHKZLabelPOHK4Data (ViSession instrSession, ViUInt16 label, ViUInt16 dataType,
													  ViUInt16 dataPatern, ViInt32 dataNumber, ViUInt16* data);
ViStatus _VI_FUNC MP1570_SetSONET_OHCHKZLabelPOHK4Data (ViSession instrSession, ViUInt16 label, ViUInt16 dataType,
													  ViUInt16 dataPatern, ViInt32 dataNumber, ViUInt16 data);
ViStatus _VI_FUNC MP1570_GetSONET_OHCHKZLabelPOHK4Data (ViSession instrSession, ViUInt16 label, ViUInt16 dataType,
													  ViUInt16 dataPatern, ViInt32 dataNumber, ViUInt16* data);
ViStatus _VI_FUNC MP1570_SetInitializeOHPreset (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetDCCInput (ViSession instrSession, ViUInt16 DCCInput);
ViStatus _VI_FUNC MP1570_GetDCCInput (ViSession instrSession, ViUInt16* DCCInput);
ViStatus _VI_FUNC MP1570_SetSDH_PresetG1Data (ViSession instrSession, ViUInt16 POHType, ViUInt16 presetG1Data);
ViStatus _VI_FUNC MP1570_GetSDH_PresetG1Data (ViSession instrSession, ViUInt16 POHType, ViUInt16* presetG1Data);
ViStatus _VI_FUNC MP1570_SetSONET_PresetG1Data (ViSession instrSession, ViUInt16 POHType, ViUInt16 presetG1Data);
ViStatus _VI_FUNC MP1570_GetSONET_PresetG1Data (ViSession instrSession, ViUInt16 POHType, ViUInt16* presetG1Data);
ViStatus _VI_FUNC MP1570_SetKZPresetK4Data (ViSession instrSession, ViUInt16 label, ViUInt16 presetK4Data);
ViStatus _VI_FUNC MP1570_GetKZPresetK4Data (ViSession instrSession, ViUInt16 label, ViUInt16* presetK4Data);
ViStatus _VI_FUNC MP1570_SetC2Data (ViSession instrSession, ViUInt16 POHtype, ViUInt16 C2Data);
ViStatus _VI_FUNC MP1570_GetC2Data (ViSession instrSession, ViUInt16 POHtype, ViUInt16* C2Data);
ViStatus _VI_FUNC MP1570_SetPOHPresetData (ViSession instrSession, ViUInt16 POHType, ViUInt16 POHPoint, ViChar* POHPresetData);
ViStatus _VI_FUNC MP1570_GetPOHPresetData (ViSession instrSession, ViUInt16 POHType, ViUInt16 POHPoint, ViChar* POHPresetData);
ViStatus _VI_FUNC MP1570_SetPathTraceCondition (ViSession instrSession, ViUInt16 pathTrace, ViBoolean pathTraceOnOff, ViBoolean CRC7OnOff);
ViStatus _VI_FUNC MP1570_GetPathTraceCondition (ViSession instrSession, ViUInt16 pathTrace, ViBoolean* pathTraceOnOff, ViBoolean* CRC7OnOff);
ViStatus _VI_FUNC MP1570_SetPathTraceData (ViSession instrSession, ViUInt16 pathTraceType, ViChar* pathTraceData);
ViStatus _VI_FUNC MP1570_GetPathTraceData (ViSession instrSession, ViUInt16 pathTraceType, ViChar* pathTraceData);
ViStatus _VI_FUNC MP1570_SetC2POHData (ViSession instrSession, ViUInt16 POHtype, ViUInt16 C2Data);
ViStatus _VI_FUNC MP1570_GetC2POHData (ViSession instrSession, ViUInt16 POHtype, ViUInt16* C2Data);
ViStatus _VI_FUNC MP1570_SetPresetData (ViSession instrSession, ViUInt16 pattern, ViUInt16 bitRate, ViInt32 channelNumber, ViChar* point, ViChar* presetData);
ViStatus _VI_FUNC MP1570_GetPresetData (ViSession instrSession, ViUInt16 pattern, ViUInt16 bitRate, ViInt32 channelNumber, ViChar* point, ViChar* presetData);
ViStatus _VI_FUNC MP1570_SetS1Data (ViSession instrSession, ViUInt16 bitRate, ViUInt16 S1Data);
ViStatus _VI_FUNC MP1570_GetS1Data (ViSession instrSession, ViUInt16 bitRate, ViUInt16* S1Data);
ViStatus _VI_FUNC MP1570_SetV5Data (ViSession instrSession, ViUInt16 V5Data);
ViStatus _VI_FUNC MP1570_GetV5Data (ViSession instrSession, ViUInt16* V5Data);
ViStatus _VI_FUNC MP1570_SetPayloadOffset (ViSession instrSession, ViReal64 payloadOffset);
ViStatus _VI_FUNC MP1570_GetPayloadOffset (ViSession instrSession, ViReal64* payloadOffset);
ViStatus _VI_FUNC MP1570_SetPointIntervals (ViSession instrSession, ViUInt16 addCancel, ViUInt16 interval);
ViStatus _VI_FUNC MP1570_GetPointIntervals (ViSession instrSession, ViUInt16 addCancel, ViUInt16* interval);
ViStatus _VI_FUNC MP1570_SetCoolDownTimeOnOff (ViSession instrSession, ViBoolean coolDownTimeOnOff);
ViStatus _VI_FUNC MP1570_GetCoolDownTimeOnOff (ViSession instrSession, ViBoolean* coolDownTimeOnOff);
ViStatus _VI_FUNC MP1570_SetCoolDownTime (ViSession instrSession, ViInt32 coolDownTime);
ViStatus _VI_FUNC MP1570_GetCoolDownTime (ViSession instrSession, ViInt32* coolDownTime);
ViStatus _VI_FUNC MP1570_SetIntializingTimeOnOff (ViSession instrSession, ViBoolean intializingTimeOnOff);
ViStatus _VI_FUNC MP1570_GetIntializingTimeOnOff (ViSession instrSession, ViBoolean* intializingTimeOnOff);
ViStatus _VI_FUNC MP1570_SetInitializingTimeMSec (ViSession instrSession, ViInt32 initializingTime);
ViStatus _VI_FUNC MP1570_GetInitializingTimeMSec (ViSession instrSession, ViInt32* initializingTime);
ViStatus _VI_FUNC MP1570_SetInitializingTimeSeconds (ViSession instrSession, ViInt32 initializingTime);
ViStatus _VI_FUNC MP1570_GetInitializingTimeSeconds (ViSession instrSession, ViInt32* initializingTime);
ViStatus _VI_FUNC MP1570_SetPSEQPayloadOffset (ViSession instrSession, ViReal64 payloadOffset);
ViStatus _VI_FUNC MP1570_GetPSEQPayloadOffset (ViSession instrSession, ViReal64* payloadOffset);
ViStatus _VI_FUNC MP1570_SetPointerObjective (ViSession instrSession, ViUInt16 pointerObjective);
ViStatus _VI_FUNC MP1570_GetPointerObjective (ViSession instrSession, ViUInt16* pointerObjective);
ViStatus _VI_FUNC MP1570_SetPointerPolarity (ViSession instrSession, ViUInt16 pointerPolarity);
ViStatus _VI_FUNC MP1570_GetPointerPolarity (ViSession instrSession, ViUInt16* pointerPolarity);
ViStatus _VI_FUNC MP1570_SetPointerSequenceTParam (ViSession instrSession, ViInt32 tTime);
ViStatus _VI_FUNC MP1570_GetPointerSequenceTParam (ViSession instrSession, ViInt32* tTime);
ViStatus _VI_FUNC MP1570_SetPointerSequenceT1Param (ViSession instrSession, ViInt32 t1Time);
ViStatus _VI_FUNC MP1570_GetPointerSequenceT1Param (ViSession instrSession, ViInt32* t1Time);
ViStatus _VI_FUNC MP1570_SetPointerSequenceT2Param (ViSession instrSession, ViInt32 t2Time);
ViStatus _VI_FUNC MP1570_GetPointerSequenceT2Param (ViSession instrSession, ViInt32* t2Time);
ViStatus _VI_FUNC MP1570_SetPointerSequenceMeasure (ViSession instrSession, ViUInt16 pointerSequenceMeasure);
ViStatus _VI_FUNC MP1570_GetPointerSequenceMeasure (ViSession instrSession, ViUInt16* pointerSequenceMeasure);
ViStatus _VI_FUNC MP1570_SetPointerValueID (ViSession instrSession, ViUInt16 pointer, ViInt32 pointerValue);
ViStatus _VI_FUNC MP1570_GetPointerValueID (ViSession instrSession, ViUInt16 pointer, ViInt32* pointerValue);
ViStatus _VI_FUNC MP1570_SetPointerValueNDF (ViSession instrSession, ViUInt16 pointer, ViChar* pointerValue);
ViStatus _VI_FUNC MP1570_GetPointerValueNDF (ViSession instrSession, ViUInt16 pointer, ViChar* pointerValue);
ViStatus _VI_FUNC MP1570_SetInsertNegPJC (ViSession instrSession, ViUInt16 pointer);
ViStatus _VI_FUNC MP1570_SetInsertPosPJC (ViSession instrSession, ViUInt16 pointer);
ViStatus _VI_FUNC MP1570_SetPointerValueSS (ViSession instrSession, ViUInt16 pointer, ViChar* pointerValue);
ViStatus _VI_FUNC MP1570_GetPointerValueSS (ViSession instrSession, ViUInt16 pointer, ViChar* pointerValue);
ViStatus _VI_FUNC MP1570_SetTandemConnectionMode (ViSession instrSession, ViUInt16 condition, ViBoolean N1HPTandemConnection);
ViStatus _VI_FUNC MP1570_GetTandemConnectionMode (ViSession instrSession, ViUInt16 condition, ViBoolean* N1HPTandemConnection);
ViStatus _VI_FUNC MP1570_SetTandemConnectionType (ViSession instrSession, ViUInt16 HPLP, ViUInt16 TandemConnectionType);
ViStatus _VI_FUNC MP1570_GetTandemConnectionType (ViSession instrSession, ViUInt16 HPLP, ViUInt16* TandemConnectionType);
ViStatus _VI_FUNC MP1570_SetType2TandemConnection (ViSession instrSession, ViUInt16 Connection, ViUInt16 tandemPoint, ViChar* Type2TandemConnection);
ViStatus _VI_FUNC MP1570_GetType2TandemConnection (ViSession instrSession, ViUInt16 Connection, ViUInt16 tandemPoint, ViChar* Type2TandemConnection);
ViStatus _VI_FUNC MP1570_SetLAPDTandemConnection (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetN2Z6TandemConnection (ViSession instrSession, ViUInt16 type, ViUInt16 tandemPoint, ViChar* TandemConnection);
ViStatus _VI_FUNC MP1570_GetN2Z6TandemConnection (ViSession instrSession, ViUInt16 type, ViUInt16 tandemPoint, ViChar* TandemConnection);
ViStatus _VI_FUNC MP1570_SetSendClockSource(ViSession instrSession, vekIdxStrList csource);
ViStatus _VI_FUNC MP1570_GetSendClockSource(ViSession instrSession, vekIdxStrList *csource);
