/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*                                                                           */
/*   REVISION HISTORY														 */
/*   20 April 2001 - N Larsen -- cFrameTypes[]  commented out                */
/*   26 July 2001  - N Larsen -- cSDH_TELAlarmType array modified to match   */
/*                               list in manual                              */
/*   26 July 2001  - N Larsen -- cSONET_TELAlarmType array modified to match */
/*                               list in manual                              */
/*   26 July 2001  - N Larsen -- cSDH_ErrorInsertTypes array modified to     */
/*                               match list in manual                        */
/*   26 July 2001  - N Larsen -- cSONET_ErrorInsertTypes array modified to   */
/*                               match list in manual                        */
/*****************************************************************************/

char* cAlarmUnit[] = {"FRAME", "US", 0L};
char* cAlarmTiming[] = {"SINGLE", "BURST", "ALTERNATE", "ALL", 0L};
char* cTelAlarmTiming[] = {"SING", "BURS", "ALT", "ALL", 0L};
char* cAPSSDHAlarmType[] = {"OFF", "LOS", "LOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI", "HSLM",
							"HTIM", "HUNEQ", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI",
							"TAIS", "TLOP", "LRDI", "LRFI", "LSLM", "LTIM", "LUNEQ", "TLOM",
							"LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", 0L};
char* cAPSSONETAlarmType[] = {"OFF", "LOS", "LOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
							"TIMP", "UNEQP", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI",
							"AISV", "LOPV", "RDIV", "RFIV", "SLMV", "TIMV", "UNEQV", "LOMV",
							"LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", 0L};
char* cErrorAppendageTiming[] = {"ONCE", "R1E_3", "R1E_4", "R1E_5", "R1E_6", "R1E_7", "R1E_8", "R1E_9",
								"R1IN16", "R2IN16", "R3IN16", "R4IN16", "ALL", "BURST",
								"R5E_3", "R5E_4", "R5E_5", "R5E_6", "R5E_7", "R5E_8", "R5E_9",
								"ALTERNATE", "PROGRATE", 0L};
char* cAPSSDHTestError[] = {"OFF", "B1", "B2", "HB3", "LB3", "BIP2", "MREI", "HREI", "HIEC",
							"HTREI", "HOEI", "LREI", "LIEC", "LTREI", "LOEI", "N2BIP2", "FAS",
							"BALL", "BIT139", "BIT45", "BIT34", "BIT8", "BIT2", "BIT1_5", "BINF",
							"CODE", "EBIT", "FAS139", "FAS45", "FAS34", "FAS8", "FAS2", "FAS1_5",
							"REI139", "REI45", "REI34", "PLCPREI", "PARITY", "CRC6", "CBIT",
							"BIP8", "PLCPFAS", 0L};
char* cAPSSONETTestError[] = {"OFF", "B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP", "HIEC",
							"HTREI", "HOEI", "REIV", "LIEC", "LTREI", "LOEI", "N2BIP2", "FAS",
							"BALL", "BIT139", "BIT45", "BIT34", "BIT8", "BIT2", "BIT1_5", "BINF",
							"CODE", "EBIT", "FAS139", "FAS45", "FAS34", "FAS8", "FAS2", "FAS1_5",
							"REI139", "REI45", "REI34", "PLCPREI", "PARITY", "CRC6", "CBIT",
							"BIP8", "PLCPFAS", 0L};
char* cAPSTransmissionMode[] = {"SINGLE", "REPEAT", 0L};
char* cSDHAlarmTiming[] = {"OFF", "LOS", "LOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI", "HSLM",
							"HTIM", "HUNEQ", 0L};
char* cSONETAlarmTiming[] = {"OFF", "LOS", "LOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
							"TIMP", "UNEQP", 0L};
char* cErrorTiming[] = {"ONCE", "R1E_3", "R1E_4", "R1E_5", "R1E_6", "R1E_7", "R1E_8", "R1E_9",
						"R1IN16", "R2IN16", "R3IN16", "R4IN16", "ALL", "BURST",
						"R5E_3", "R5E_4", "R5E_5", "R5E_6", "R5E_7", "R5E_8", "R5E_9",
						"ALTERNATE", "PROGRATE", 0L};
char* cSDHErrorType[] = {"OFF", "B1", "B2", "HB3", "HREI", 0L};
char* cSONETErrorType[] = {"OFF", "B1", "B2", "HB3", "REIP", 0L};
char* cIPAlarmTiming[] = {"SINGLE", "BURST", "ALTERNATE", "ALL", 0L};
char* cSDHIPAlarmType[] = {"OFF", "LOS", "LOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI", "HSLM",
							"HTIM", "HUNEQ", 0L};
char* cSONETIPAlarmType[] = {"OFF", "LOS", "LOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
							"TIMP", "UNEQP", 0L};
char* cIPErrorTiming[] = {"ONCE", "R1E_3", "R1E_4", "R1E_5", "R1E_6", "R1E_7", "R1E_8", "R1E_9",
								"R1IN16", "R2IN16", "R3IN16", "R4IN16", "ALL", "BURST",
								"R5E_3", "R5E_4", "R5E_5", "R5E_6", "R5E_7", "R5E_8", "R5E_9",
								"ALTERNATE", "PROGRATE", 0L};
char* cSDHIPErrorType[] = {"OFF", "B1", "B2", "HB3", "LB3", "BIP2", "MREI", "HREI", 0L};
char* cSONETIPErrorType[] = {"OFF", "B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP", 0L};
char* cIPLMPacketType[] = {"NON", "1", "2", "3", 0L};
char* cIPMNPacketType[] = {"NON", "1", "2", "3", 0L};
char* cIPNLPacketType[] = {"NON", "1", "2", "3", 0L};
char* cIPMeasurementMode[] = {"SINGLE", "REPEAT", 0L};
char* cSDHOHAddType[] = {"SOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cSONETOHAddType[] = {"TOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cSDHOHBertType[] = {"SOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cSONETOHBertType[] = {"TOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cSDHOHType[] = {"SOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cSONETOHType[] = {"TOH1B", "POH1B", "D1D3", "D4D12", 0L};
char* cPTR64FrameMode[] = {"SINGLE", "REPEAT", 0L};
char* cSDHPTR64FramePrinter[] = {"AU", "TU", 0L};
char* cSONETPTR64FramePrinter[] = {"STS", "VT", 0L};
char* cOHTestType[] = {"OHC", "OHB", "PTR64", "ADROP", 0L};
char* cCondition[] = {"FAS", "PAR", "BIT", "B1", "B2", "HB3", "LB3", "BIP2",
								"MREI", "HREI", "LREI", "SECT", "AU", "TU", 0L};
char* cSDHErrorAlarm[] = {"OFF", "LOS", "LOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI",
							"HSLM", "HTIM", "HUNEQ", "HVAIS", "HISF", "HFAS", "HIAIS",
							"HTRDI", "HODI", "TAIS", "TLOP", "LRDI", "LRFI", "LSLM",
							"LTIM", "LUNEQ", "TLOM", "LVAIS", "LFAS", "LIAIS", "LTRDI",
							"LODI", "AIS139", "AIS45", "AIS34", "AIS8", "AIS2", "AIS1_5",
							"LOF139", "LOF45", "LOF34", "LOF8", "LOF2", "LOF1_5",
							"PLCPLOF", "RDI139", "RDI45", "RDI34", "RDI8", "RDI2",
							"RDI1_5", "RDIMF", "PLCPRDI", "HGAIS", "HGREC", "SIGAIS15",
							"SIGOOF", "BAIS1_5", "B1", "B2", "HB3", "LB3", "BIP2", "MREI",
							"HREI", "HIEC", "HTREI", "HOEI", "LREI", "LIEC", "LTREI",
							"LOEI", "N2BIP2", "FAS", "BALL", "BIT139", "BIT45", "BIT34",
							"BIT8", "BIT2", "BIT1_5", "BINF", "CODE", "EBIT", "FAS139",
							"FAS45", "FAS34", "FAS8", "FAS2", "FAS1_5", "REI139", "REI45",
							"REI34", "PLCPREI", "PARITY", "CRC6", "CBIT", "BIP8",
							"PLCPFAS", 0L};
char* cSONETErrorAlarm[] = {"OFF", "LOS", "LOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
							"TIMP", "UNEQP", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI",
							"AISV", "LOPV", "RDIV", "RFIV", "SLMV", "TIMV", "UNEQV", "LOMV",
							"LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", "AIS139", "AIS45", "AIS34",
							"AIS8", "AIS2", "AIS1_5", "LOF139", "LOF45", "LOF34", "LOF8", "LOF2",
							"LOF1_5", "PLCPLOF", "RDI139", "RDI45", "RDI34", "RDI8", "RDI2",
							"RDI1_5", "RDIMF", "PLCPRDI", "HGAIS", "HGREC", "SIGAIS15", "SIGOOF",
							"BAIS1_5", "B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP", "HIEC",
							"HTREI", "HOEI", "REIV", "LIEC", "LTREI", "LOEI", "N2BIP2", "FAS",
							"BALL", "BIT139", "BIT45", "BIT34", "BIT8", "BIT2", "BIT1_5", "BINF",
							"CODE", "EBIT", "FAS139", "FAS45", "FAS34", "FAS8", "FAS2", "FAS1_5",
							"REI139", "REI45", "REI34", "PLCPREI", "PARITY", "CRC6", "CBIT",
							"BIP8", "PLCPFAS", 0L};
char* cPerformanceItem[] = {"EC", "ES", "EFS", "SES", "US", "DM", "CES", "ES", "SES", "BBE",
							"SDP", "US", "RES", "RSES", "TES", "TSES", "US", 0L};
char* cPerformanceLayer[] = {"HPATH", "LPATH", "SECTION", 0L};
char* cPDHFrameType[] = {"M139", "M45", "M34", "M8", "M2", "M1_5", 0L};
char* cPerformanceType[] = {"OFF", "G821", "G826", "M2100", "M2101", "M2110", "M2120", 0L};
char* cSDHMode[] = {"PDH", "SDH", 0L};
char* cSONETMode[] = {"DSN", "SONET", 0L};
char* cSDHType[] = {"VC4", "VC3", "VC1", 0L};
char* cSDHBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "F3",
									"K3", "N1", "V5", "J2", "N2", "K4", 0L};
char* cSONETType[] = {"STS3", "STS1", "VT", 0L};
char* cSONETBytePositionPOH[] = {"J1", "B3", "C2", "G1", "F2", "H4", "Z3",
										"Z4", "Z5", "V5", "J2", "Z6", "Z7", 0L};
char* cXOHType[] = {"SOH", "TOH", 0L};
char* cSDHPTRMode[] = {"AUPTR", "TUPTR", 0L};
char* cSONETPTRMode[] = {"STSPTR", "VTPTR", 0L};
char* cPTRType[] = {"NDF", "PTR", "+PJC", "-PJC", "CONT", 0L};
char* cMulti64DataType[] = {"AIS", "BAIS", "PTY", "BERR", "TRAC", "S", "UNR",
							"LOOP2", "LP", "M15B", "KX", "KY", "KZ", "OCUL", "M15L", 0L};
char* cMulti8TSData[] = {"TS1", "TS2", "TS3", "TS4", 0L};
char* cVC11FrameConfiguration[] = {"OFF", "MULTI64", "MULTI8", 0L};
char* cSDH_TELAlarmType[] = {"OFF", "LOS", "LOF", "MAIS", "MRDI", "AAIS", "ALOP", "HRDI","HSLM", 
							"HTIM", "HUNEQ", "HVAIS", "HISF", "HFAS", "HIAIS","HTRDI", "HODI", 
							"TAIS", "TLOP", "LRDI", "LRFI", "LSLM","LTIM", "LUNEQ", "TLOM",
							"LVAIS", "LFAS", "LIAIS", "LTRDI","LODI", 
							"AIS139", "AIS45", "AIS34", "AIS8", "AIS2", "AIS1_5",
							"LOF139", "LOF45", "LOF34", "LOF8", "LOF2", "LOF1_5",
							"RDI139", "RDI45", "RDI34", "RDI8", "RDI2", "RDI1_5", 
							"RDIMF", "HGAIS", "HGREC", "SIGAIS15","SIGOOF", 
							"BAIS1_5", 0L};
char* cSONET_TELAlarmType[] = {"OFF", "LOS", "LOF", "AISL", "RDIL", "AISP", "LOPP", "RDIP", "SLMP",
							"TIMP", "UNEQP", "HVAIS", "HISF", "HFAS", "HIAIS", "HTRDI", "HODI",
							"AISV", "LOPV", "RDIV", "RFIV", "SLMV", "TIMV", "UNEQV", "LOMV",
							"LVAIS", "LFAS", "LIAIS", "LTRDI", "LODI", 
							"AIS139", "AIS45", "AIS34","AIS8", "AIS2", "AIS1_5", 
							"LOF139", "LOF45", "LOF34", "LOF8", "LOF2","LOF1_5", 
							"RDI139", "RDI45", "RDI34", "RDI8", "RDI2","RDI1_5", 
							"RDIMF", "HGAIS", "HGREC", "SIGAIS15", "SIGOOF",
							"BAIS1_5", 0L};
char* cMSPBK2Bit5[] = {"OPOA", "OCNA", "SHORT", "LONG", 0L};
char* cMSPBKBits[] = {"NCH", "WC1", "WC2", "WC3", "WC4", "WC5", "WC6", "WC7",
							"WC8", "WC9", "WC10", "WC11", "WC12", "WC13", "WC14",
							"ETCH", "0 15", 0L};
char* cMSPBK1Bits1to4[] = {"NREQ", "DNR", "RREQ", "UUS3", "EXER", "UUS5", "WTR", "UUS7",
							"MSW", "UUS9", "SDLP", "SDHP", "SFLP", "SFHP", "FSW",
							"LOPR", "NR", "RRR", "RRS", "EXERR", "EXERS", "WTR", "MSR",
							"MSS", "SDR", "SDS", "SDP", "SFR", "SFS", "FSR", "FSS",
							"LPS", 0L};
char* cMSPBK2Bits6to8[] = {"Idle", "Bridged", "Br&Sw", "Reserved011", "Reserved100", "Reserved101",
							"MS-RDI", "MS-AIS", 0L};
char* cSourceBitRate[] = {"M9953","M2488","M622", "M156", "M156CMI", "M52","M52B3ZS", "M139", "M45", "M34", "M8",
							"M2", "M1_5", 0L};
char* cDummyPresetScreen[] = {"ALLPOH", "LAPD", 0L};
char* cPayloadPattern[] = {"PRBS11", "PRBS15", "ALL0", "ALL1", 0L};
char* cSDHDummyGLabelPOHG1DataType[] = {"VC4", "VC3", 0L};
char* cSONETDummyGLabelPOHG1DataType[] = {"STS3", "STS1", 0L};
char* cDummyGLabelPOHG1Data[] = {"No remote defect 000", "No remote defect 001", "Remote payload defect",
								"No remote defect 011", "Remote defect 100", "Remote server defect",
								"Remote connectivity defect", "Remote defect 111", 0L};


char* cPorS[] = {"SLAB","PLAB",0L};

char* cKZLabel[] = {"KLAB","ZLAB",0L};

char* cSDH_LabelTypes[] = {"STM1", "STM0", 0L};

char* cSONET_LabelTypes[] = {"STS3", "STS1", 0L};

char* cSDH_POHC2Types[] = {"VC4","VC3",0L};

char* cSONET_POHC2Types[] = {"STS3","STS1",0L};

char* cDataPatern[] = {"PATTERNA","PATTERNB",0L};

char* cOHCHPattern[] = {"SOHP","TOHP",0L};

char* cDataType[] = {"STM1","STM0", "STS3", "STS1", 0L};

char* cOHCHSOHData[] = {"Quality unknown","Reserved0001","G.811","Reserved0011",
						  "G.812 transit", "Reserved0101", "Reserved0110",
						  "Reserved0111", "G.812 local", "Reserved1001", "Reserved1010",
						  "Synchronous Equipment Timing Source", "Reserved1100",
						  "Reserved1101", "Reserved1110",
						  "Do not use for synchronization", 0L};

char* cSDHVLabelPOHV5DataMnemonics[] =
	{"Unequipped", "Unequipped-non-specific", "Asynchronous", "Bit synchronous", "Byte synchronous",
	 "Reserved", "0.181 mapping", "VC-AIS", 0L};

char* cSONETVLabelPOHV5DataMnemonics[] =
	{"Unequipped","Unequipped-non-specific","Asynchronous","Bit synchronous","Byte synchronous",
	 "Reserved101","Reserved110","AIS-V",0L};

char* cKZGPOHData[]=
	{"No remote defect000", "No remote defect001", "Remote payload defect", "No remote defect011",
	 "Remote defect100","Remote server defect","Remote connectivity defect","Remote defect111",0L};

char* cDCCInput[] = {"OFF","DRS", "DMS", 0L};

char* cC2SONETData[] = {"Unequipped","Equipped-non-specific","VT-Structure STS1SPE","Locked VT Mode",
					 "Async. Mapping DS3", "Async. Mapping DS4NA", "Mapping for ATM", "Mapping for DQDB",
					 "Async. mapping FDDI", "Unused", "AIS-P", 0L};

char* cC2SDHData[] = {"Unequipped","Equipped-non-specific","TUG structure","Locked TU",
					 "Async 34M or 45M(C-3)", "Async 139M(C-4)", "MAN(DQDB) mapping", "FDDI mapping",
					 "0.181 mapping", "VC-AIS", 0L};

char* cTraces[] = {"J0", "J1H", "J1L", "J2", 0L};

char* cType2TracePoints[] = {"TCREI","OEI","FAS", "PATT", "RES1", "RES2", "RES3", "RES4", "RES5", "RES6", "TCRDI", "ODI", 0L};

char* cConnectionEditPoints[] = {"B3","AIS","TCREI","OEI","FAS", "PATT", "RES1", "RES2", "RES3", "RES4", "RES5", "RES6", "TCRDI", "ODI", 0L};

char* cBitRateFormats[] = {"M9953","M2488","M622","M156","M52",0L};

char* cS1Data[] = {"Synchronization Traceable Unknown","Stratum 1 Traceable","Stratum 2 Traceable","Stratum 3 Traceable",
					 "SONET Minimum Clock Traceable", "Don't USE for Synchronization", 0L};

char* cInterval[] = {"R1IN1", "R1IN2","R1IN3","R1IN4","R1IN5","R1IN6","R1IN7","R1IN8", "R1IN9","R1IN10",0L};

char* cAddCancel[] = {"AINT","CINT",0L};

char* cPointerType[]={"AU","TU",0L};

char* cPSequencePointerType[]={"STS","VT",0L};

char* cPolarity[] = {"PPJC","NPJC", 0L};

char* cPointerSequence[] =
	{ "OFF", "SOOPOLARITY", "RWDOUBLE", "RWMISSING", "DOOPOLARITY", "NORMAL87_3", "ADD87_3", "CANCEL87_3", "CPNORMAL",
	  "CPADD", "CPCANCEL", "SPADJUSTMENT", "MRPBURST", "PTPBURST", 0L
	};

char* cPOHC2Data[] =
	{"Unequipped","Equipped-non-specific", "TUG structure", "Locked TU",
	 "Async 34M or 45M(C-3)", "Async 139M(C-4)", "ATM mapping",
	 "MAN(DQDB) mapping", "FDDI mapping", "0.181 mapping", "VC-AIS", 0L};

char* cPOHData[] =
	{"Unequipped","Equipped-non-specific", "TUG structure", "Locked TU",
	 "Async 34M or 45M(C-3)", "Async 139M(C-4)", "ATM mapping",
	 "MAN(DQDB) mapping", "FDDI mapping", "0.181 mapping", "VC-AIS", 0L};

char* cSDH_POHType[] = {"VC4","VC3", "VC1",0l};

char* cSDH_POHPoint[] =
	{"J1","C2","G1","F2","H4","F3","K3","N1","V5","J2","N2","K4"};

char* cSONET_POHType[] = {"STS3","STS1","VT",0L};

char* cSONET_POHPoint[] =
	 {"J1","C2","G1","F2","H4","Z3","Z4","Z5","V5","J2","Z6","Z7",0L};

char* cFramePointerTypes[] = {"AU","STS","TU","VT",0L};

int framePointerRangeBottoms[] = {522,522,0,0};

int framePointerRangeTops[] = {522,522,0,0};

char* cConnectionTypes[] = {"N1HP","N1LP","Z5HP","Z5LP","N2","Z6", 0L};

char* cTraceDataTypeConnections[] = {"N1HP","N1LP","Z5HP","Z5LP", 0L};

char* cTraceDataTypes[] = {"TYPE1","TYPE2", 0L};

char* cTraceDataType1Connections[] = {"N1HP","Z5HP", 0L};

char* cType1TracePoints[] = {"IEC","D_LINK", 0L};

char* cTraceDataType2Connections[] = {"N1HP","N1LP","Z5HP","Z5LP", 0L};

char* cConnectionEditTypes[] = {"N2","Z6", 0L};

char* cSDHDummyVLabelPOHV5DataMnemonics[] =
	{"Unequipped","Unequipped-non-specific","Asynchronous","BitSynchronous","Bytesynchronous",
	 "Reserved101","0.181 mapping","VC-AIS",0L};

char* cSONETDummyVLabelPOHV5DataMnemonics[] =
	{"Unequipped","Unequipped-non-specific","Asynchronous","BitSynchronous","Bytesynchronous",
	 "Reserved101","Reserved110","AIS-V",0L};

char* cDummyPOHData[]=
	{"No remote defect 000", "No remote defect 001", "Remote payload defect", "No remote defect 011",
	 "Remote defect 100","Remote server defect","Remote connectivity defect","Remote defect 111",0L};

char* cDSXCableLengths[] = {"0","450","655","900",0L};

/********** char* cFrameTypes[]={"ERR","NORM",0L}; *****************/

char* cErrorInsertRates[] =
	{"ONCE",
	 "R1E_3","R1E_4","R1E_5","R1E_6","R1E_7","R1E_8","R1E_9",
	 "R1IN16","R2IN16","R3IN16","R4IN16",
	 "ALL","BURST",
	 "R5E_3","R5E_4","R5E_5","R5E_6","R5E_7","R5E_8","R5E_9",
	 "ALTERNATE", "PROGRATE", 0L};

char* cSDH_ErrorInsertTypes[] =
	{ "OFF", "B1", "B2", "HB3", "LB3", "BIP2", "MREI", "HREI", "HIEC",	
	  "HTREI", "HOEI", "LREI", "LIEC", "LTREI", "LOEI", "N2BIP2", "FAS",
	  "BALL", "BIT139","BIT45","BIT34","BIT8","BIT2","BIT1_5","BINF",
	  "CODE", "EBIT", "FAS139","FAS45","FAS34","FAS8","FAS2", "FAS1_5", 
	  "REI139","REI45","REI34","PARITY","CRC6","CBIT", 0L};

char* cSONET_ErrorInsertTypes[] =
	{ "OFF", "B1", "B2", "HB3", "LB3", "BIP2", "REIL", "REIP", "HIEC", 
	  "HTREI", "HOEI", "REIV", "LIEC", "LTREI", "LOEI", "N2BIP2", "FAS",
	  "BALL", "BIT139","BIT45","BIT34","BIT8","BIT2","BIT1_5","BINF",
	  "CODE", "EBIT", "FAS139","FAS45","FAS34","FAS8","FAS2", "FAS1_5", 
	  "REI139","REI45","REI34","PARITY","CRC6","CBIT","PLCPFAS", 0L};

char* cFrameMemoryFormats[] = {"M9953","M2488","M622","M156","M52",0L};

char* cFrameMemorySettings[] =
	{"DEF","OHPRFESET","ALL1","ALL0","CAPTURED",0L};

char* cInsertWaveLengths[] = {"1.31","1.55",0l};

char* cInsertionRates[] = {"M622","M156","M156CMI","M52","M52B3ZS",0L};

char* cDirections[]= {"SOURCE","DESTIN",0L};

char* cInformationTypes[] = {"USER","ALL1","ALL0","SPRBS7",0L};

char* cIPVersions[] = {"IPv4", "IPv6", 0L};

char* cFCSFieldValues[] = {"BIT16","BIT32",0L};

char* cProtocolFieldValues[] = {"BIT8","BIT16",0L};

char* cCodeSettings[] = {"AMI","B8ZS",0L};

char* cM15Frames[] = {"D4","ESF","JESF",0L};

char* cM45Frames[] = {"M13","CBIT",0L};

char* cAuRoutes[] = {"AU4","AU3",0L};

char* cPayloadDataTypes[] = {"COPY","DUMMY",0L};

char* cSDHMixedPayloadTURoutes[]={"TU12","TU11",0L};

char* cSONETMixedPayloadTURoutes[]={"VT2","VT15",0L};

char* cSDHMixedPayloadRoutes[] = {"VC3_BLK","VC2_BLK","VC12_BLK","VC11_BLK",0L};

char* cSONETMixedPayloadRoutes[] = {"STS1_BLK","VT6_BLK","VT2_BLK","VT15_BLK",0L};

char* cSDHRoutes[] =
	{"AUG","AU3","TUG3","TUG2","TU12","TU11","K384","VC416C","VC44C","VC4C",0L};

int SDHchannelMaxima[] = {64,3,3,7,3,4,4,4,16,64};

char* cSonetRoutes[] =
	{"STS3","STS1","TUG3","VTG","VT2","VT15","K384","STS316C","STS34C","STS3C",0L};

int SONETchannelMaxima[] = {4,3,3,7,3,4,4,4,16,64};

char* cSTSRoutes[] = {"STS3","STS1",0L};

char* cTURoutes[] = {"TU12","TU11",0L};

char* cSDH_MappingRoutes[] = {
	"VC4_ASY","VC4_BLK",
	"VC3_ASY","VC3_SYN","VC3_45MASY","VC3_BLK",
	"VC2_6MASY","VC2_6MBIT","VC2_MC","VC2_BLK",
	"VC12_ASY","VC12_BIF","VC12_BIL","VC12_BYF","VC12_BYL","VC12_BLK",
	"VC11_ASY","VC11_BIF","VC11_BIL","VC11_BYF","VC11_BYL","VC11_BLK",
	"VC11_BYD","VC11_BYV","VC11_384D","VC11_384V","VC4_64CBLK","VC4_16CBLK",
	"VC4_4CBLK","VC4_CBLK",
	0L
	};

char* cSONET_MappingRoutes[] = {
	"STS3_ASY","STS3_BLK","VC3_ASY","VC3_SYN","STS1_45MASY","STS1_BLK",
	"VT6_ASY","VT6_BIT","VT6_MC","VT6_BLK",
	"VT2_ASY","VT2_BIF","VT2_BIL","VT2_BYF","VT2_BYL","VT2_BLK",
	"VT15_ASY","VT15_BIF","VT15_BIL","VT15_BYF","VT15_BYL","VT15_BLK",
		"VT15_BYD","VT15_BYV","VT15_384D","VT15_384V",
	"STS3_64CBLK","STS3_16CBLK","STS3_4CBLK","STS3_CBLK",0L};

char* cVTRoutes[] = {"VT2","VT15",0L};

char* cArchitectures[] = {"OPOA","OCNA","SHORT","LONG",0L};

char* cBridges[] = {"NCH","WC1","WC2","WC3","WC4","WC5","WC6","WC7","WC8",
		"WC9","WC10","WC11","WC12","WC13","WC14","ETCH", "0 15", 0L};

char* cRequests[] = {"NREQ","DNR","RREQ","UUS3","EXER","UUS5","WTR","UUS7",
	"MSW","UUS9","SDLP","SDHP","SFLP","SFHP","FSW","LOPR","NR","RRR","RRS","EXERR","EXERS", "WTR","MSR",
	"MSS","SDR","SDS","SDP","SFR","SFS","FSR","FSS","LPS","SFP", 0L};

char* cReserved[]=
	{"Idle",
	 "Bridged",
	 "Br&Sw",
	 "Reserved011",
	 "Reserved100",
	 "Reserved101",
	 "MS-RDI",
	 "MS-AIS",
	 0L};


char* cMuxRates[] = {"OFF","M34","M8","M2","M1_5","K64","K64_M2",0L};

char* cMuxRatesWithChannels[] = {"M34","M8","M2","M1_5","K64",0L};

int channelLimits[] = {4,4,4,28,31};

char* cPOHG1DataPatterns[] = {"PATTERNA","PATTERNB",0L};

char* cPOHG1DataSettings[]=
	{"No remote defect000",
	 "No remote defect001",
	 "Remote payload defect",
	 "No remote defect011",
	 "Remote defect100",
	 "Remote server defect",
	 "Remote connectivity defect",
	 "Remote defect111",
	 0L};

char* cSDH_POHG1DataTypes[] = {"STM1","STM0",0L};

char* cSDH_POHG1DataPOHTypes[] = {"VC4","VC3",0L};

char* cSONET_POHG1DataTypes[] = {"STS3","STS1",0L};

char* cSONET_POHG1DataPOHTypes[] = {"STS3","STS1",0L};

char* cSDH_POHTypes[] = {"VC4","VC3","VC1",0L};

char* cSDH_POHPoints[] =
	{"J1","C2","G1","F2","H4","F3","K3","N1","V5","J2","N2","K4",0L};

char* cSONET_POHTypes[] = {"STS3","STS1","VT",0L};

char* cSONET_POHPoints[] =
	{"J1","C2","G1","F2","H4","Z3","Z4","Z5","V5","J2","Z6","Z7",0L};

int OHCH_BitRateLimits[] = {64,16,4,1,1};

char * cClockSource[] =
{
   "INT",
   "EXT",
   "LUNB",
   "LBAL",
   "LUNB_2MHZ",
   "LBAL_2MHZ",
   "LUNB_2MBPS",
   "LBAL_2MBPS",
   "LBAL_1_5MHZ",
   "LBAL_1_5MBPS",
   "LBAL_64K",
   "L10M",
   "REC",
   "L5M",
   0L
};


