/*****************************************************************************/
/*   Copyright Anritsu 1999  All Rights Reserved.                            */
/*****************************************************************************/

#include <visatype.h>

ViStatus _VI_FUNC MP1570_SetBuzzerStatus (ViSession instrSession,ViBoolean buzzerStatus);
ViStatus _VI_FUNC MP1570_GetBuzzerStatus (ViSession instrSession, ViBoolean* buzzerStatus);
ViStatus _VI_FUNC MP1570_SetDate (ViSession instrSession, ViInt32 dateYear, ViInt32 dateMonth, ViInt32 dateDay);
ViStatus _VI_FUNC MP1570_GetDate (ViSession instrSession, ViInt32* dateYear, ViInt32* dateMonth, ViInt32* dateDay);
ViStatus _VI_FUNC MP1570_SetScreenDump (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetHelp (ViSession instrSession, ViChar* help);
ViStatus _VI_FUNC MP1570_SetLEDHIstoryStatus (ViSession instrSession, ViBoolean ledHistoryStatus);
ViStatus _VI_FUNC MP1570_GetLEDHIstoryStatus (ViSession instrSession, ViBoolean* ledHistoryStatus);
ViStatus _VI_FUNC MP1570_SetAnalyzeMemoryAllClear (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetAnalyzeMemoryClear (ViSession instrSession, ViInt32 analyzeMemoryClear);
ViStatus _VI_FUNC MP1570_GetAnalyzeMemoryStatus (ViSession instrSession, ViInt32 memoryNumber, ViChar* memoryName, ViUInt16* graphType, ViChar* measurementStartTime, ViChar* usedMemory);
ViStatus _VI_FUNC MP1570_SetAnalyzeMemoryRecall (ViSession instrSession, ViInt32 analyzeMemoryRecall);
ViStatus _VI_FUNC MP1570_SetWriteAnalysisMemory (ViSession instrSession, ViUInt16 analysisData, ViChar* memoryName);
ViStatus _VI_FUNC MP1570_SetConditionMemoryClear (ViSession instrSession, ViInt32 conditionMemoryClear);
ViStatus _VI_FUNC MP1570_SetConditionMemoryLabel (ViSession instrSession, ViInt32 conditionMemory, ViChar* ConditionMemoryLabel);
ViStatus _VI_FUNC MP1570_GetConditionMemoryLabel (ViSession instrSession, ViInt32 conditionMemory, ViChar* ConditionMemoryLabel);
ViStatus _VI_FUNC MP1570_SetConditionMemoryRecall (ViSession instrSession, ViInt32 conditionMemoryRecall);
ViStatus _VI_FUNC MP1570_SetConditionMemoryStore (ViSession instrSession, ViInt32 conditionMemoryStore);
ViStatus _VI_FUNC MP1570_GetFloppyInformation (ViSession instrSession, ViInt32 headLineNumber, ViInt32* usedMemory, ViInt32* availableMemory, ViChar* currentDirectory, ViInt32* currentFile, ViChar* fileData);
ViStatus _VI_FUNC MP1570_SetFloppyInformation (ViSession instrSession, ViChar* directoryName);
ViStatus _VI_FUNC MP1570_SetFloppyDelete (ViSession instrSession, ViChar* fileName);
ViStatus _VI_FUNC MP1570_SetFloppyFormat (ViSession instrSession);
ViStatus _VI_FUNC MP1570_SetFloppyDirectory (ViSession instrSession, ViChar* directoryName);
ViStatus _VI_FUNC MP1570_SetFloppyRecall (ViSession instrSession, ViChar* floppyRecall);
ViStatus _VI_FUNC MP1570_SetFloppyRename (ViSession instrSession, ViChar* oldNmae, ViChar* newName);
ViStatus _VI_FUNC MP1570_SetFloppyStore (ViSession instrSession, ViUInt16 dataType, ViChar* fileName, ViInt32 packetNo);
ViStatus _VI_FUNC MP1570_SetCoupled (ViSession instrSession, ViBoolean coupled);
ViStatus _VI_FUNC MP1570_GetCoupled (ViSession instrSession, ViBoolean* coupled);
ViStatus _VI_FUNC MP1570_SetFloppyDiskStore (ViSession instrSession, ViInt32 diskStore);
ViStatus _VI_FUNC MP1570_SetPauseFunction (ViSession instrSession, ViBoolean pause);
ViStatus _VI_FUNC MP1570_GetPauseFunction (ViSession instrSession, ViBoolean* pause);
ViStatus _VI_FUNC MP1570_SetInputOutput (ViSession instrSession, ViUInt16 inputOutput);
ViStatus _VI_FUNC MP1570_GetInputOutput (ViSession instrSession, ViUInt16* inputOutput);
ViStatus _VI_FUNC MP1570_SetVolume (ViSession instrSession, ViInt32 volume);
ViStatus _VI_FUNC MP1570_GetVolume (ViSession instrSession, ViInt32* volume);
ViStatus _VI_FUNC MP1570_SetAlarmOccurrenceStatus (ViSession instrSession, ViBoolean alarmStatus);
ViStatus _VI_FUNC MP1570_GetAlarmOccurrenceStatus (ViSession instrSession, ViBoolean* alarmStatus);
ViStatus _VI_FUNC MP1570_SetPrintEnable (ViSession instrSession, ViBoolean printerStatus);
ViStatus _VI_FUNC MP1570_GetPrintEnable (ViSession instrSession, ViBoolean* printerStatus);
ViStatus _VI_FUNC MP1570_SetErrorOccurrencePrintStatus (ViSession instrSession, ViBoolean errorOccurrenceStatus);
ViStatus _VI_FUNC MP1570_GetErrorOccurrencePrintStatus (ViSession instrSession, ViBoolean* errorOccurrenceStatus);
ViStatus _VI_FUNC MP1570_SetPaperSaveStatus (ViSession instrSession, ViBoolean paperSaveStatus);
ViStatus _VI_FUNC MP1570_GetPaperSaveStatus (ViSession instrSession, ViBoolean* paperSaveStatus);
ViStatus _VI_FUNC MP1570_SetErrorCountThreshold (ViSession instrSession, ViUInt16 errorCount);
ViStatus _VI_FUNC MP1570_GetErrorCountThreshold (ViSession instrSession, ViUInt16* errorCount);
ViStatus _VI_FUNC MP1570_SetErrorRateThreshold (ViSession instrSession, ViUInt16 errorRate);
ViStatus _VI_FUNC MP1570_GetErrorRateThreshold (ViSession instrSession, ViUInt16* errorRate);
ViStatus _VI_FUNC MP1570_SetErrorOccurrencePrintType (ViSession instrSession, ViUInt16 errorType);
ViStatus _VI_FUNC MP1570_GetErrorOccurrencePrintType (ViSession instrSession, ViUInt16* errorType);
ViStatus _VI_FUNC MP1570_SetIntermittentPrintingType (ViSession instrSession, ViUInt16 intermittentPrintType);
ViStatus _VI_FUNC MP1570_SetIntermittentPrintingPeriod (ViSession instrSession, ViInt32 printTime, ViUInt16 timeUnit);
ViStatus _VI_FUNC MP1570_GetIntermittentPrintingPeriod (ViSession instrSession, ViInt32* printTime, ViUInt16* timeUnit);
ViStatus _VI_FUNC MP1570_GetIntermittentPrintingType (ViSession instrSession, ViUInt16* intermittentPrintType);
ViStatus _VI_FUNC MP1570_SetPrintAlarmStatus (ViSession instrSession, ViBoolean alarmPrintStatus);
ViStatus _VI_FUNC MP1570_GetPrintAlarmStatus (ViSession instrSession, ViBoolean* alarmPrintStatus);
ViStatus _VI_FUNC MP1570_SetPrintErrorStatus (ViSession instrSession, ViBoolean errorPrintStatus);
ViStatus _VI_FUNC MP1570_GetPrintErrorStatus (ViSession instrSession, ViBoolean* errorPrintStatus);
ViStatus _VI_FUNC MP1570_SetPrintPointerStatus (ViSession instrSession, ViBoolean pointerStatus);
ViStatus _VI_FUNC MP1570_GetPrintPointerStatus (ViSession instrSession, ViBoolean* pointerStatus);
ViStatus _VI_FUNC MP1570_SetPrintPerformanceStatus (ViSession instrSession, ViBoolean performanceStatus);
ViStatus _VI_FUNC MP1570_GetPrintPerformanceStatus (ViSession instrSession, ViBoolean* performanceStatus);
ViStatus _VI_FUNC MP1570_SetPrintResultStatus (ViSession instrSession, ViBoolean resultPrintStatus);
ViStatus _VI_FUNC MP1570_GetPrintResultStatus (ViSession instrSession, ViBoolean* resultPrintStatus);
ViStatus _VI_FUNC MP1570_SetMeasurementConditonStatus (ViSession instrSession, ViBoolean conditionStatus);
ViStatus _VI_FUNC MP1570_GetMeasurementConditonStatus (ViSession instrSession, ViBoolean* conditionStatus);
ViStatus _VI_FUNC MP1570_SetPrintText (ViSession instrSession, ViChar* printText);
ViStatus _VI_FUNC MP1570_SetDisplayMode (ViSession instrSession, ViUInt16 displayMode);
ViStatus _VI_FUNC MP1570_GetDisplayMode (ViSession instrSession, ViUInt16* displayMode);
ViStatus _VI_FUNC MP1570_SetRDISTSConditions (ViSession instrSession, ViUInt16 condition);
ViStatus _VI_FUNC MP1570_GetRDISTSConditions (ViSession instrSession, ViUInt16* condition);
ViStatus _VI_FUNC MP1570_SetRDIVC21Conditions (ViSession instrSession, ViUInt16 condition);
ViStatus _VI_FUNC MP1570_GetRDIVC21Conditions (ViSession instrSession, ViUInt16* condition);
ViStatus _VI_FUNC MP1570_SetRDIVC43Conditions (ViSession instrSession, ViUInt16 condition);
ViStatus _VI_FUNC MP1570_GetRDIVC43Conditions (ViSession instrSession, ViUInt16* condition);
ViStatus _VI_FUNC MP1570_SetRDIVTConditions (ViSession instrSession, ViUInt16 condition);
ViStatus _VI_FUNC MP1570_GetRDIVTConditions (ViSession instrSession, ViUInt16* condition);
ViStatus _VI_FUNC MP1570_SetRecallMemory (ViSession instrSession, ViInt32 memory);
ViStatus _VI_FUNC MP1570_SetSequenceDataType (ViSession instrSession, ViInt32 sequenceNumber, ViInt32 memoryNumber);
ViStatus _VI_FUNC MP1570_GetSequenceDataType (ViSession instrSession, ViInt32 sequenceNumber, ViInt32* conditions);
ViStatus _VI_FUNC MP1570_SetCurrentTime (ViSession instrSession, ViInt32 hour, ViInt32 minute, ViInt32 second);
ViStatus _VI_FUNC MP1570_GetCurrentTime (ViSession instrSession, ViInt32* hour, ViInt32* minute, ViInt32* second);
ViStatus _VI_FUNC MP1570_SetTriggerExecution (ViSession instrSession, ViUInt16 execute);
ViStatus _VI_FUNC MP1570_GetTriggerExecution (ViSession instrSession, ViUInt16* execute);
ViStatus _VI_FUNC MP1570_GetVersion (ViSession instrSession, ViReal64* version);

